7.4.4.0 (2021/06/30)
	[GE ﾃｰﾌﾞﾙ廃止]
		changes\7440\更新対応.txt 参照

	[openGionV8事前準備(DataRole.java廃止)]
		hayabusa.resource.UserInfo#getAttribute(java.lang.String)
		hayabusa.resource.UserInfoFactory#newInstance(java.lang.String,java.lang.String,java.lang.String)
		hayabusa.resource.UserInfoFactory#getValsByLdap(java.lang.String,java.lang.String)
		hayabusa.taglib.CommonTagSupport#getReservedValue(java.lang.String)
		hayabusa.taglib.GuiQueryTag#execute()

	[openGionV8事前準備(GEA10V01.DROLES、FGJ、FGDEFAULT廃止)]
		hayabusa.common.SystemData#RESOURCE_USER_SQL

	[openGionV8事前準備(DataRole.java廃止、GE16廃止)]
		hayabusa.resource.UserInfo#UserInfo(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.opengion.fukurou.db.ApplicationInfo)

	[openGionV8事前準備(DROLES廃止)]
		hayabusa.common.SystemData#RESOURCE_USER_LDAP_CLM

	[openGionV8事前準備(RFID出力廃止)]
		hayabusa.report2.ExecQueue#setOutputName(java.lang.String,java.lang.String,java.lang.String,java.lang.String)

	[openGionV8事前準備(コメントのGE58廃止)]
		hayabusa.common.SystemData#USE_FILEEXEC

	[openGionV8事前準備(GE16廃止)]
		hayabusa.resource.UserInfo#getParameter(java.lang.String)
		hayabusa.resource.UserInfo#clear()

	[openGionV8事前準備(GE54.FGNOML廃止)]
		hayabusa.report.GE50Access#insertErrorGE56(java.lang.String)
		hayabusa.report2.QueueManager_DB#create()
		hayabusa.report2.QueueManager_DB#insertErrorMsg(org.opengion.hayabusa.report2.ExecQueue)

	[openGionV8事前準備(GEA10V01.DROLES、FGJ廃止)]
		hayabusa.common.SystemData#RESOURCE_USER_ROLE_SQL

	[openGionV8事前準備(未使用の為廃止)]
		hayabusa.common.HybsSystem.java(ST_BAR_OBJ_KEY,GUI_FAV_MENU_KEY,TBL_WRITER_CLMS,TRANSACTION_KEY,REPORT_ENCODE)
		hayabusa.common.SystemData(CLOUD_STORAGE_S3_ACCESS_KEY,REPORT_EXCEL_NAME_USE_YKNO,REPORT_ERRMAIL_REGEX,DB_RETRY_COUNT,DB_RETRY_TIME
									,HTML_SEPARATOR,GUI_FAVORITE_MENU_LIST,COMPATIBLE_PAGE_END_CUT_RETRIEVAL,HTTP_PROXY_HOST,HTTP_PROXY_PORT
									,EXCEL_IN_FILE_URL)

	[DBARG 抜出修正]
	ARG変数の桁数指定の正規表現を修正しました。
		plugin.table.TableFilter_DBARG.java

	[textareaがEdgeで折り返さない対応]
		gf\src\script\common\default.css
			textarea { white-space: pre-wrap; }

	[GE35 FGJはない]
		ge\jsp\MAIL04\result.jsp

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6330\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6350\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6350\result.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\ge\jsp\custom\result_info.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0001\query.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0001\result.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0001\entry.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0002\result.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0009\result_report.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0009\result_reportData.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0009\result_system.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0016\result.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0017\result.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0017\entry.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0019\result.jsp
		C:\opengionV7\uap\webapps\ge\jsp\GE0020\result.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\default.css
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.11.1.0 (2021/06/25)
			[帳票自動起動]
			コンテナやクラウドサーバのようにコンテキストパスが頻繁に変更となる環境で自動起動が可能にしておきます。
			具体的には'RUN_'" + CON + "A.SYSTEM_ID" + CON + "'_'" + CON + "B.DMN_GRP"の判定で
			**のコンテキストパスを扱えるようにしておきます。
			この機能を利用する場合、現時点ではGE12を手で変更する必要があります。
				hayabusa.report2.QueueManager_DB#SQL_SELECT_GE50
	X			ge/jsp/REP21/result.jsp

7.4.3.0 (2021/06/11)
	[URL の引数にセットする値を指定する]
		hayabusa.taglib.FrameTag#release2()
		hayabusa.taglib.FrameTag#getUrlEncode()
		hayabusa.taglib.FrameTag#setVals(java.lang.String)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\ge\jsp\GE0002\result.jsp
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\default.css

7.4.2.3 (2021/06/09) 未リリース
	[addNoValue制御、addKeyLabel制御を追加]
		plugin.view.ViewForm_HTMLTokenTable#changeOptAttr(org.opengion.hayabusa.db.DBColumnConfig,org.opengion.fukurou.util.Attributes,java.lang.String)

	[ﾌｫｰﾏｯﾄは、表示桁数 に応じて決定します(ﾊﾟﾗﾒｰﾀ指定 が優先)]
		plugin.column.Editor_DECIMAL#Editor_DECIMAL(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_DECIMAL#makeFormat(org.opengion.hayabusa.db.DBColumn)

	[数値ﾌｫｰﾏｯﾄ(ｶﾝﾏ無し、桁数指定)を設定、addNoValue制御を追加]
		plugin.view.ViewForm_HTMLTokenTable#create(int,int)

	[ｸﾞﾙｰﾌﾟ処理で、未処理データが使用済みになった]
		hayabusa.taglib.ValueMapTag#makeRestValue()

	[NUMBERやDECIMALﾌｫｰﾏｯﾄされているので書き戻す]
		plugin.table.TableFilter_JUDG#execute()

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\default.css
		C:\opengionV7\uap\webapps\gf\src\script\common\option\qrcode.min.js.map
		C:\opengionV7\uap\webapps\gf\src\script\common\option\tesseract.min.js.map

7.4.2.2 (2021/05/28)
	[default.css 修正]
	src/script/common/default.css
		table.comment の border-bottom: 1px solid Gray; のみ削除

	[code39 変換時のｴﾗｰを拾って、画面に返します]
		plugin.column.Renderer_CODE39#getValue(java.lang.String)

	[新規作成]
		plugin.column.Editor_BARCODE#Editor_BARCODE()
		plugin.column.Editor_BARCODE#Editor_BARCODE(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_BARCODE#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_BARCODE#getValue(java.lang.String)
		plugin.column.Editor_BARCODE#getValue(int,java.lang.String)
		plugin.column.Renderer_BARCODE#Renderer_BARCODE()
		plugin.column.Renderer_BARCODE#Renderer_BARCODE(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Renderer_BARCODE#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Renderer_BARCODE#getValue(java.lang.String)
		plugin.column.Renderer_BARCODE#getValue(int,java.lang.String)
		plugin.column.Renderer_BARCODE#getWriteValue(java.lang.String)
		plugin.column.Renderer_BARCODE#makeBarcode(java.lang.String,java.lang.String)

	[ﾏﾄﾘｸｽﾒﾆｭｰ(MATRIX)で、ｸﾞﾙｰﾌﾟのﾎﾞﾀﾝﾘﾝｸを止めます]
		hayabusa.taglib.TopMenuTag#makeMatrixMenu2()

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\barRead1.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\barWrite1.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\ocr1.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\ocr2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\qrRead3.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\qrWrite4.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\snap.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\dragFiles.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\index2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\index4.jsp
		C:\opengionV7\uap\webapps\gf\jsp\nonAuth\login.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\default.css
		C:\opengionV7\uap\webapps\gf\src\script\common\option\JsBarcode.code39.min.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\adjustGanttTable.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\jsQR.min.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\qrcode.min.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\quagga.min.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\tesseract.min.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\videocamera.js

7.4.2.1 (2021/05/21)
	[新規作成]
		plugin.column.Editor_OCR1#Editor_OCR1()
		plugin.column.Editor_OCR1#Editor_OCR1(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_OCR1#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_OCR1#getValue(java.lang.String)
		plugin.column.Editor_OCR1#getValue(int,java.lang.String)
		plugin.column.Editor_OCR2#Editor_OCR2()
		plugin.column.Editor_OCR2#Editor_OCR2(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_OCR2#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_OCR2#getValue(java.lang.String)
		plugin.column.Editor_OCR2#getValue(int,java.lang.String)
		plugin.column.Editor_QRCODE#Editor_QRCODE()
		plugin.column.Editor_QRCODE#Editor_QRCODE(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_QRCODE#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_QRCODE#getValue(java.lang.String)
		plugin.column.Editor_QRCODE#getValue(int,java.lang.String)
		plugin.column.Editor_SNAP#Editor_SNAP()
		plugin.column.Editor_SNAP#Editor_SNAP(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_SNAP#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_SNAP#getValue(java.lang.String)
		plugin.column.Editor_SNAP#getValue(int,java.lang.String)
		plugin.column.Renderer_QRCODE#Renderer_QRCODE()
		plugin.column.Renderer_QRCODE#Renderer_QRCODE(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Renderer_QRCODE#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Renderer_QRCODE#getValue(java.lang.String)
		plugin.column.Renderer_QRCODE#getValue(int,java.lang.String)
		plugin.column.Renderer_QRCODE#getWriteValue(java.lang.String)
		plugin.column.Renderer_QRCODE#makeCanvas(java.lang.String,java.lang.String)

	[TP_RADIO追加,4:ﾗﾍﾞﾙのみは、値をﾃｷｽﾄで出す]
		plugin.view.ViewForm_HTMLTokenTable#create(int,int)

	[新規追加]
		hayabusa.common.SystemData#USE_ACCESSKEY
		hayabusa.servlet.ImageSave#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)
		hayabusa.servlet.ImageSave#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)

	[24時間をオーバーした際に、00 時が含まれてしまう]
		hayabusa.taglib.GanttHeaderTag#makeZoomTime(int,int,boolean)

	[accesskey の設定の有効(true)/無効(false)を設定]
		hayabusa.taglib.QueryButtonTag#makeTag()
		hayabusa.taglib.QueryButtonTag#getReset()
		hayabusa.taglib.QueryButtonTag#setType(java.lang.String)
		hayabusa.taglib.QueryButtonTag#setAccesskey(java.lang.String)
		hayabusa.taglib.QueryButtonTag#setClearAccesskey(java.lang.String)
		hayabusa.taglib.SubmitTag#doStartTag()
		hayabusa.taglib.SubmitTag#makeTag()

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\ocr1.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\ocr2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\qrRead3.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\qrWrite4.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6500\snap.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7216\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\nonAuth\login.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\option\adjustGanttTable.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\videocamera.js

	[V5 修正反映]
	△	5.11.0.0 (2021/05/17)
			[Java8化]
			コンパイルをjava8で行うようにします。
			一部クラスでオーバーライド等の変更があります。
			警告関係は修正していません。
	X			hayabusa.filter.FileResponseStream#setWriteListener( WriteListener arg0 ) 追加
	X			hayabusa.filter.GZIPResponseStream#setWriteListener( WriteListener arg0 ) 追加
	X			hayabusa.taglib.LinkTag impotrt削除
	X			fukurou.util.URLConnect#getConnection() base64をjava.utilに変更
	〇			fukurou.db.ConnectionFactory#createInstance() エラーメッセージ追加

	X	Ver7 では、既に対応済み
	X		[HTML5の標準化]
	X		5.10系まではIE7モードを標準としていましたが、5.11系からHTML5対応版を標準としておきます。
	X		システムリソースの初期値の変更と、index.jspを変更しておきます。(index3.jspとして配置していたものをindex.jspにしておく)
	X			hayabusa.common.SystemData#USE_IE7_HEADER,USE_HTML5_HEADER,USE_EDGE_HEADER,USE_HTML5_MODAL
	X			jsp/index.jsp

	△	5.10.31.0 (2021/04/29)
			[ファイルアップロードの修正]
			ChromiumでjQueryを利用したファイルアップロードが上手くいかないため、bound関係を修正。
				hayabusa.servlet.multipart.MultipartParser#MultipartParser( final HttpServletRequest req, final int maxSize )

			[htmlendのカスタム化]
			HTML最下部をカスタム化出来るよう、custom/htmlend.jspを用意してcommon/htmlend.jspから呼び出すようにしておきます。
			標準では何もしませんが、編集画面から検索画面にブラウザの戻るボダンが利用出来ないようにするスクリプトを
			コメントアウト状態で記載しておきます。
			（エラー時に利用しているhistory.backは以降最後が出力されないため上記を入れても問題なく動作する）

	△	5.10.30.0 (2021/04/20)
			[eventColumn修正]
			jQuery1.12を利用する場合にエラーが発生している箇所があったため修正する。
				jsp/common/eventScript.js#eventColumn

7.4.2.0 (2021/05/18)
	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\src\org\opengion\hayabusa\resource\GUIData.java
		C:\opengionV7\uap\webapps\gf\src\org\opengion\hayabusa\resource\ColumnData.java
		C:\opengionV7\uap\webapps\gf\src\org\opengion\hayabusa\resource\LabelData.java
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\result.jsp

7.4.2.0 (2021/05/14)
	[ドラッグ＆ドロップのファイルアップロードを追加]
		plugin.column.Editor_UPLOAD2#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_UPLOAD2#getValue(java.lang.String)
		plugin.column.Editor_UPLOAD2#getValue(int,java.lang.String)

	[optionAttributesが使えるように修正]
		plugin.column.Editor_UPLOAD2#Editor_UPLOAD2(org.opengion.hayabusa.db.DBColumn)

	[optionAttributes 追加]
		fukurou.util.XHTMLTag#iframe(org.opengion.fukurou.util.Attributes,java.lang.String)

	[外部から指定するTransactionｵﾌﾞｼﾞｪｸﾄ 対応]
		fukurou.business.AbstractBizLogic#getTransaction()
		fukurou.fileexec.DBUtil#execute(org.opengion.fukurou.db.Transaction,java.lang.String,java.lang.String...)
		fukurou.fileexec.DBUtil#dbQuery(org.opengion.fukurou.db.Transaction,java.lang.String,java.lang.String...)

	[パラメータの判定方法変更]
		hayabusa.db.Selection_FILES#Selection_FILES(java.lang.String)

	[frameタグでforwardしたいJSPファイルの指定ができるようにする]
		hayabusa.taglib.FrameTag#setChangeHref(java.lang.String)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\ge\jsp\GE0002\result.jsp
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\index2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\index3.jsp
		C:\opengionV7\uap\webapps\gf\jsp\index4.jsp

7.4.2.0 (2021/05/08)
	[FORMAT追加]
		hayabusa.taglib.ValueTag#actionExec(java.lang.String,java.lang.String)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6020\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6260\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6260\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\dragFiles.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\upload2.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\dragFiles.js
		C:\opengionV7\uap\webapps\gf\src\script\common\dragFiles.js_initDragFiles
		C:\opengionV7\uap\webapps\gf\src\script\common\intervalAccess.js

7.4.2.0 (2021/04/30) 未リリース
	[gg ｺﾝﾃｷｽﾄ追加]
	オプションシステムとして、GGシステムを追加します。
	まずは、４M変化のアプリケーションを準備します。

	intervalAccess.js
		アクセスするURIのキャッシュを考慮した引数を付けます。

	[ドラッグ＆ドロップのファイルアップロードを追加]
		plugin.column.Editor_UPLOAD2#newInstance(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_UPLOAD2#getValue(java.lang.String)
		plugin.column.Editor_UPLOAD2#getValue(int,java.lang.String)

	[編集パラメータに、&amp;quot;useLabel&amp;quot;と記述しておくことで、ラベルを出力することが可能]
		plugin.column.Editor_CHBOX#Editor_CHBOX()
		plugin.column.Editor_CHBOX#Editor_CHBOX(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Editor_CHBOX#getValue(java.lang.String)
		plugin.column.Editor_CHBOX#getValue(int,java.lang.String)

	[新規作成]
		plugin.column.Renderer_IFRAME#Renderer_IFRAME(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Renderer_IFRAME#getValue(java.lang.String)
		plugin.column.Renderer_IFRAME#getValue(int,java.lang.String)
		plugin.column.Renderer_IFRAME#getWriteValue(java.lang.String)
		plugin.column.Renderer_IFRAME#makeIframe(java.lang.String,java.lang.String)
		plugin.column.Renderer_IMAGE#Renderer_IMAGE(org.opengion.hayabusa.db.DBColumn)
		plugin.column.Renderer_IMAGE#getValue(java.lang.String)
		plugin.column.Renderer_IMAGE#getValue(int,java.lang.String)
		plugin.column.Renderer_IMAGE#getWriteValue(java.lang.String)
		plugin.column.Renderer_IMAGE#makeImae(java.lang.String,java.lang.String)

	[spanタグでunmatched 表示の中身のタグを削除します]
		hayabusa.taglib.TableMergeTag#makeDifference(org.opengion.hayabusa.db.DBTableModel,java.util.Map<java.lang.String,java.lang.Integer>,org.opengion.hayabusa.db.DBTableModel,java.util.Map<java.lang.String,java.lang.Integer>)

	[変更があったデータのみを処理するかどうか[true/false]を指定します(初期値:false)]
		hayabusa.db.DBTableModel#getChangeRowNos()
		hayabusa.db.DBTableModelImpl#getChangeRowNos()
		hayabusa.taglib.TableUpdateTag#setChangeOnly(java.lang.String)

	[selectedOne、changeOnlyを追加します]
		hayabusa.taglib.TableUpdateTag#release2()
		hayabusa.taglib.TableUpdateTag#getParameterRows()

	[Microsoft Edge は、boundary の取り方が違うので、その対応]
		hayabusa.servlet.multipart.MultipartParser#MultipartParser(javax.servlet.http.HttpServletRequest,int)

	[tagBuffer は使っていないので削除]
		plugin.column.Renderer_TEXTAREA#getRowsColsValue(java.lang.String,java.lang.String,java.lang.String)

	[useLblBodyをtrueにすると、BODYに記述した内容で、ラベルを作成します]
		hayabusa.taglib.ColumnTag#release2()
		hayabusa.taglib.ColumnTag#makeTag()
		hayabusa.taglib.ColumnTag#setUseLblBody(java.lang.String)

	[データを1件選択済みとして処理するかどうか[true/false]を指定します(初期値:false)]
		hayabusa.taglib.TableUpdateTag#setSelectedOne(java.lang.String)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0010.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0011.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\06_INSTALL\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\formRfresh.jsp
		C:\opengionV7\uap\webapps\gf\jsp\index.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

7.4.1.0 (2021/04/23)
	[イベントカラムを使用するとJavaSriptエラーが発生] (43100-210419-01)
	【GMIS標準】イベントカラムを使用するとJavaSriptエラーが発生
	eventScript.jsのfunctionを変更します。
		src\script\common\eventScript.js#bindOldEvents

	[タブをクリックした際のJavaScriptを外部から設定できるようにします]
		hayabusa.taglib.TabLinkTag#release2()
		hayabusa.taglib.TabLinkTag#setOnClick(java.lang.String)
		hayabusa.taglib.TabLinkTag.TabData#makeLinkTag(boolean)

	[途中で整合性制約違反が発生した場合に継続するかどうかを指定できるようにします]
		fukurou.fileexec.DBUtil#execute(java.lang.String,java.util.List<java.lang.String[]>)
		fukurou.fileexec.DBUtil#execute(java.lang.String,java.util.List<java.lang.String[]>,boolean)
		fukurou.fileexec.DBUtil#execute(java.lang.String,java.lang.String,java.util.List<java.lang.String[]>,java.util.List<java.lang.String[]>)
		fukurou.fileexec.DBUtil#execute(java.lang.String,java.lang.String,java.util.List<java.lang.String[]>,java.util.List<java.lang.String[]>,boolean)

	[sqlType=&amp;quot;MERGE&amp;quot; 時のみ有効で、where 条件で存在すれば何もしない]
		fukurou.db.DBUpdater#DBUpdater(int,java.sql.PreparedStatement,boolean,boolean[])
		fukurou.db.DBUpdater#DBUpdater(int,java.sql.PreparedStatement,boolean,boolean[],boolean)
		fukurou.db.DBUpdater#execute(java.lang.String[])
		fukurou.db.DBUpdater#update(java.lang.String[])
		hayabusa.db.AbstractQuery#setMergeStatement(java.lang.String,java.lang.String,java.lang.String)
		hayabusa.db.AbstractQuery#getMergeStatement()
		hayabusa.db.Query#setMergeStatement(java.lang.String,java.lang.String,java.lang.String)
		hayabusa.taglib.QueryTag#doAfterBody()
		hayabusa.taglib.QueryTag#release2()
		hayabusa.taglib.QueryTag#setQuery(java.lang.String,java.lang.String)
		hayabusa.taglib.TableUpdateParamTag#doEndTag()
		hayabusa.taglib.TableUpdateParamTag#release2()
		hayabusa.taglib.TableUpdateParamTag#setInsertOnly(java.lang.String)
		hayabusa.taglib.TableUpdateParamTag#getSelectSQL()
		plugin.query.Query_JDBCTableMerge#org.opengion.plugin.query.Query_JDBCTableMerge.DBquery
		plugin.query.Query_JDBCTableMerge#execute(int[],org.opengion.hayabusa.db.DBTableModel)
		plugin.query.Query_JDBCTableMerge.DBquery#DBquery(org.opengion.hayabusa.db.DBTableModel,java.lang.String)
		plugin.query.Query_JDBCTableMerge.DBquery#getDBUpdater(java.sql.Connection,boolean)

	[１秒待つ仕様を復活]
		fukurou.fileexec.StringUtil#getTime(java.lang.String,java.lang.String)

	[caseKey,caseVal,caseNN,caseNull,caseIf 属性を追加]
		hayabusa.taglib.TabLinkTag#doStartTag()
		hayabusa.taglib.TabLinkTag#doEndTag()
		hayabusa.taglib.TabListTag#doEndTag()

	[『:』と『;』の両方が存在する場合は、style属性としてセットする]
		hayabusa.db.Selection_NULL#setCodeParam(java.lang.StringBuilder,java.lang.String)

	[SUB_CLM を追加(SUB_CLMの値が増加している間は、SEQ_CLM を増分しません)]
		plugin.table.TableFilter_SEQRESET#execute()

	[openTab=false の場合は、自動でオープンしません]
		hayabusa.taglib.TabLinkTag#makeTag()

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0010.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0011.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0049.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6060\rotationFilter.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6160\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6160\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6160\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0010\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0020\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0020\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0020\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0040\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0040\fileout.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0040\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0040\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0040\update.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0050\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0050\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0050\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0050\update.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0100\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0100\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0100\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\customGG\colorCSS.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\eventScript.js

7.4.0.1 (2021/04/16) 未リリース
	[値を返すための変数]
		hayabusa.db.AbstractTableFilter#getReturnMap()
		hayabusa.db.TableFilter#getReturnMap()

	[値を返すための変数ｾｯﾄ]
		hayabusa.db.AbstractTableFilter#setValue(java.lang.String,java.lang.String)

	[AdjustScroll2 が定義されていないエラー対応] (43100-210421-01)
	【GMIS標準】イベントカラムを使用するとJavaSriptエラーが発生２
		src\script\common\jqog.js

	[リソース移行簡素化]
	レイアウト定義画面に帳票ID全項目検索チェックボックス検索キー追加
		ge\jsp\REP03

	[システム検証]
	JSP＆PGチェック画面にて除外予約語に正規表現追加 (?!.*REGEXP)(?!.*\[.+\])
		gf\jsp\DOC23

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\06_INSTALL\taglibSave.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\forward.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\result.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\jqog.js

7.4.0.0 (2021/04/09)
	※ image 階層ﾘｿｰｽ対策 のため、アイコンﾌｧｲﾙの場所が変更になりました。
	互換性の観点から、7.3.2.3 (2021/04/09) を 7.4.0.0 (2021/04/09) として
	リリースいたします。

	[image ﾌｫﾙﾀﾞにﾌｧｲﾙ追加]
		ganttBGDAY.gif
		ganttBGMONTH.gif
		ganttBGWEEK.gif
		stackBG40.gif
		stackBG41.gif
		stackBG42.gif

7.3.2.3 (2021/04/09) 未リリース
	[image 階層ﾘｿｰｽ対策]
	jspCommon7.3.X.X.jar と、GMICS等のjspﾌｫﾙﾀﾞの圧縮jar が優先順位が不定の為
	imageが異なる件で、
		① アイコン系の画像を、iconﾌｫﾙﾀﾞに移動
		② システム定数で、ICON と IMAGE を追加、それぞれのフォルダを指定可能にする。
		③ JSP_ICON と、JSP_IMG ｷｰﾜｰﾄﾞを追加し、それぞれのフォルダ指定を簡素化
			{@SYS.JSP}/{@SYS.ICON}  ⇒ {@SYS.JSP_ICON}
			{@SYS.JSP}/{@SYS.IMAGE} ⇒ {@SYS.JSP_IMG}
		④ 以下のファイルを image から icon に移動
			calendar.gif , edit.png , expand_r.png , expand_u.png , fileDownload.gif ,
			fileUpload.gif , FIRST.gif , help.gif , help2.png ,
			LAST.gif , NEXT.gif , PREV.gif , reload.png , shrink_r.png , shrink_u.png ,
			clock.png , help.png , help3.png , qaicon.png	⇒ 特に、この4ﾌｧｲﾙは、GMICS側にはない。
		⑤ JSPﾌｧｲﾙで、image ﾌｫﾙﾀﾞを直接指定している個所を修正。

		詳細は、refactoring/7.3.2.3_refactoring.txt をご確認ください。

	[ｼｽﾃﾑ定数のICON_DIRを使用します]
		hayabusa.taglib.ColumnTag#makeHelpLink(java.lang.String)
		hayabusa.taglib.HelpTag#release2()
		hayabusa.taglib.HelpTag#setIconURL(java.lang.String)
		hayabusa.taglib.HelpTag#setFaqIconURL(java.lang.String)

	[sysJspを、static化します]
		hayabusa.taglib.FileUDTag#release2()

	[ｼｽﾃﾑ定数のJSP_IMGを使用します]
		hayabusa.taglib.FavoriteLinkTag#getFavoriteIcon()

	[ｼｽﾃﾑ定数のICON_DIRやIMAGE_DIRを使用します]
		hayabusa.common.SystemParameter#makeSystemParameter(javax.servlet.ServletContext)
		hayabusa.taglib.HideMenuTag#release2()

7.3.2.2 (2021/03/31) 未リリース
	[REPLACEアクションで、toVal に、長さゼロの文字列が扱えるように変更]
		hayabusa.taglib.ValueTag#setToVal(java.lang.String)

7.3.2.1 (2021/03/25)
	[jspCommonX.X.X.X.jar の優先順位]
	jspCommonX.X.X.X.jar には、jsp 以下の共通ﾌｫﾙﾀﾞ(common,image,menu) を入れていますが、
	GMICSでも、jsp/image ﾌｫﾙﾀﾞにカスタマイズした画像を置いています。
	これらの読み取り順が『不定』のため、NEXT,PREVなどの画像が、本来表示してほしいGMICS系に
	なったりならなかったりする現象がありました。
	tomcat 自体のクラスロードは、
		1.ブートストラップ/システム（JRE/lib、次にserver.loader）
		2.webappライブラリ（WEB-INF/classes、次にWEB-INF/lib）
		3.共通ライブラリ（common.loader、次にTomcat/lib）
		4.webapp共有ライブラリ（shared.loader）
	ですが、共通ライブラリやwebapp共有ライブラリ に入れると、最初に発見された、GMICS側の
	imageﾌｫﾙﾀﾞ（のみ）使用するため、存在しない画像を見つけることが出来なくなります。
	また、共有は、static 変数も共有化されるため、imageﾌｫﾙﾀﾞを分離しておく必要もあり、
	実用的ではありません。

	今回の対応としては、jsp/image ﾌｫﾙﾀﾞに展開して配置していただければ、優先して使用されます。

	[GE ﾘｿｰｽ関係画面 LANG除去]
	ﾗﾍﾞﾙﾘｿｰｽ以外のﾘｿｰｽには元々言語(LANG)を持たせていません。
	登録画面で、便宜的にLANG違いも表示できると良いかと考えていましたが、
	JOIN時に複数選択されたり、複雑になるため、ﾗﾍﾞﾙﾘｿｰｽ以外のﾘｿｰｽは、
	LANG='ja' 固定とします。
		ge\jsp\GE0002
		ge\jsp\GE0003
		ge\jsp\GE0004
		ge\jsp\GE0009
		ge\jsp\GE0012
		ge\jsp\GE0016

7.3.2.0 (2021/03/19)
	[isStrict:整合性チェック時に、厳密にチェックするかどうか[true/false]追加(初期値:true)]
		hayabusa.taglib.ReadTableTag#setUseStrict(java.lang.String)
		hayabusa.taglib.ReadTableTag.ColumnAction#clmAction(java.lang.String[],org.opengion.hayabusa.db.DBColumn[],int)

	[TRIGGER など、BEGIN～END 構文を持つ場合は、&amp;quot;;&amp;quot; で複数のSQL文に分割しません]
		fukurou.xml.HybsXMLSave#getExecSQLs(java.lang.String)

	[厳密にチェック(isStrict=true)時は、official=true でないとエラー]
		hayabusa.db.DBColumn#valueCheck(java.lang.String,boolean)
		※ 最終的には、** ﾘｿｰｽに、POP,POP1,POP2 を登録

	[dir と path の nullﾁｪｯｸ(エラーでも止めない)]
		fukurou.util.FileMap#init(java.lang.String,java.lang.String,java.util.Set<java.lang.String>)

	[isExecErr でfalseを指定した場合に、エラー内容の文字列を取り出します]
		fukurou.xml.HybsXMLSave#getErrorMessage()
		fukurou.xml.XMLFileLoader#loadXML(java.io.InputStream,java.lang.String,java.lang.String)

	[SYSTEM_IDが「**」の場合 SEQに 9990000 を加算する (任意)]
		plugin.table.TableFilter_SEQRESET#execute()
		ge/jsp/GE0002/entry.jsp	SEQNOの再セットで、** に9990000 を加算するtableFilter SEQRESET を修正

	[FileMapは、static化して使いまわす]
		hayabusa.taglib.TopMenuTag#doEndTag()
		hayabusa.taglib.TopMenuTag#release2()
		hayabusa.taglib.TopMenuTag#makeTagMenuString(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int)

	[「**」ﾘｿｰｽ変更]
		GE0000 画面（/ge/jsp/index.jsp）をTOP_GE に変更
		GE0012/GEM0043.jsp	GE ⇔ ** 相互変換	追加
			GEで始まる ** ﾘｿｰｽは、GEﾘｿｰｽに変更

	[POPUPで検索中表示が消えない対応]
	 (43100-210316-01:検索中表示の修正)
	parent.document.body.unblockname = window.name; 方式で対応しました。
		common/filePopup.jsp
		common/upload.jsp
		GF6250
		script\common\jquery\blockUI.js
		script\common\jquery\unblockUI.js

	[ﾀﾞｳﾝﾛｰﾄﾞサンプル画面作成]
		GF6290	ﾀﾞｳﾝﾛｰﾄﾞ
		(旧 WebDav 廃止)

	[og:tableFilter を1行で表記]
	grep 等で検索する場合、tableFilter と classId は対になっている方が探しやすいため。
		jsp/GF2080/sqlGF82.jsp(47): 	<og:tableFilter
		jsp/GF2082/sqlGF09.jsp(50): 	<og:tableFilter
		jsp/GF2120/GFM0012.jsp(14): <og:tableFilter
		jsp/GF2120/GFM0013.jsp(32): <og:tableFilter
		jsp/GF6140/result.jsp(47): <og:tableFilter

	[ﾘｿｰｽ連携(GF2120) RENDERER_PARAM対応]
	ﾃｰﾌﾞﾙｶﾗﾑDB⇒ｶﾗﾑ・ﾗﾍﾞﾙﾘｿｰｽ差分追加 などで、DBMENUのRENDERER_PARAM をBIKOから取得する処理を追加
		jsp/GF2120/query.jsp
		jsp/GF2120/GFM0049.jsp
		jsp/GF2120/GFM0010.jsp
		jsp/GF2120/GFM0011.jsp
		jsp/GF2120/GFM0012.jsp

	[bulkset (Ctrl-C ) が Edge で動かない件(43100-210319-01)]
	window.clipboardData が使えないので、navigator.clipboard を使うようにしました。
	一応、一昔前の document.execCommand も入れておきますが、copy は動きましたが、
	paste は値を取得できないようです。

	※ Ctrl-Vが出来ない場合は、aleratを出します。
	   また、貼り付けはできるため、ｺﾋﾟｰで切り取ったﾃﾞｰﾀ（改行付き）の行末に、$$ を
	   追加すれば、そのキーワードを見つけて貼り付け時に分割するロジックを追加。
		src\script\common\resultScript.js
			function ctrlCV( obj ) {                修正
			function setClipboard( flag,val ) {     追加
			function getClipboard( flag,func ) {    追加

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF0000\index2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2080\sqlGF82.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2082\sqlGF09.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0010.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0011.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0012.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0013.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0049.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6050\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6140\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6250\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6250\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6290\link.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6290\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9510\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0010\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0010\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0010\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0010\update.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0020\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0020\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0030\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0030\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0030\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0030\update.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0040\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0040\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0050\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GG0050\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\filePopup.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\upload.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\jquery\blockUI.js
		C:\opengionV7\uap\webapps\gf\src\script\common\jquery\unblockUI.js
		C:\opengionV7\uap\webapps\gf\src\script\common\resultScript.js

	[java,tomcat,openoffice等 Verup]
	実行環境の各バージョンをアップします。
		jdk11.0.10_9
		tomcat9.0.44
		derby-10.15.2.0			… 変更なし
		LibreOffice_7.0.3		… 変更なし
		openoffice4.1.9
		endorsed7.3.0			… 変更なし

7.3.1.3 (2021/03/09)
	[GE のmultiChoose修正 残分]
		ge\jsp\custom\multiChoose.jsp(10)
		ge\jsp\GE0001\result.jsp(69)
		ge\jsp\GE0002\result.jsp(95)
		ge\jsp\GE0016\result.jsp(64)

	[GE のindex追加]
		GEA03	CREATE INDEX GEA03_SB ON GEA03( SYSTEM_ID,FGJ,KBSAKU,CLM )
		GEA04	CREATE INDEX GEA04_SB ON GEA04( SYSTEM_ID,FGJ,KBSAKU,CLM,SEQNO,CODELVL,CODE )
		GEA08	CREATE INDEX GEA08_SB ON GEA08( SYSTEM_ID,FGJ,LANG,KBSAKU,CLM )
		GEA11	CREATE INDEX GEA11_SC ON GEA11( SYSTEM_ID,FGJ,KBSAKU,SEQNO,GUIKEY )

	[処理の直前にロックを掛けてから存在チェックを行います]
		fukurou.fileexec.FileUtil#copy(java.nio.file.Path,java.nio.file.Path,boolean)
		fukurou.fileexec.FileUtil#localCopy(java.nio.file.Path,java.nio.file.Path)
		fukurou.fileexec.FileUtil#move(java.nio.file.Path,java.nio.file.Path,boolean)
		fukurou.fileexec.FileUtil#localMove(java.nio.file.Path,java.nio.file.Path)

	[#NAMEのオリジナルを取得できるようにします]
		fukurou.model.TableModelHelper#value(java.lang.String,int,char)
		fukurou.model.TableModelHelper#value(java.lang.String,int,int)
		fukurou.model.TableModelHelper#endRow()
		fukurou.model.TableModelHelper#originalNames(java.lang.String[])
		fukurou.model.TableModelHelper#setNames(java.lang.String,boolean)
		hayabusa.db.ColumnActionListener#originalNames(java.lang.String[])
		hayabusa.io.AbstractTableReader#setOriginalNames(java.lang.String[])
		hayabusa.taglib.ReadTableTag.NormalCAListener#originalNames(java.lang.String[])
		gf\jsp\GF6250

	[QUERY文字列を変更]
		hayabusa.resource.CodeDataLoader#getCodeData(java.lang.String)
		hayabusa.resource.ColumnDataLoader#getColumnData(java.lang.String)
		hayabusa.resource.LabelDataLoader#loadDBResource()
		hayabusa.resource.LabelDataLoader#getLabelData(java.lang.String)

	[[J] で、現在の登録件数(1～) を表現する]
	[[I] で、取り込んだ行番号(0～) を表現する]
		fukurou.model.Formatter#advanceFormat()
		fukurou.model.Formatter#getValue(int,int)
		fukurou.model.Formatter#getFormatString(int,java.lang.String,org.opengion.fukurou.model.Formatter.TriFunction<java.lang.String,java.lang.Character,java.lang.String,java.lang.String>)
		hayabusa.html.TableFormatter#getSystemFormat(int,int)
		gf\jsp\GF6250

	[読み込み処理全体に、try ～ catch を掛けておきます]
		fukurou.fileexec.FileUtil#readAllLines(java.nio.file.Path)

	[REPLACEアクションで、fromVal,toValの分割を、ｶﾝﾏ固定から、separator 使用に変更]
		hayabusa.taglib.ValueTag#actionExec(java.lang.String,java.lang.String)
		gf\jsp\GF7070

	[新規追加]
		fukurou.db.Functions#nvl2(java.lang.String,java.lang.String,java.lang.String)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6250\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6270\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7070\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\fileDownload.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\multiChoose.jsp

	[V5 修正反映]
X	Ver7では、7.3.1.2 (2021/03/02) で、修正済みです。
X		5.10.29.0 (2021/03/08)
X			[マルチチューザー修正]
X			multiChooseのスクリプトのうち、上下入れ替え機能が正しく動作していなかったため修正します。
X				jsp/common/multiChoose.js

7.3.1.2 (2021/03/02)
	[multiChooseの ▲、△、▽、▼が動作していない]
	新規依頼連絡 (43100-210301-01)
		jsp\common\multiChoose.js　の　moveListOptsﾒｿｯﾄﾞ内で、
		１．insertBefore に、oList を付ける。
		２．その中のremoveChild　を消す。
		３．case3,4のoList.children[]をoList.options[]に統一する。
		４．固定値とその色を付けられるように機能追加
		５．og:popup に対応するために、makeRtnCSV メソッド追加

		gf/jsp/GF6000/query.jsp
		jsp/common/multiChoose.js
		gf/jsp\custom/multiChoose.jsp

7.3.1.1 (2021/02/25)
	[action=&amp;quot;VIEWFIRST&amp;quot; 機能の追加]
		hayabusa.taglib.ValueTag#getParameterRows()
		gf/jsp/GF7070/query.jsp , result.jsp

	[ゼロ埋めや少数フォーマットを自動判定する]
		hayabusa.db.Selection_NUM#Selection_NUM(java.lang.String)
		 * @og.rev 7.3.1.1 (2021/02/25)ゼロ埋めや少数フォーマットを自動判定する。
		 * 例：000,020,5      → 000,005,010,015,020 のプルダウン
		 * 例：0.00,1.00,0.2  → 0.00,0.20,0.40,0.60,0.80,1.00 のプルダウン
		 *
		 * 開始をゼロ埋め指定した場合は、その桁数に応じて、前ゼロ埋めします。
		 * 少数点の開始の場合は、その桁数に合わせて、後ろゼロ埋めします。
		 * 小数点の前ゼロ埋めは、サポートしていません。
			gf/jsp/GF6010/query.jsp

	[readTable でEXCEL取込後に、名前列(DB.NAMES)とｼｰﾄ名(DB.SHEET_NAME)を取り出せる]
	ReadTableTag,DirectTableInsertTag で、EXCEL取込時に設定します。
	<og:text>NAMES={@DB.NAMES} , SHEET={@DB.SHEET_NAME}</og:text>
		gf/jsp/GF6250/result.jsp

	[ACT_SPLIT_LIST,ACT_FOR,ACT_FOR_LIST 追加]
		hayabusa.taglib.ValueTag#setAttribute(java.lang.String,java.lang.String,java.lang.String)

	[LIST アクションを、ArrayListからListに変更]
		hayabusa.taglib.ValueTag#setSQLAttribute(org.opengion.hayabusa.db.DBTableModel)
		hayabusa.taglib.ValueTag#setTableAttribute(org.opengion.hayabusa.db.DBTableModel,java.lang.String,java.lang.String)

	[multiChoose.jspにｾｯｼｮﾝﾀｲﾑｱｳﾄ時にCLOSEするように修正]
		gf\jsp\custom\multiChoose.jsp
		ge\jsp\custom\multiChoose.jsp

	[tableFilter に複数(CSV形式)のｶﾗﾑに対するﾗﾍﾞﾙを求める機能を追加]
		例：<og:tableFilter classId="LABEL" keys="CLM,LBL,USE_CSV" vals="BIKO,BIKO_LBL,true" />
		gf\jsp\GF2030\result.jsp

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6010\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7070\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7070\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printConfig.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printSystemParameter.jsp

7.3.1.0 (2021/02/02)
	[useBackLink 属性の値を使用する]
		hayabusa.taglib.BackGamenTag#checkCondition(java.lang.String)

	[useBackLink 追加]
		hayabusa.taglib.LinkTag#release2()
		hayabusa.taglib.LinkTag#setUseBackLink(java.lang.String)

	[adjustFrameHeight の zoom 引数対応]
	画面にzoom CSS を適用すると、QUERYの高さ調整がずれる件で、
	個別に倍率指定を引数でできるようにします。
		src\script\common\default.js

	[リクエスト変数処理を行います]
	タグ的には、TbodyTag、TfootTag、TheadTag が影響します。
		hayabusa.taglib.TFormatImpl#setRowspan( final String span )
		hayabusa.taglib.TFormatImpl#setNoClass( final String flag )

	[エディットにタイムアウト時の処理追加]
	セッションタイムアウト時にresult画面を custom/dummy.html に戻す処理で、
	エディットサブ画面は、そのまま残り続けるため、タイムアウト時間で
	画面を閉じます。これは、セッションタイムアウトとは無関係に、動きます。
		jsp\common\gamen\14_EDIT\tab.jsp

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\shell.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC32\shell.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GANTT09\taskinfo.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6240\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9350\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GFX001\contents.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\formRfresh.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_FS_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_mdfy_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_tab_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\nonAuth\login.jsp
		C:\opengionV7\uap\webapps\gf\jsp\nonAuth\logout.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
X	Ver7では、7.3.0.1 (2021/01/29) で、修正済みです。
X		5.10.28.0 (2021/01/29)
X			[HMレンデラ修正]
X			時分表示のレンデラで14桁時の処理が誤っていたので修正します。
X				plugin.column/Renderer_HM#String getValue( final String value )
X
X		5.10.27.0 (2021/01/05)
X			[コメント追記]
X			eventColumnセット時の注意点を追記しておきます
X				hayabusa.taglib.ColumnTag#setEventColumn( final String col )
X
X			[eventColumn修正]
X			初期発火の判定を厳密にするよう変更します
X				common/eventScript.js#makeColMapping()
X				common/eventScript.js#makeColumn( evCol )

7.3.0.1 (2021/01/29)
	[FORM認証関連 まとめ]
		jsp\nonAuth\dummy.html				新規追加
		jsp\custom\formRfresh.jsp			新規追加
		jsp\custom\result_FS_info.jsp		修正(formRfresh.jsp を include)
		jsp\custom\result_mdfy_info.jsp		修正(formRfresh.jsp を include)
		jsp\custom\result_tab_info.jsp		修正(formRfresh.jsp を include)
		jsp\custom\result_info.jsp			修正(formRfresh.jsp を include)

		WEB-INF\web.xml (追記)
			<!-- FORM認証で、認証済みの場合、j_security_check に飛ばされてエラーになるので、強制的に sendRedirect する。-->
				<servlet>
					<servlet-name>jsecurity</servlet-name>
					<servlet-class>org.opengion.hayabusa.servlet.JSecurityCheckServlet</servlet-class>
					<init-param>
						<param-name>forwardURL</param-name>
						<param-value>/jsp/index.jsp</param-value>
					</init-param>
				</servlet>

				<servlet-mapping>
					<servlet-name>jsecurity</servlet-name>
					<url-pattern>/jsp/j_security_check</url-pattern>
				</servlet-mapping>

			<!-- 非認証エリア設定 -->
				<security-constraint>
					<web-resource-collection>
						<web-resource-name>Non-secure resources</web-resource-name>
						<url-pattern>/jsp/nonAuth/*</url-pattern>
						<url-pattern>/servlet/remoteControl</url-pattern>	<!-- FORM認証時のリソースクリア -->
					</web-resource-collection>
				</security-constraint>

			<!-- FORM認証 (サンプル) -->
				<login-config>
					<auth-method>FORM</auth-method>
					<realm-name>DBDEF Web App</realm-name>
					<form-login-config>
						<form-login-page>/jsp/nonAuth/login.jsp</form-login-page>
						<form-error-page>/jsp/nonAuth/login.jsp</form-error-page>
					</form-login-config>
				</login-config>

	[FORM認証の更新時のｴﾗｰ対応]
	FORM認証の更新時にセッションエラーを表示しますが判りにくいため、
	jsp\custom\formRfresh.jsp で、ﾀｲﾑｱｳﾄ後に nonAuth/dummy.html に飛ばします。
	jsp\custom\result_info.jsp 関係に、このJSPをinclude します。

		<!--
		<meta http-equiv="refresh" content="70;URL=../nonAuth/dummy.html" />
		-->
		<!-- ｾｯｼｮﾝﾀｲﾑｱｳﾄ後に、dummy.html に転送します。+10000 がﾀｲﾑｱｳﾄ後にするための遅延時間 -->
		<script type="text/javascript">
		  <og:text>
			setTimeout(function(){
			  window.location.href = '../nonAuth/dummy.html';
			}, {@SYS.MAX_INACTIVE_INTERVAL}*1000+10000);
		  </og:text>
		</script>

	[ﾒｯｾｰｼﾞ変更]
	ﾕｰｻﾞｰﾛｸﾞｲﾝｴﾗｰ から、ｾｯｼｮﾝﾀｲﾑｱｳﾄ にｴﾗｰ内容を変更します。
		旧
			// ERR0002.T=ﾕｰｻﾞｰﾛｸﾞｲﾝｴﾗｰ
			// ERR0002.1=ｾｯｼｮﾝのﾀｲﾑｱｳﾄか，またはﾕｰｻﾞｰﾛｸﾞｲﾝｴﾗｰが発生しました。
			// ERR0002.2=現在のﾀｲﾑｱｳﾄは {0} 秒にｾｯﾄされています。
			// ERR0002.3=長時間使用しない場合は,ｾｯｼｮﾝﾀｲﾑｱｳﾄにより，ｻｰﾊﾞｰ側の負荷を軽減しています。
			// ERR0002.4=もう一度，ﾛｸﾞｲﾝし直して下さい。
		新
			// ERR0002.T=ｾｯｼｮﾝﾀｲﾑｱｳﾄ
			// ERR0002.1=ｾｯｼｮﾝのﾀｲﾑｱｳﾄが発生しました。
			// ERR0002.2=現在のﾀｲﾑｱｳﾄは {0} 秒にｾｯﾄされています。
			// ERR0002.3=長時間使用しない場合は,ｾｯｼｮﾝﾀｲﾑｱｳﾄにより、ﾒﾓﾘをﾘｾｯﾄしています。
			// ERR0002.4=もう一度，検索からやり直して下さい。

	[JSPチェック]
	og:head の記述漏れをJSPチェックに追加します。
	条件として、include 以外の jsp はすべて必要です。
		jsp\DOC18\xsltV7\GF70_PROG.xsl

	[１４ケタのch1[4] rtn.charAt(1) → rtn.charAt(11) 修正]
	[【標準GMIS】リソースの表示種別が時分のときの不具合]　(43100-210127-01)
		plugin.column.Renderer_HM#getValue(java.lang.String,boolean)

	[画像ファイルの置き方によって、ﾍｯﾀﾞｰ部に {@IMG.XXX} が書かれることがある]
		hayabusa.report2.OdsContentParser#writeParsedSheet(org.opengion.hayabusa.report2.OdsSheet,java.io.BufferedWriter)

	[画像ファイル名が漢字の場合、うまくいかないので、置き換える]
		hayabusa.report2.OdsContentParser#changeImage(java.lang.String,int,java.lang.String,java.lang.StringBuilder)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\shell.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC32\shell.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GANTT09\taskinfo.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6240\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9350\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GFX001\contents.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\formrRfresh.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_FS_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_mdfy_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_tab_info.jsp

7.3.0.0 (2021/01/06)
	[java,tomcat,openoffice等 Verup]
	実行環境の各バージョンをアップします。
		jdk15.0.1_9
		tomcat9.0.41
		derby-10.15.2.0			… 変更なし
		LibreOffice_7.0.3
		openoffice4.1.7			… 変更なし
		endorsed7.3.0

	[FORM認証見直し]
	FORM認証に対して、各種画面を見直しました。(gfサンプル)
		１．Tomcatの conf/web.xml で、<session-config> の <session-timeout>30</session-timeout> を
			30分から480分に変更
				<session-config>
					<!-- ==================== MiS Changed 2021/01/13 ===================== -->
					<session-timeout>480</session-timeout>
			<!--	<session-timeout>30</session-timeout>	-->
				</session-config>

		２．非認証エリア設定
			WEB-INF/web.xml に、非認証エリアとして、jsp/nonAuth フォルダを指定
				<security-constraint>
					<web-resource-collection>
						<web-resource-name>Non-secure resources</web-resource-name>
						<url-pattern>/jsp/nonAuth/*</url-pattern>
					</web-resource-collection>
				</security-constraint>

		３．jsp/nonAuth/login.jsp
			ｴﾗｰ時の判定を行い、赤文字を表示する。
				エラー時は、j_username というパラメータが来るので、その判定を scriptlet で処理
				<div style="color: #ff0000;font-weight: bold;" id="errmsg" ></div> にメッセージの書き出し

		４．custom/matrix_info.jsp の ログアウト画面への誘導先の変更
			以前は、jsp\common\gamen\00_LOGOUT\index.jsp → /jsp/custom/logout.html だったのを
			jsp/nonAuth/logout.jsp  に変更

			今回のサンプル(gf)の変更で、00_LOGOUT\index.jsp は使用しなくなりましたが、互換性の
			維持のため、当面残しておきます。

		５．２画面オープン時に、両方ログアウト後に両方ログインすると、最初のログインで認証が完了し、
			２つ目のログインでは、/jsp/j_security_check に飛ばされるため、画面なしｴﾗｰになる。
			そこで、j_security_check というｻｰﾌﾞﾚｯﾄを作成し、/jsp/j_security_check が呼ばれると、
			/jsp/index.jsp（初期値）に転送するｻｰﾌﾞﾚｯﾄを作成。

				WEB-INF/web.xml に、下記の定義を追加

		<!-- FORM認証で、認証済みの場合、j_security_check に飛ばされてエラーになるので、強制的に sendRedirect する。-->
		<servlet>
			<servlet-name>jsecurity</servlet-name>
			<servlet-class>org.opengion.hayabusa.servlet.JSecurityCheckServlet</servlet-class>
			<init-param>
				<param-name>forwardURL</param-name>
				<param-value>/jsp/index.jsp</param-value>
			</init-param>
		</servlet>

		<servlet-mapping>
			<servlet-name>jsecurity</servlet-name>
			<url-pattern>/jsp/j_security_check</url-pattern>
		</servlet-mapping>

		６．jsp/nonAuth/login.jsp
			２画面オープンで、ログアウト後に、ログインする場合、両方ともログインすると
			後の画面では、すでにログイン済みの為、j_security_check が存在しなエラーになる。
			５．で対応したように、/jsp/j_security_check が呼ばれれば（Top画面）問題ないが、
			それ以外のフォルダ内へのアクセス時に呼ばれると、エラーになるため、
			login.jsp  の form の 飛ばし先を、絶対パスにする。

		<form method="GET" action="${sysJSP}/j_security_check" >

	[SpotBugs:コンストラクタで初期化されていないフィールドを null チェックなしで null 値を利用している]
		hayabusa.report.RFIDPrintPointService_DEFAULT#makeXMLprintHeader()
		plugin.report.RFIDPrintPointService_DEFAULT#makeXMLprintHeader()

	[JavaScriptエンジンをNashornからGraalJSに移行(ただし、未対応)]
		hayabusa.taglib.DataCheckTag#checkParam()
		hayabusa.taglib.ValueTag#actionExec(java.lang.String,java.lang.String)

	[HSSFDateUtil(Deprecated) → DateUtil (poi-4.1.2)]
		hayabusa.report.ExcelDataPickup#getNumericTypeString(org.apache.poi.hssf.usermodel.HSSFCell)

	[新しいJavaDoc対応]
		fukurou.taglet2.AbstractDocTree#init(java.util.Locale,jdk.javadoc.doclet.Reporter)
		fukurou.taglet2.DocTreeParam#run(jdk.javadoc.doclet.DocletEnvironment)
		fukurou.taglet2.DocTreeParam#writeContents(jdk.javadoc.doclet.DocletEnvironment,org.opengion.fukurou.taglet2.DocTreeWriter)
		fukurou.taglet2.DocTreePlugin#org.opengion.fukurou.taglet2.DocTreePlugin.AttKeySet
		fukurou.taglet2.DocTreePlugin#run(jdk.javadoc.doclet.DocletEnvironment)
		fukurou.taglet2.DocTreePlugin#writeContents(jdk.javadoc.doclet.DocletEnvironment,org.opengion.fukurou.taglet2.DocTreeWriter)
		fukurou.taglet2.DocTreePlugin#getAttGroupName(javax.lang.model.element.TypeElement,javax.lang.model.util.Elements)
		fukurou.taglet2.DocTreeSpecific#run(jdk.javadoc.doclet.DocletEnvironment)
		fukurou.taglet2.DocTreeSpecific#writeContents(jdk.javadoc.doclet.DocletEnvironment,org.opengion.fukurou.taglet2.DocTreeWriter)
		fukurou.taglet2.DocTreeSpecific#isAction(javax.lang.model.element.ExecutableElement,int)
		fukurou.taglet2.DocTreeSpecific#menberTag(javax.lang.model.element.ExecutableElement,com.sun.source.doctree.DocCommentTree,java.lang.String,org.opengion.fukurou.taglet2.DocTreeWriter,int,java.lang.String)
		fukurou.taglet2.DocTreeTaglib#run(jdk.javadoc.doclet.DocletEnvironment)
		fukurou.taglet2.DocTreeTaglib#writeContents(jdk.javadoc.doclet.DocletEnvironment,org.opengion.fukurou.taglet2.DocTreeWriter)
		fukurou.taglet2.DocTreeTaglib#methodLabelCode(com.sun.source.doctree.DocCommentTree)
		fukurou.taglet2.DocTreeVerCheck#run(jdk.javadoc.doclet.DocletEnvironment)
		fukurou.taglet2.DocTreeVerCheck#writeContents(jdk.javadoc.doclet.DocletEnvironment,org.opengion.fukurou.taglet2.DocTreeWriter)
		fukurou.taglet2.DocTreeVerCheck#checkTag2(javax.lang.model.element.TypeElement)
		fukurou.taglet2.DocTreeWriter#DocTreeWriter(java.lang.String,java.lang.String)
		fukurou.taglet2.DocTreeWriter#close()
		fukurou.taglet2.DocTreeWriter#setClassName(java.lang.String)
		fukurou.taglet2.DocTreeWriter#printTag(java.lang.String...)
		fukurou.taglet2.DocTreeWriter#printTag(java.lang.String,java.util.List<? extends com.sun.source.doctree.DocTree>,java.lang.String)
		fukurou.taglet2.DocTreeWriter#convertToOiginal(java.lang.String)
		fukurou.taglet2.DocTreeWriter#valueTag(java.lang.StringBuilder)
		fukurou.taglet2.DocTreeWriter#doc03LinkTag(java.lang.StringBuilder)
		fukurou.taglet2.DocTreeWriter#linkTag(java.lang.StringBuilder)
		fukurou.taglet2.DocTreeWriter#getStaticField(java.lang.String,java.lang.String)

	[useRepeatClms 属性を追加]
		hayabusa.taglib.ReadTableTag#org.opengion.hayabusa.taglib.ReadTableTag.RepeatDataChenge

	[SpotBugs コンストラクタで初期化されていないフィールドを null チェックなしで null 値を利用している]
		hayabusa.taglib.DataCheckTag.ErrMessageManager#getKeysLabel(int...)

	[SEQNO がマイナスの場合、カラムに DESC を付ける(逆順カラム)]
		plugin.table.TableFilter_INDEX#execute()
		plugin.table.TableFilter_INDEX#makeIndexClmStr(java.lang.String,java.lang.String,java.lang.String)
		plugin.table.TableFilter_INDEX_DERBY#makeIndexClmStr(java.lang.String,java.lang.String,java.lang.String)
		plugin.table.TableFilter_INDEX_MYSQL#makeIndexClmStr(java.lang.String,java.lang.String,java.lang.String)

	[PreparedStatement 関連の処理の見直し]
		plugin.query.Query_JDBCTableMerge.DBquery#getDBUpdater(java.sql.Connection,boolean)
		plugin.query.Query_JDBCTableMerge.DBquery#close()

	[SpotBugs:読み出されないフィールド]
		hayabusa.report.AbstractCSVPrintPointService#setHostName(java.lang.String)
		hayabusa.report.AbstractCSVPrintPointService#setPrinterName(java.lang.String)
		hayabusa.report.AbstractCSVPrintPointService#setPrgDir(java.lang.String)
		hayabusa.report.AbstractCSVPrintPointService#setPrgFile(java.lang.String)
		hayabusa.report.AbstractCSVPrintPointService#setPortnm(java.lang.String)
		hayabusa.report.AbstractCSVPrintPointService#setFgcut(java.lang.String)

	[PMD refactoring. Each class should declare at least one constructor.]
		fukurou.taglet2.AbstractDocTree#AbstractDocTree()
		fukurou.taglet2.DocTreeParam#DocTreeParam()
		fukurou.taglet2.DocTreeSpecific#DocTreeSpecific()
		fukurou.taglet2.DocTreeTaglib#DocTreeTaglib()
		fukurou.taglet2.DocTreeVerCheck#DocTreeVerCheck()
		hayabusa.taglib.ReadTableTag.NormalCAListener#NormalCAListener()

	[新規追加]
		fukurou.db.Functions#instr(java.lang.String,java.lang.String)
		fukurou.fileexec.XLogger#isWarningEnabled()
		fukurou.fileexec.XLogger#isDebugEnabled()
		hayabusa.common.SystemData#LOGOUT_FILENAME

	[紛らわしい名前のメソッド（setFgNoMl → setFgnoml）]
		hayabusa.report.GE50Access#setFgnoml(java.lang.String)

	[ColumnActionListenerインターフェースを無名内部クラスから、内部クラスへ]
		hayabusa.taglib.ReadTableTag#org.opengion.hayabusa.taglib.ReadTableTag.NormalCAListener
		hayabusa.taglib.ReadTableTag#create(java.io.File)

	[SpotBugs:null ではなく長さが0の配列を返すことを検討する]
		fukurou.fileexec.StringUtil#split(java.lang.String,char)
		plugin.table.StandardDeviation#getData()
		plugin.table.TableFilter_STDDEV#execute()
		plugin.table.TableFilter_STDDEV2#execute()

	[SpotBugs:チェック例外でストリームやリソースのクリーンアップに失敗するかもしれないメソッド]
		plugin.query.Query_JDBCTableMerge#execute(int[],org.opengion.hayabusa.db.DBTableModel)

	[ADDアクションを追加]
		hayabusa.taglib.ValueTag#actionExec(java.lang.String,java.lang.String)

	[新規作成]
		hayabusa.servlet.JSecurityCheckServlet#JSecurityCheckServlet()
		hayabusa.servlet.JSecurityCheckServlet#doPost(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)
		hayabusa.servlet.JSecurityCheckServlet#doGet(javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse)
		hayabusa.servlet.JSecurityCheckServlet#init(javax.servlet.ServletConfig)

	[setCellType( CellType.BLANK )(Deprecated) → setBlank() (poi-4.1.2)]
		fukurou.model.POIUtil#setValue(org.apache.poi.ss.usermodel.Cell,java.lang.String)

	[PMD:GuardLogStatement:	Logger calls should be surrounded by log level guards.]
		fukurou.fileexec.XLogger#info(java.util.function.Supplier<java.lang.String>)
		fukurou.fileexec.XLogger#warning(java.util.function.Supplier<java.lang.String>)
		fukurou.fileexec.XLogger#debug(java.util.function.Supplier<java.lang.String>)

	[横持ちデータの繰り返し対応]
		hayabusa.taglib.ReadTableTag#create(java.io.File)
		hayabusa.taglib.ReadTableTag#setUseRepeatClms(java.lang.String)
		hayabusa.taglib.ReadTableTag.ColumnAction#makeNames(java.lang.String[])
		hayabusa.taglib.ReadTableTag.ColumnAction#clmAction(java.lang.String[],org.opengion.hayabusa.db.DBColumn[],int)
		hayabusa.taglib.ReadTableTag.ColumnAction#useRepeatClms(boolean)
		hayabusa.taglib.ReadTableTag.NormalCAListener#values(java.lang.String[],int)

	[SpotBugs:null チェックなしで null 値を利用対策]
		plugin.view.ViewForm_CustomData#setFormatterList(java.util.List<org.opengion.hayabusa.html.TableFormatter>)
		plugin.view.ViewForm_HTMLCustomTreeBOM#getHeader()
		plugin.view.ViewForm_HTMLFormatTable#getHeadLine()
		plugin.view.ViewForm_HTMLFormatTable#getHeadLine(java.lang.String)

	[ﾌｫｰﾏｯﾄｴﾗｰ時に、ｴﾗｰﾒｯｾｰｼﾞ取得でもｴﾗｰになる]
		fukurou.model.POIUtil#getValue(org.apache.poi.ss.usermodel.Cell)

	[JavaScriptエンジン Nashorn 削除]
		https://news.mynavi.jp/article/imajava-15/

		jsp対応：dataCheckタグ
			common\gamen\05_DBCONFIG\entry.jsp(20): 		<og:dataCheck command="ENTRY" lbl="GEE0004">
			common\gamen\14_EDIT\update.jsp(32): 		<og:dataCheck
			common\gamen\14_EDIT\upload.jsp(25): 	<og:dataCheck
			GF6440\result.jsp(34): <og:dataCheck
			GF6450\result.jsp(36): <og:dataCheck
			GF9100\result.jsp(36): <og:dataCheck
			GF9150\result.jsp(36): <og:dataCheck
			GF9200\result.jsp(34): <og:dataCheck
			GF9250\result.jsp(36): <og:dataCheck
			GF9300\result.jsp(27): <og:dataCheck
			GF9500\result.jsp(43): <og:dataCheck

		jsp対応：valueタグ
			common\reportView.jsp(75): <og:value command="SET" action="EXEC" key="CNT1" value="{@CNT2} + 1" />
			common\reportViewFile.jsp(92): <og:value command="SET" action="EXEC" key="CNT1" value="{@CNT2} + 1" />
			GF6300\reportView.jsp(75): <og:value command="SET" action="EXEC" key="CNT1" value="{@CNT2} + 1" />
			GF6300\result.jsp(21): <og:value command="SET" action="EXEC" key="CNT" value="{@CNT2} + 1" />
			GF7070\result.jsp(52): <og:value command="SET"		action="EXEC"			key="EXEC_ANS"		value="{@EXEC_VAL}" />

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6050\popup.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6050\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6300\reportView.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6300\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6440\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6450\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6450\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7070\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7070\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9100\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9150\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9200\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9250\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9300\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9500\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9510\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9510\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9510\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\authenticate.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\05_DBCONFIG\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\reportView.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\reportViewFile.jsp
		C:\opengionV7\uap\webapps\gf\jsp\index.jsp

		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF6250\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6250\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\07_CONFIG\entry.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

X	Ver7では、削除していませんでした。
X	[V5 修正反映]
X		5.10.26.0 (2020/12/15)
X			[帳票修正]
X			誤って削除していた箇所があるため修正
X				hayabusa.report2.QueueManager_DB#SQL_SELECT_GE51

7.2.9.5 (2020/11/28)
	[uniqCheckClms と、SQLチェックを同時に実行できるようにします]
		hayabusa.taglib.DataCheckTag#doEndTag()
		hayabusa.taglib.DataCheckTag#checkParam()

	[削除してすぐに実行すると、存在しないファイルリストが渡される場合がある]
		fukurou.util.ZipArchive#addZipEntry(List list,ZipArchiveOutputStream zos,String prefix,File[] files)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\common\filePopup.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\06_INSTALL\directXMLSave.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\06_INSTALL\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\06_INSTALL\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\result_REPORT.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC18\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\query_tab_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6490\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6490\result.jsp

	[GE 関連JSP修正]
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\custom
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0001
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0002
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0003
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0004
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0005
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0006
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0007
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0008
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0009
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0016
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0017
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE0018
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE7001
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\GE7003
		C:\temp\webapps\svnV7\DIFF2\ge\jsp\index.jsp

7.2.9.4 (2020/11/20)
	[PMD:Avoid appending characters as strings in StringBuffer.append.]
		plugin.report.CSVPrintPointService_RFW3#makeheader()
		plugin.report.CSVPrintPointService_RFW3#makebody()

	[PMD:Avoid declaring a variable if it is unreferenced before a possible exit point.]
		fukurou.model.FileOperationFactory#newStorageOperation(File file,String dir,String fileName)

	[PMD:Avoid if (x != y) ..; else ..;]
		plugin.cloud.MailManager_DB_SendGridAPI#sendDBMail(String systemId)

	[PMD:Do not explicitly trigger a garbage collection.]
		hayabusa.servlet.HybsAdmin#getCloseMessage(HttpSession session)

	[PMD:Each class should declare at least one constructor.]
		hayabusa.taglib.QueueSendTag#QueueSendTag()
		plugin.report.CSVPrintPointService_RFW3#CSVPrintPointService_RFW3()

	[PMD:Useless parentheses.]
		hayabusa.taglib.DataCheckTag#checkSql(String str,DataCheckTag.ErrMessageManager manager,String[] values,int row,String modifyType,Transaction tran)
		hayabusa.taglib.GanttHeaderTag#makeZoomTime(int hourOfPixcel,int step,boolean useTani)

	[PMD:volatile boolean の代替え]
		fukurou.fileexec.FileWatch#isErrorStatus()
		fukurou.fileexec.FileWatch#stop()
		fukurou.fileexec.FileWatch#run()
		fukurou.fileexec.MainProcess#isStarted()
		fukurou.fileexec.FileWatch#start()

	[Path.getFileName().toString() の簡易版]
		fukurou.fileexec.FileUtil#pathFileName(Path path)

	[String.format でゼロ埋め対応]
		hayabusa.db.Selection_HM#Selection_HM(String editPrm)
		plugin.view.ViewForm_ImageTimeBar#getTime2Str(int timeVal)

	[spotbugs:null になっている可能性があるメソッドの戻り値を利用している]
		fukurou.fileexec.FileExec.TBL_GE71#dbInsert(String fgtKan,String tmStr,Path fIn,Path fOk,Path fNg,int sutori,String errMsg)
		fukurou.fileexec.PathMatcherSet#addStartsWith(String[] startKey)
		fukurou.fileexec.PathMatcherSet#addEndsWith(String[] endKey)
		fukurou.fileexec.PathMatcherSet#addFileName(String filename)
		fukurou.fileexec.RunExec_DBIN#endExec(Path path,String[] ge72Data,String fgtkan,String errMsg)
		fukurou.fileexec.RunExec_DBIN.ConstValsSet#getVal(String cnstKey)
		hayabusa.db.Selection_FILES#Selection_FILES(String param)
		hayabusa.taglib.DataCheckTag.ErrMessageManager#firstExecute()
		hayabusa.taglib.DataCheckTag.ErrMessageManager#addMessage(int row,String id,String[] values)
		hayabusa.taglib.FileUpdateTag#delete(File inFile)
		hayabusa.taglib.ReadTableTag.ColumnAction#clmAction(String[] vals,DBColumn[] dbClms,int row)
		plugin.daemon.Daemon_QueueReceive#callActBizLogic(String systemId,String logicName,String msgText)

	[spotbugs:null 値を例外経路で利用している可能性がある]
		fukurou.model.EventReader_XLSX#eventReader(File file,TableModelHelper helper)

	[spotbugs:switch 文の2つの case のために同じコードを使用しているメソッド]
		fukurou.util.HybsDateUtil#calendarDiff(Calendar timeA,String prmB,int intC)
		hayabusa.resource.ResourceManager#getExtLabel(String key)
		hayabusa.taglib.TopMenuTag#makeTagMenuString(String href,String target,String bodyIn,String gamenId,String imgKey,int type)

	[spotbugs:スーパークラスの equals メソッドをオーバーライドしていないクラス]
		fukurou.model.FileOperation#equals(Object object)
		fukurou.model.FileOperationInfo#equals(Object object)

	[spotbugs:メソッド呼び出しは非 null パラメータに null を渡している]
		plugin.column.Editor_YM#getValue(int row,String value)

	[spotbugs:ローカル変数の自己代入]
		plugin.view.ViewForm_HTMLCrossTable#makeCrossTable(DBTableModel table)

	[spotbugs:呼び出したメソッドの Locale パラメータの使用を検討する]
		plugin.daemon.Daemon_QueueReceive#Daemon_QueueReceive()
		plugin.daemon.Daemon_QueueReceive#initDaemon()
		plugin.daemon.Daemon_QueueSend#startDaemon()
		plugin.table.TableFilter_TABLE_POSTGRES#makeLineList(String[] data,boolean first)

	[static final の大文字化]
		fukurou.fileexec.MainProcess#start()
		fukurou.fileexec.MainProcess#shutdown(boolean flag)

	[staticレベルのロック]
		fukurou.fileexec.MainProcess#getInstance()

	[オブジェクトを作らせない為の、private コンストラクタ]
		fukurou.model.FileOperationFactory#FileOperationFactory()

	[スキャン除外判定は、Path を直接管理します]
		fukurou.fileexec.BasePath#isScanPath(Path path)
		fukurou.fileexec.BasePath#BasePath(String[] dirs)

	[ﾌｧｲﾙｱｸｾｽの制約(指定がない場合は、処理しない)]
		hayabusa.servlet.RemoteControlServlet#init(ServletConfig config)
		hayabusa.servlet.RemoteControlServlet#callClass(HttpServletRequest request,HttpServletResponse response)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\DOC18\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\fileDownload.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\allCompile.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\08_DBUPDATE\sqlValues.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\09_DBVIEW\menu.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\09_DBVIEW\sqlValues.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\default.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\result_CLMSEQ.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\result_REPORT.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\saveEdit.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\tab.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\meisai.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\top_menu.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\update.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\22_FAQ\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\fileupload\update0.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\update0.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\query_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\query_tab_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_FS_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_mdfy_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_tab_info.jsp

7.2.9.3 (2020/11/06)
	[QueryTag に移動]
		hayabusa.taglib.QueryTag#setQuery(String type,String query)

	[早い段階でエラーにしておきます]
		hayabusa.db.AbstractQuery#getMergeStatement()

	[GE 階層ﾘｿｰｽ対応の修正]
		GE0003
		GE0004
		GE0005

	[ｴﾗｰﾃﾞｰﾀを除外 を削除]
	FGJやUNIQの扱いを決定する必要があるため、一旦保留にします。
		詳細は、refactoring/7.2.9.3_refactoring.txt をご確認ください。

7.2.9.2 (2020/10/30)
	[ベースとなるSYSTEM_ID(RESOURCE_BASE_SYSTEM_ID)の取得]
		hayabusa.resource.CodeDataLoader#CodeDataLoader(String systemId,String baseSys,boolean initLoad,LabelDataLoader lLoader)
		hayabusa.resource.ColumnDataLoader#ColumnDataLoader(String systemId,String baseSys,boolean initLoad)
		hayabusa.resource.GUIDataLoader#GUIDataLoader(String systemId,String baseSys)
		hayabusa.resource.LabelDataLoader#LabelDataLoader(String systemId,String baseSys,String lang,boolean initLoad)
		hayabusa.resource.ResourceManager#ResourceManager(String systemId,String lg,boolean initLoad)

	[DOC18 ｿｰｽﾁｪｯｸの修正]
	match="*[@style]" 復活
	style='display:none' の、og:thead 内での使用ﾁｪｯｸ
		gf\jsp\DOC18\xsltV7\GF70_PROG.xsl

	[KBSAKU関係の対応]
		詳細は、refactoring/7.2.9.2_refactoring.txt をご確認ください。

7.2.9.1 (2020/10/23)
	[sqlTypeにMERGE追加]
	sqlTypeは、INSERT、UPDATE などのSQL処理の種別を指定しますが、MERGE を指定すると、
	有れば更新、なければ追加処理を実行します。
		common/filePopup.jsp で、sqlType を指定できるようにします。(初期値は、INSERT)
		common/upload.jsp で、callBack画面(通常、update.jsp)に、sqlType の値を転送します。
		callBack画面(通常、update.jsp)から、sqlType を登録画面(通常、entry.jsp) に渡します。
		登録画面(通常、entry.jsp) では、
		 ① dataCheck ﾀｸﾞに、sqlType="{@sqlType}" を入れることで、MERGE時はチェックしません。
		 ② tableUpdate、tableUpdateParam は、基本そのままで、sqlType="{@sqlType}" でマージ処理を行います。
		 ③ tableUpdateParam を使用しないと、MERGE できません。(INSERTとUPDATEのSQL文を2つ作る必要があるため)

	[FGLOCAL(ﾛｰｶﾙﾘｿｰｽ)パラメータ追加]
		plugin.table.TableFilter_REPORTDATA#TableFilter_REPORTDATA()
		plugin.table.TableFilter_REPORTDATA#execute()

	[MSG 属性追加]
		plugin.table.TableFilter_LABEL#execute()

	[NN 追加、if処理を少しだけ分割します]
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

	[TableUpdateParamTag のマージ(UPDATE,INSERT)対応]
		fukurou.db.DBUpdater#update(String[] values)
		hayabusa.db.AbstractQuery#setMergeStatement(String update,String insert)
		hayabusa.db.AbstractQuery#getMergeStatement()
		hayabusa.db.Query#setMergeStatement(String update,String insert)
		hayabusa.db.Query#getMergeStatement()
		hayabusa.taglib.DataCheckTag#setSqlType(String type)
		hayabusa.taglib.QueryTag#doAfterBody()
		hayabusa.taglib.QueryTag#release2()
		hayabusa.taglib.TableUpdateParamTag#doEndTag()
		hayabusa.taglib.TableUpdateTag#release2()
		hayabusa.taglib.TableUpdateTag#setQuery(String type,String query)
		plugin.query.Query_JDBCTableMerge#execute(int[] rowNo,DBTableModel table)
		plugin.query.Query_JDBCTableMerge.DBquery#DBquery(DBTableModel table,String sql)
		plugin.query.Query_JDBCTableMerge.DBquery#getPreStmt(Connection conn)
		plugin.query.Query_JDBCTableMerge.DBquery#size()
		plugin.query.Query_JDBCTableMerge.DBquery#getUseTime()
		plugin.query.Query_JDBCTableMerge.DBquery#getVals(int row)

	[isTimeのメソッドを統合します]
		fukurou.db.DBUpdater#execute(String[] values)
		fukurou.db.DBUpdater#DBUpdater(int prmSize,PreparedStatement pstmt,boolean usePMeta,boolean[] isTime)
		plugin.query.Query_JDBCTableUpdate#execute(int[] rowNo,DBTableModel table)

	[protected → private に変更]
		hayabusa.taglib.CommonTagSupport#getNVLAttri(String attkey)
		hayabusa.taglib.CommonTagSupport#getValsAttri(String attkey)
		hayabusa.taglib.CommonTagSupport#getSubstrAttri(String attkey)
		hayabusa.taglib.CommonTagSupport#getLASTAttri(String attkey)
		hayabusa.taglib.CommonTagSupport#getSumRequestValue(String attkey)

	[writeCheckタグ内で書き込み許可するかどうかを決める為の情報(DBEditConfig#useEditName() 使用)]
	従来は、writeCheckで、エディット機能を使用しても並び替えだけであれば、登録ボタンが
	使えました。（カラムの非表示を使うと、自動的に登録ボタンをOFFする）
	小計、合計機能を使っても登録ボタンはOFFにするように変更します。
		hayabusa.taglib.WriteCheckTag#isWrite()
		hayabusa.db.DBEditConfig#useEditName()

	[新規作成]
		plugin.query.Query_JDBCTableMerge#Query_JDBCTableMerge()

	[新規追加]
		hayabusa.taglib.CommonTagSupport#getNNAttri(String attkey)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF7160\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9110\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\filePopup.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\upload.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\multiChoose.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\query_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\query_tab_info.jsp

7.2.9.0 (2020/10/12)
	[階層ﾘｿｰｽ対応]
	階層ﾘｿｰｽび対応すべく、GEのﾘｿｰｽ登録画面の修正を行った。
	① 各画面のリンクは、画面で検索した検索キーを引数にして飛ばします。
		引数のシステムIDと、ベースIDを新たに引数にします。
	② カラム追加せずに　コートだけＸＸで登録した場合、名称が表示されない
	    自身のシステムIDとベースIDから取得するようにします。
		SQLのJOINではﾘｿｰｽの優先順位が付けられないのと、重複表示されるため、
		tableMergeタグで名称をUNIONする形で処理します。
	③ 各画面の並び順に　システムID　順追加する
	    ｺｰﾄﾞ は、項目、表示順について、内部的には、項目、システムID、表示順に変更しました。
	④ 画面リソースの表示がシステムID単位に採番されるため、表示順がくるっていたが、
		システムIDとベースIDを通して、自動更新を行います。
	⑤ ベースIDを使用中の場合、ベースIDと異なるシステムIDの場合は、複写のみに制限する。

	[ClientAnchorのオフセット指定は、Units.EMU_PER_PIXEL が単位]
		fukurou.model.ExcelModel#addImageFile(String imgFile,int shtNo,int row1,int col1,int row2,int col2,int dx1,int dy1,int dx2,int dy2)

	[ExcelImageFileParamTag から値を取り込みます]
		hayabusa.taglib.ExcelFileTag#doStartTag()
		hayabusa.taglib.ExcelFileTag#doEndTag()
		hayabusa.taglib.ExcelFileTag#putImageFile(ExcelModel excel)

	[ExcelModel にイメージファイルを設定します]
		hayabusa.taglib.ExcelFileTag.ImageFile#setExcelModel(ExcelModel excel)

	[LLBL,SLBL,DISC,RLBL 属性追加]
		plugin.table.TableFilter_LABEL#execute()

	[RAWSET コマンドを追加する]
		hayabusa.taglib.EntryTag#commandExec(String command)
		hayabusa.taglib.EntryTag#rawSet()

	[args パラメータ配列(可変長引数)廃止(旧ﾒｿｯﾄﾞ復活)]
		hayabusa.resource.ResourceManager#getRawShortLabel(String key,boolean useKey)

	[getRawShortLabel → getShortErrorMsg メソッド名変更]
		hayabusa.taglib.TaglibUtil#makeHTMLErrorTable(ErrorMessage errMsg,ResourceManager resource,boolean useSLabel)
		hayabusa.taglib.TaglibUtil#makeHTMLSimpleErrorList(ErrorMessage errMsg,ResourceManager resource,boolean useSLabel)

	[getRawShortLabelで、null時は key を返します]
		hayabusa.resource.ResourceManager#getExtLabel(String key)

	[rawShortLabelは、DB検索未設定の場合は、nullなので、初期値指定を行う]
		hayabusa.resource.LabelData#LabelData(String[] data)
		hayabusa.resource.LabelData#getShortMessage(String[] vals)
		hayabusa.resource.LabelData#getRawShortLabel()
		hayabusa.resource.LabelData#getRawShortLabel(String defVal)

	[type(#,$,!)を考慮した関数型I/F対応]
		fukurou.model.Formatter#getFormatString(int row)
		fukurou.model.Formatter#getFormatString(int row,String separator)
		fukurou.model.Formatter#getFormatString(int row,String separator,Formatter.TriFunction triFunc)
		fukurou.model.Formatter.TriFunction#apply(Object val,Object typ,Object prm)
		hayabusa.taglib.EntryTag#setColumnValues(String[] val)

	[ラベル形式('L','S','T','D','R','C') 処理を、メソッドに変更(null時はキーを返す)]
		hayabusa.taglib.CommonTagSupport#getLabel(String lbl)

	[引数を分解して、直接処理します]
	…ついでにメソッド名変更
		hayabusa.resource.ResourceManager#getShortErrorMsg(ErrMsg errMsgObj)

	[新規追加]
		hayabusa.resource.ResourceManager#getRawLongLabel(String key)
		hayabusa.taglib.ExcelFileTag.ImageFile#ImageFile(String imgFile,String sheetName,int sheetNo,int rowNo,int colNo,int rowEndNo,int colEndNo,int dx1,int dy1,int dx2,int dy2)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6270\optionQuery.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6270\result.jsp

	[V5 修正反映]
		5.10.25.0 (2020/10/02)
			[DB定義Postgres用出力変更]
			・Numeric型の出力で精度情報を付けるようにしておきます
			・出力を小文字に変換します(スクリプト部分を全て小文字化してしまう）
			・スクリプト先頭にUTF-8用の文字列出力をしておきます(SQLファイルのみ）
				plugin.table.TableFilter_TABLE_POSGRE#makeLineList( final String[] data,final boolean first )
				plugin.table.TableFilter_TABLE_POSGRE#makeHeadLine( final int[] clmNo,final String[] data )
				plugin.table.TableFilter_SEQUENCE_POSGRE#makeLineList( final int[] clmNo,final String[] data )
				plugin.table.TableFilter_SEQUENCE_POSGRE#makeHeadLine( final int[] clmNo,final String[] data )
				plugin.table.TableFilter_INDEX_POSGR#makeLineList( final int[] clmNo,final String[] data )
				plugin.table.TableFilter_INDEX_POSGR#makeHeadLine( final int[] clmNo,final String[] data )

7.2.8.1 (2020/09/18)
	[ﾘｿｰｽ不足分追加]
	fileQueryで自動生成されるカラムが、GFにしか存在しなかったため、** に持ってきます。
	これに伴い、GF側で定義していたﾘｿｰｽは重複するため削除します。
	【** ｶﾗﾑ、ﾗﾍﾞﾙ追加分】
	  1 FILE_LENGTH ﾌｧｲﾙｻｲｽﾞ ﾌｧｲﾙｻｲｽﾞ  数字 10  数値 ﾃｷｽﾄ S9:数値         ** ｴﾝｼﾞﾝ 一括読込      活動中 日
	  2 FILE_TYPE ﾌｧｲﾙ種別 ﾌｧｲﾙ種別  文字 10  ﾒﾆｭｰ ﾒﾆｭｰ X:半角         ** ｴﾝｼﾞﾝ 一括読込      活動中 日
	  3 LEVEL 階層 階層  数字 6  数値 数字型 S9:数値         ** ｴﾝｼﾞﾝ 個別読込    2020/09/18 09:29:57 追加 活動中 日
	  4 NAME 名称 名称  文字 200  ﾗﾍﾞﾙ ﾃｷｽﾄ KX:混在         ** ｴﾝｼﾞﾝ 個別読込    2020/09/18 09:35:30 追加 活動中 日
	  5 PARENT 親ﾌｫﾙﾀﾞ 親ﾌｫﾙﾀﾞ  文字 300  ﾗﾍﾞﾙ ﾃｷｽﾄ XK:混在         ** ｴﾝｼﾞﾝ 個別読込    2020/09/18 09:38:25 変更 活動中 日
	  6 TO_NAME 先名称 先名称  文字 200  ﾗﾍﾞﾙ ﾃｷｽﾄ KX:混在         ** ｴﾝｼﾞﾝ 個別読込    2020/09/18 09:39:19 追加 活動中 日
	  7 TO_PARENT 先親ﾌｫﾙﾀﾞ 先親ﾌｫﾙﾀﾞ  文字

	【GF ｶﾗﾑ、ﾗﾍﾞﾙ削除分】
	  1 FILE_LENGTH ﾌｧｲﾙｻｲｽﾞ ﾌｧｲﾙｻｲｽﾞ  数字 10  数値 ﾃｷｽﾄ S9:数値         GF ｼｽﾃﾑ 一括読込      活動中 日
	  2 FILE_TYPE ﾌｧｲﾙ種別 ﾌｧｲﾙ種別  文字 10  ﾒﾆｭｰ ﾒﾆｭｰ X:半角         GF ｼｽﾃﾑ 一括読込      活動中 日
	  3 PARENT 親ﾌｫﾙﾀﾞ 親ﾌｫﾙﾀﾞ  文字 30  ﾗﾍﾞﾙ ﾃｷｽﾄ X:半角

7.2.8.0 (2020/09/04)
	[result_infoのU_SYSID設定は廃止]
	これは、SYSTEM_ID切り替えを考慮しての対応であり、U_SYSIDは初期値として使用することにする。
		custom\result_info.jsp(5): 			<og:value command="SET" key="U_SYSID" value="{@SYSTEM_ID}" defaultVal="{@SYS.SYSTEM_ID}" scope="session" />
		custom\result_mdfy_info.jsp(5): 	<og:value command="SET" key="U_SYSID" value="{@SYSTEM_ID}" defaultVal="{@SYS.SYSTEM_ID}" scope="session" />

	[userInfoのSYS_IDは廃止]
	すべてsessionのU_SYSIDに統一します。
		index.jsp(11):						<og:userInfo command="SET" key="SYS_ID" value="{@SYSTEM_ID}" save="true" caseNN="{@SYSTEM_ID}" />
		index2.jsp(12):						<og:userInfo command="SET" key="SYS_ID" value="{@SYSTEM_ID}" save="true" caseNN="{@SYSTEM_ID}" />
		index3.jsp(15):						<og:userInfo command="SET" key="SYS_ID" value="{@SYSTEM_ID}" save="true" caseNN="{@SYSTEM_ID}" />
		custom\matrix_info.jsp(12): 		<og:value command="SET" key="SYS_ID" value="{@USER.SYS_ID}" action="LOWER" defaultVal="{@SYS.CONTEXT_NAME}" />
		custom\query_info.jsp(60): 			<og:value command="SET" key="SYS_ID" value="{@USER.SYS_ID}" action="LOWER" defaultVal="{@SYS.CONTEXT_NAME}" />

	[３階層リソースのベースとなる　U_BASE　を検索対象にする対応]
		GE0002\query.jsp(25): 			<og:input type="checkbox" name="AST" value="**" lbl="**" td="no" />)
		GE0002\result.jsp(63): 			where A.SYSTEM_ID IN ( '{@SYSTEM_ID}','{@AST}' )
		GE0003\query.jsp(24): 			(<og:input type="checkbox" name="AST" value="**" lbl="**" td="no" />)
		GE0003\result.jsp(50): 		where A.SYSTEM_ID in ( '{@SYSTEM_ID}','{@AST}' )
		GE0004\query.jsp(24): 				(<og:input type="checkbox" name="AST" value="**" lbl="**" td="no" />)
		GE0004\result.jsp(43): 				where Z.SYSTEM_ID in ( '{@SYSTEM_ID}','{@AST}' )
		GE0005\query.jsp(24): 				(<og:input type="checkbox" name="AST" value="**" lbl="**" td="no" />)
		GE0005\result.jsp(43): 		where A.SYSTEM_ID in ( '{@SYSTEM_ID}','{@AST}' )

	GE0008（ﾕｰｻﾞｰ定数）とGE0009（XML抜き出し）　は対応しません。
		GE0008\query.jsp(24): 				(<og:input type="checkbox" checked="checked" name="AST" value="**" lbl="**" td="no" />)
		GE0009\query.jsp(24): 				(<og:input type="checkbox" name="AST" value="**" lbl="**" td="no" />)

	GE0006(ﾗﾍﾞﾙ概要説明)　は自身のｼｽﾃﾑIDのみ更新可能とします。
		GE0006\query.jsp(26): 				(<og:input type="checkbox" name="AST" value="**" lbl="**" td="no" />)
		GE0006\result.jsp(37): 		where A.SYSTEM_ID in ( '{@SYSTEM_ID}','{@AST}' )

	[HTMLTableから、HTMLCustomTable に変更して、DESCRIPTION を登録しやすくする。]
		GE0006\update.jsp

	[自動設定の項目を除外するチェックボックス追加]
		GE0007\query.jsp			OMIT_AUTO
		GE0007\result.jsp

	["**"以外にベースとなるSYSTEM_ID(RESOURCE_BASE_SYSTEM_ID)設定の対応]
	SQL文手直し
		hayabusa.resource.LabelDataLoader#loadDBResource()
		hayabusa.resource.LabelDataLoader#getLabelData(String key)

	[RESOURCE_BASE_SYSTEM_ID 対応で、帳票系は難しいので対応しません]
	7.2.6.1 (2020/07/17) で対応した、GE54,GE55,GE58 は元に戻します。
		hayabusa.report.CSVPrintRequest#initialDataSet()
		hayabusa.report.RFIDPrintRequest#initialDataSet()
		hayabusa.report.ReportPrint#initialDataSet()

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	問合・ﾄﾗﾌﾞﾙ (43100-200901-01) クロームエンジンEdgeの動作確認
	[V5 修正反映]
		5.10.24.0 (2020/09/04)
			[ガントチャートのEdge対応]
			ChromeやEdgeでガントチャートの表示で、意図せず文字が表示されている箇所があったため修正します。
			これは、imgタグのsrc属性が指定されなかった場合に発生するため、指定無しの場合は透明なpngを指定しておきます。
				adjustGanttTable.js
				jsp/image/empty.png

		[ガントチャートEdge対応２]
		ガントバーをマウスで動かす際に、カーソルが外れた際の動作がChrome系で意図しないものになっていたため変更します。
		具体的には一部のイベントをimgからbodyに変更します。
			adjustGanttTable.js

7.2.7.0 (2020/08/07)
	[ｱｸｾｽ集計で、日付曖昧が効かない]
	日付8桁入れると、like の % が入らなくなり、日付検索のあいまい検索が出来なくなる。
	日付側を SUBSTRすると、インデックスを使わなくなるため、引数側に常に%を付けるように修正します。
		ge\jsp\GE0013\GEM0020.jsp(14): 		<og:and value = "A.DYLOGIN		like '{@DATE}'"			/>
		ge\jsp\GE0013\GEM0021.jsp(21): 		<og:and value = "A.DYLOGIN    like '{@DATE}'"       />
		ge\jsp\GE0013\GEM0022.jsp(18): 		<og:and value = "A.DYLOGIN    like '{@DATE}'"       />
		ge\jsp\GE0013\GEM0023.jsp(18): 		<og:and value = "A.DYLOGIN    like '{@DATE}'"       />
		ge\jsp\GE0013\GEM0024.jsp(19): 		<og:and value = "A.DYLOGIN    like '{@DATE}'"       />
		ge\jsp\GE0013\GEM0025.jsp(19): 		<og:and value = "A.DYLOGIN    like '{@DATE}'"       />
		ge\jsp\GE0013\GEM0026.jsp(18): 		<og:and value = "A.DYLOGIN    like '{@DATE}'"       />
		ge\jsp\GE0013\GEM0027.jsp(19): 		<og:and value = "A.DYLOGIN    like '{@DATE}'"       />

	[ERR0050:ｱｸｼｮﾝ実行中にｴﾗｰが発生しました]
		hayabusa.taglib.FileUpdateTag#actionCOPY(int[] rowNo,FileUpdateTag.FromToFiles fromToFiles)
		hayabusa.taglib.FileUpdateTag#actionMOVE(int[] rowNo,FileUpdateTag.FromToFiles fromToFiles)
		hayabusa.taglib.FileUpdateTag#actionDELETE(int[] rowNo,FileUpdateTag.FromToFiles fromToFiles)
		ﾗﾍﾞﾙﾘｿｰｽ	ERR0050:ｱｸｼｮﾝ実行中にｴﾗｰが発生しました。ｱｸｼｮﾝ:{0} From:{1} To:{2}		追加

	[MKDIRSｱｸｼｮﾝ 追加]
		hayabusa.taglib.FileUpdateTag.FromToFiles#getLastDir()
		hayabusa.taglib.FileUpdateTag.FromToFiles#mkDirs(String fname,boolean createDir)
		hayabusa.taglib.FileUpdateTag#execute()
		hayabusa.taglib.FileUpdateTag#actionMKDIRS(int[] rowNo,FileUpdateTag.FromToFiles fromToFiles)
		hayabusa.taglib.FileUpdateTag.FromToFiles#makeToParent(int rowNo)

	[equals,notequals 廃止、fileEquals,unFileEquals 追加]
		fukurou.process.Process_FileSearch#init(ParamProcess paramProcess)

	[outMessage 削除]
		hayabusa.taglib.FileUpdateTag#release2()

	[parentClm,nameClm,toParentClm,toNameClm 追加]
		hayabusa.taglib.FileUpdateTag#setParentClm(String clm)
		hayabusa.taglib.FileUpdateTag#setNameClm(String clm)
		hayabusa.taglib.FileUpdateTag#setToParentClm(String clm)
		hayabusa.taglib.FileUpdateTag#setToNameClm(String clm)
		hayabusa.taglib.FileUpdateTag.FromToFiles#FromToFiles(DBTableModel table,String targetDir,boolean createDir,String inPath,String[] clms)

	[エラー時に処理後に停止(true)するかどうか]
		hayabusa.taglib.FileUpdateTag#doEndTag()
		hayabusa.taglib.FileUpdateTag#setUseStop(String flag)

	[他の属性の関係で、baseURLをfileURL に変更]
		hayabusa.taglib.LinkTag#doEndTag()
		hayabusa.taglib.LinkTag#release2()

	[相対ﾊﾟｽの場合の基準ﾌｫﾙﾀﾞ(FILE_URL) 考慮]
		hayabusa.servlet.FileDownload#doPost(HttpServletRequest request,HttpServletResponse response)
		hayabusa.taglib.FileUpdateTag.FromToFiles#mkDirs(String fname,boolean createDir)

	[ｺﾝﾃｷｽﾄﾊﾟｽを基準ﾊﾟｽとするfileURLの設定]
		hayabusa.taglib.WriteTableTag#setBaseURL(String url)

	X	一旦保留
	X	[fieldSize には、viewLength を設定する(昔に戻る)]
	X		hayabusa.resource.ColumnData#ColumnData(String[] data)
	X		hayabusa.common.SystemData#HTML_VIEW_COLUMNS_MAXSIZE = "50" ;

	[jsp , js , css , tld更新]
		fileUpdate の outMessage 属性廃止(使用されていなかったので整理)
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\shell.jsp		outMessage	= "false"		削除
		C:\opengionV7\uap\webapps\gf\jsp\DOC32\shell.jsp		outMessage	= "false"		削除
		C:\opengionV7\uap\webapps\gf\jsp\GF6380\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6380\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7150\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7150\result.jsp

7.2.6.3 (2020/08/07) 未公開
	[mkdirs は、先に存在チェックを入れて、存在していればtrueにする]
		fukurou.fileexec.FileUtil#actionExec( final String action ) throws IOException {

7.2.6.2 (2020/07/29) 未公開
	[ﾘｿｰｽの設定ミス修正]
	作成区分間違いの修正と削除
	ge\db\resource\xml\update 修正

	[GE0002 画面修正]
	画面の登録で、ラベルとのJOIN方法の修正
	ただし、現状でも作成区分と言語のJOIN方法がおかしいが、我慢する。
		ge\jsp\GE0002\result.jsp,update.jsp,entry.jsp

	[帳票システム  OUT_DIR 無しﾄﾗﾌﾞﾙ対応]
	帳票システムで、OUT_DIR にダミーの値を設定しないとｴﾗｰになる
	現象を対応します。
	5.10.9.2 (2019/03/15) で対応した修正時に、ゼロ文字列の
	ﾃﾞｨﾚｸﾄﾘ名が来た場合、エラーとなり、後続処理が進みません。
	『7.0.2.2 (2019/03/25)にて対応』
		hayabusa.common.HybsSystem#url2absPath(String url)

	[unEquals対応忘れ]
		hayabusa.taglib.FileWhereTag#doEndTag()
		hayabusa.taglib.FileWhereTag#release2()
		hayabusa.taglib.FileWhereTag#setUnEquals(String str)

	[引数がゼロ文字列の場合の処理追加]
		hayabusa.common.HybsSystem#url2absPath(String url)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

7.2.6.1 (2020/07/17)
	["**"以外にベースとなるSYSTEM_ID(RESOURCE_BASE_SYSTEM_ID)設定の対応]
		hayabusa.report.CSVPrintRequest#initialDataSet()
		hayabusa.report.RFIDPrintRequest#initialDataSet()
		hayabusa.report.ReportPrint#initialDataSet()
		hayabusa.resource.GUIDataLoader#loadDBResource()

	[ACT_REQUEST追加]
		hayabusa.taglib.ValueTag#setSQLAttribute(DBTableModel table)
		hayabusa.taglib.ValueTag#actionExec(String action,String value)

	[H:Header(ヘッダー)属性追加]
		hayabusa.io.AbstractTableWriter#writeLabel2(DBTableModel table,PrintWriter writer)
		plugin.io.TableWriter_Default#writeDBTable(PrintWriter writer)
		plugin.io.TableWriter_Excel#writeLabel2(DBTableModel table,PrintWriter writer)

	[codeGroupが使えるように、isUseを判定する]
		hayabusa.db.Selection_BITBOX#getOption(String name,String selectValue,boolean useLabel)
		hayabusa.db.Selection_CHBOX#getOption(String name,String selectValue,boolean useLabel)
		hayabusa.db.Selection_RADIO#getOption(String name,String selectValue,boolean useLabel)

	[行番号にダブルクオートは付けません]
		plugin.io.TableWriter_CSV3#writeData(DBTableModel table,PrintWriter writer)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\shell.jsp

	[java,tomcat,openoffice等 Verup]
	実行環境の各バージョンをアップします。
		jdk11.0.8_10
		tomcat9.0.37
		derby-10.15.2.0			… 変更なし
		LibreOffice_6.4.5
		openoffice4.1.7			… 変更なし
		ogV7_x64_jdk11.0.8_10_tomcat9.0.37.zip

7.2.6.0 (2020/06/30)
	[fileWhere,fileOptionのuseDir属性廃止]
	useDir属性でﾌｧｲﾙの検索条件指定を行っていましたが、実際には、fileの場合と、
	ﾃﾞｨﾚｸﾄﾘの場合で、条件を分けることがほとんどです。
	そこで、個々の条件に、ﾃﾞｨﾚｸﾄﾘ検索用の属性を用意することで、useDir属性を廃止
	いたします。

	["**"以外にベースとなるSYSTEM_ID(RESOURCE_BASE_SYSTEM_ID)設定の対応]
		hayabusa.resource.CodeDataLoader#loadDBResource()
		hayabusa.resource.CodeDataLoader#getCodeData(String key)
		hayabusa.resource.ColumnDataLoader#loadDBResource()
		hayabusa.resource.ColumnDataLoader#getColumnData(String key)
		hayabusa.resource.GUIDataLoader#loadDBResource()
		hayabusa.resource.GUIDataLoader#getAllData()
		hayabusa.resource.GUIDataLoader#clear()
		hayabusa.resource.LabelDataLoader#loadDBResource()
		hayabusa.resource.LabelDataLoader#getLabelData(String key)

	[INDEX_OF ,LASTINDEX_OF, LENGTH追加]
		hayabusa.taglib.ValueTag#actionExec(String action,String value)

	[StringBuilderの連結部見直し]
		hayabusa.servlet.HybsAdmin#tableTr2(StringBuilder buf,String name,long total,long usable)
		hayabusa.servlet.HybsAdmin#getLoginUser(String sort,boolean direc)
		hayabusa.servlet.HybsAdmin.ClassInfo#addLine(String type,String key,String clsName)
		hayabusa.servlet.HybsAdmin#getSystemResource()
		hayabusa.servlet.HybsAdmin#getRegistrationMessage(HttpSession session)

	[columns でカラム指定できるようにする]
		plugin.io.TableReader_POI#readDBTable(File file,String enc)

	[nameOnly 属性 を追加します]
		hayabusa.taglib.FileQueryTag#release2()
		hayabusa.taglib.FileQueryTag#addFileData(int rowNo,int lvl,File fin)
		hayabusa.taglib.FileQueryTag#setNameOnly(String flag)

	[ディレクトリ処理を統一します]
		fukurou.process.Process_FileSearch#init(ParamProcess paramProcess)
		fukurou.util.HybsFileFilter#matchDir(String str)
		fukurou.util.HybsFileFilter#matchDir(String str,boolean reverse)
		fukurou.util.HybsFileFilter#lastModified(String modify,boolean reverse)
		fukurou.util.HybsFileFilter#modifyTime(String value)
		fukurou.util.HybsFileFilter#accept(File pathname)
		fukurou.util.HybsFileFilter.DefaultFilter#accept(File pathname)
		fukurou.util.HybsFileFilter#startsWith(String prefix,boolean reverse)
		fukurou.util.HybsFileFilter#startsDir(String prefix,boolean reverse)
		fukurou.util.HybsFileFilter#endsWith(String suffix,boolean reverse)
		fukurou.util.HybsFileFilter#instr(String str,boolean reverse)
		fukurou.util.HybsFileFilter#instrDir(String str)
		fukurou.util.HybsFileFilter#instrDir(String str,boolean reverse)
		fukurou.util.HybsFileFilter#fileEquals(String str,boolean reverse)
		fukurou.util.HybsFileFilter#HybsFileFilter()
		fukurou.util.HybsFileFilter#matches(String str,boolean reverse)
		hayabusa.taglib.FileOptionTag#release2()
		hayabusa.taglib.FileOptionTag#setUseDir(String flag)
		hayabusa.taglib.FileWhereTag#doEndTag()
		hayabusa.taglib.FileWhereTag#release2()
		hayabusa.taglib.FileWhereTag#setUnStartsWith(String prefix)
		hayabusa.taglib.FileWhereTag#setStartsDir(String prefix)
		hayabusa.taglib.FileWhereTag#setUnStartsDir(String prefix)
		hayabusa.taglib.FileWhereTag#setUuEndsWith(String suffix)
		hayabusa.taglib.FileWhereTag#setUuInstr(String str)
		hayabusa.taglib.FileWhereTag#setIinstrDir(String str)
		hayabusa.taglib.FileWhereTag#setUnInstrDir(String str)
		hayabusa.taglib.FileWhereTag#setMmatchDir(String str)
		hayabusa.taglib.FileWhereTag#setUnMatchDir(String str)
		hayabusa.taglib.FileWhereTag#setUseDir(String flag)
	//	 * @param	useDIR		判定対象を指定します[false:File/true:File+Dir/only:Dir]。
		fukurou.util.HybsFileFilter#HybsFileFilter(boolean ignoreCase)
		fukurou.util.HybsFileFilter#HybsFileFilter(boolean ignoreCase,boolean notEquals)

	[削除方法を変更します]
		hayabusa.taglib.FileUpdateTag#actionDELETE(int[] rowNo,FileUpdateTag.FromToFiles fromToFiles)
		hayabusa.taglib.FileUpdateTag#delete(File inFile)

	[行単位に抜き出す機能追加]
		plugin.column.Renderer_SUBSTR#getValue(String value)
		plugin.column.Renderer_SUBSTR#Renderer_SUBSTR(String stStr,String enStr)
		plugin.column.Renderer_SUBSTR#newInstance(DBColumn clm)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC23\shell.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC32\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC32\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC32\shell.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6380\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6380\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\logLink.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\11_FILEQUERY\result.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

7.2.5.4 (2020/06/30)
	[廃番]

7.2.5.3 (2020/06/16)
	[MainProcessは、SystemParameterへ移動]
		hayabusa.common.HybsContextListener#contextInitialized(ServletContextEvent event)
		hayabusa.common.HybsContextListener#contextDestroyed(ServletContextEvent event)
		hayabusa.common.SystemParameter#makeSystemParameter(ServletContext context)

	[処理のスレッドを停止した時に、GF70.FGYKANを、3:実行中→1:登録 に更新する]
		fukurou.fileexec.CommandLine#stopFgykan()
		fukurou.fileexec.MainProcess#shutdown(boolean flag)

	[ファイル名変換が効かない]
	[【GMIS標準】エクセル出力時にファイル名が「fileout」となる] (43100-200616-01)
	useRedirect="true" にすると、ファイル名変換が効きませんでした。
	セットした理由が不明です。一応、元に戻します。
		jsp\common\fileDownload.jsp

	これは、Ver5対応時に、Ver7では、対応保留にしていました。
		5.10.12.0 (2019/06/03)
	X		Ver7 では、とりあえず変更しません。
	X		[fileDownload.jsp]
	X		クラウド以外のダウンロードをredirectとしていましたが、
	X		上記forwardタグの対応及びファイル名の問題によりforwardに戻しておきます。
	X			jsp/common/fileDownload.jsp

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\fileDownload.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\default.js

7.2.5.2 (2020/06/12)
	[useRealTimeCheck属性]
	問合・ﾄﾗﾌﾞﾙ (43100-200605-01)
	【GMIS標準】useRealTimeCheck属性
	昔、廃止された属性ですが、5.9.32.2 (2018/05/18)　で、復活していました。
	ソースチェックの対応漏れです。
	ちなみに、headerType="handy" の場合、JavaScript処理を絞り込むため、
	useRealTimeCheck属性は使用できませんので、その場合のみのチェックを追加
	しておきます。
		DOC18\xsltV7\GF70_PROG.xsl

	[headType="handy"専用の、cssとjs 追加]
		hayabusa.taglib.HeadTag#doEndTag()

	[default.js の rtnPopup,ogPopup 整理]
	default.js の ogPopup、rtnPopup をコメントアウトします。
	これは、旧IE専用のﾎﾟｯﾌﾟｱｯﾌﾟ用でしたが、option/html5modalDialog.js に
	汎用的なﾎﾟｯﾌﾟｱｯﾌﾟを用意しているため、こちらを使用します。
	元々、このJavaScriptをｲﾝｸﾙｰﾄﾞしないと使えませんでした。
		C:\opengionV7\uap\webapps\gf\src\script\common\default.js

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6000\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9110\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\24_ERRMSG_haishi\query.jsp

7.2.5.1 (2020/06/05)
	[ｴﾗｰﾒｯｾｰｼﾞ編集(24_ERRMSG)の改修]
	【GMIS標準】ｴﾗｰﾒｯｾｰｼﾞ編集(24_ERRMSG)の改修改善 (43100-200603-02)
	システムIDが選べない、**のﾘｿｰｽの追加が出来ない、など、動きが怪しいので廃止します。
		jsp\common\gamen\24_ERRMSG

	[ｴﾗｰﾒｯｾｰｼﾞ(短)の修正]
	ｴﾗｰﾒｯｾｰｼﾞのﾗﾍﾞﾙ(短)は、AsReader向けのﾒｯｾｰｼﾞなので、表示領域が少ない。
	そこで、全角15文字程度で折り返し表示させます。
	折り返しには、<br/>を挿入します。
		ge\db\resource\xml\update

	[数値変換エラーの前にチェックを入れます]
		hayabusa.db.DBTypeCheckUtil#ymdFormatCheck(String value)
		hayabusa.db.DBTypeCheckUtil#hmsFormatCheck(String value)
		hayabusa.db.DBTypeCheckUtil#ymdhmsCheck(String value,int st,int ed,int minSu,int maxSu)
		plugin.column.DBType_HMS#valueCheck(String key,String value,int sizeX,int sizeY,String typeParam,boolean isStrict)
		plugin.column.DBType_YM#valueCheck(String key,String value,int sizeX,int sizeY,String typeParam,boolean isStrict)
		plugin.column.DBType_YM01#valueCheck(String key,String value,int sizeX,int sizeY,String typeParam,boolean isStrict)
		plugin.column.DBType_YM31#valueCheck(String key,String value,int sizeX,int sizeY,String typeParam,boolean isStrict)
		plugin.column.DBType_YMD#valueCheck(String key,String value,int sizeX,int sizeY,String typeParam,boolean isStrict)
		plugin.column.DBType_YMDH#valueCheck(String key,String value,int sizeX,int sizeY,String typeParam,boolean isStrict)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6000\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9110\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\24_ERRMSG_haishi\query.jsp

	[V5 修正反映]
		5.10.23.0 (2020/06/01)
			[WriteTable機能追加]
			WriteTableで出力したテーブルモデルの行数をWRITE.COUNTでセットします。
				hayabusa.taglib.WriteTableTag#doEndTag()

	X		[fileDowload変更]
	X		CommonのFileDownloadで出力データ(WRITE.COUNT)が０件の場合に「対象データはありませんでした。」
	X		のメッセージを出すようにしておきます。
	X		jsp/common/fileDownload.jsp

	X		[脆弱性対応]
	X		既知の脆弱性の問題から、jackson-databindを2.8.11.3から2.9.10.4に変更しておきます。
	X		それに伴い、annotations,coreも2.8.11から2.9.10に変更します
	X			jdk/lib/ext/jackson-databind-2.9.10.4.jar
	X			jdk/lib/ext/jackson-annotations-2.9.10.jar
	X			jdk/lib/ext/jackson-core-2.9.10.jar

	X		[NEXT,PREV時のstopZero]
	X		QueryタグのStopZeroがNEXT等でも効くようにします。
	X		対象外コマンドの場合はテーブルモデルの行数を予めセットします。
	X			hayabusa.taglib.QueryTag#doStartTag()

	X		[WriteTagの修正]
	X		過去に5.9.20.2でTABLE_WRITER_DEFAULT_HEADERSEQを利用出来るようにしたが、
	X		システムリソースをnullにすると警告が出るため、"null"をnull値にするように
	X		とりあえずの対応を入れておきます。
	X			hayabusa.taglib.WritetableTag#create( final PrintWriter out )
	X			hayabusa.common.SystemData#TABLE_WRITER_DEFAULT_HEADERSEQ

	X	5.10.22.0 (2020/05/01)
	X		[login.jsp追加]
	X		Form認証用にキャッシュ関係のHTTPヘッダを追加したJSPを作成しておきます。
	X			jsp/login.jsp

7.2.5.0 (2020/06/01)
	[NEXT,PREV等でstopZeroが効かない対応]
	[【GMIS標準】PREV-NEXTのときstopZero属性が利かない]　(問合・ﾄﾗﾌﾞﾙ (43100-200526-01) )
	検索結果が0件の時に、stopZero="true"にしておくと後続処理が止まります。
	その場合、登録ボタン等も表示されません。
	この状態で、PREV-NEXTを行うと、queryタグの処理がスルーされて、
	stopZeroの判定もされず、登録ボタンが表示されてしまいます。
	command判定時に、メモリ上のDBTableModelの件数を、検索ｶｳﾝﾄに
	セットすることで、PREV-NEXT時にも、stopZero判定を行うように修正します。
		hayabusa.taglib.QueryTag#doStartTag()

	[fileDownload.jsp 0件対応]
	[fileDownloadの0件対応]　(改善 (05200-200521-02))
	標準ﾀﾞｳﾝﾛｰﾄﾞ処理で、前回０件だった場合、前の検索結果が
	ﾀﾞｳﾝﾛｰﾄﾞされてしまうのを対応しました。
	ファイル作成前に、以前のファイルを一旦削除することで対応します。
		jsp/common/fileDownload.jsp

	[fileexecのTomcat組み込みと自動実行]
	ﾌｧｲﾙｽｷｬﾝ自動取込機能で、Tomcat起動時に起動できる機能を用意しました。
	永続化するには、ｼｽﾃﾑ定数で、ﾊﾟﾗﾒｰﾀID=USE_FILEEXEC で、true を登録してください。
	また、リアルタイムで、実行/停止させる場合は、GE7001（取込要求ﾃｰﾌﾞﾙ）の
	拡張検索条件で、実行/停止のリンクが用意されています。
		C:\opengionV7\uap\webapps\ge\jsp\GE7001\query.jsp

	※ 以前、WEB-INF/web.xml に登録する方法と、
		Admin管理にある、『ﾌｧｲﾙ取込(停止中)　[実行]』から、実行する方法を
		提示しましたが、どちらも取りやめました。

	[${env.XXXX} 環境変数 は、{&#064;ENV.XXXX} も対応します]
		fukurou.db.DatabaseConfig.ForEachObject#getText(String inTxt)
		fukurou.db.DatabaseConfig.ForEachObject#getAttri(NamedNodeMap nodeMap,String key)

	[BOM付きファイルを append する場合の対処]
		fukurou.fileexec.FileUtil#save(Path savePath,List lines,boolean append,Charset chset)

	[ClassLoaderを引数にするnewInstanceメソッドを廃止します]
		fukurou.util.StringUtil#newInstance(String cls)

	[DB処理の実行に失敗のエラーは、３回までは、何も出さない]
		fukurou.fileexec.DBUtil#getConnection()

	[Files.exists の代用]
		fukurou.fileexec.FileUtil#exists(Path path)

	[Files.readAllLines の代用]
		fukurou.fileexec.FileUtil#readAllLines(Path path)

	[LOGGERを使用します]
		fukurou.fileexec.FileWatch#run()

	[NEXT,PREV等でstopZeroが効かない対応]
		hayabusa.taglib.QueryTag#doStartTag()

	[ResourceBundleは、native2asciiなしで(ResourceBundle.Controlも不要)使用できる]
		fukurou.fileexec.MsgUtil#getMsg(String id,Object[] args)

	[ScheduledExecutorServiceをインスタンス変数にする]
		fukurou.fileexec.DirWatch#start(long initDelay,long period,long timeDiff)

	[ScheduledExecutorServiceを初期化する]
		fukurou.fileexec.DirWatch#stop()

	[TomcatのServletContextListenerから実行できるように修正します]
		fukurou.fileexec.MainProcess#run()
		fukurou.fileexec.MainProcess#main(String[] args)

	[UPDATEで、? を含むｷｰﾜｰﾄﾞを、処理できるようにします]
		fukurou.fileexec.DBUtil#getUpdateSQL(String table,String[] keys,String[] conKeys,String[] conVals,String where)

	[fileexecのMainProcess の処理が起動しているかどうかを表示]
		hayabusa.servlet.HybsAdmin#doGet(HttpServletRequest req,HttpServletResponse res)
		hayabusa.servlet.HybsAdmin#getFileExecInfo(String isStart)
		hayabusa.servlet.HybsAdmin#getAdminLink()

	[org.opengion.fukurou.fileexec.MainProcess処理]
		hayabusa.common.HybsContextListener#contextInitialized(ServletContextEvent event)
		hayabusa.common.HybsContextListener#contextDestroyed(ServletContextEvent event)

	[postRedirect(POST時に強制的にﾘﾀﾞｲﾚｸﾄ)]
		fukurou.util.HttpConnect#getClient()
		fukurou.util.HttpConnect#setPostRedirect(boolean useRedirect)

	[postRedirect(POST時に強制的にﾘﾀﾞｲﾚｸﾄ)引数を追加]
		fukurou.util.HttpConnect#main(String[] args)

	[toﾊﾟｽに、環境変数と日付文字列置換機能を追加します]
		fukurou.fileexec.FileUtil#backup(Path from,Path to,boolean useLock,boolean existsCheck,String sufix)

	[upldFileのnull判定を入れます]
		fukurou.util.HttpConnect#setUploadFile(String upldFile)

	[シングルインスタンス]
		fukurou.fileexec.MainProcess#start()
		fukurou.fileexec.MainProcess#shutdown(boolean flag)
		fukurou.fileexec.MainProcess#MainProcess()
		fukurou.fileexec.MainProcess#getInstance()

	[ネットワークパスのチェックを行います]
		fukurou.fileexec.DirWatch#run()
		fukurou.fileexec.FileUtil#readPath(String first,String[] more)
		fukurou.fileexec.FileUtil#mkdirs(Path target)
		fukurou.fileexec.FileUtil#copy(Path from,Path to,boolean useLock)
		fukurou.fileexec.FileUtil#localCopy(Path from,Path to)
		fukurou.fileexec.FileUtil#move(Path from,Path to,boolean useLock)
		fukurou.fileexec.FileUtil#localMove(Path from,Path to)
		fukurou.fileexec.FileUtil#delete(Path start)
		fukurou.fileexec.FileUtil#stablePath(Path path,long sleep,int cnt)
		fukurou.fileexec.FileUtil#lockPath(Path inPath,Consumer action)
		fukurou.fileexec.FileUtil#forEach(Path inPath,Charset chset,Consumer action)
		fukurou.fileexec.FileUtil#timeStamp(Path path,String format)
		fukurou.fileexec.MsgUtil#errPrintln(Throwable th,String id,Object[] args)

	[メソッド追加]
		fukurou.fileexec.XLogger#warning(String id,Object[] args)
		fukurou.fileexec.XLogger#warning(Throwable th,String id,Object[] args)
		fukurou.fileexec.XLogger#debug(int num,Function msgFunction)

	[各クラスで、class.getSimpleName() を渡すようにした]
		fukurou.fileexec.XLogger#getLogger(String name)

	[大量のﾌｧｲﾙがある場合、FileWatchで重複する部分を削除する]
		fukurou.fileexec.DirWatch#execute(Path inPpath)

	[新規作成]
		fukurou.fileexec.RunExec_BAT#RunExec_BAT()
		fukurou.fileexec.RunExec_BAT#exec(Path path,String[] ge72Data)
		fukurou.fileexec.RunExec_BAT#endExec(Path path,String[] ge72Data,String fgtkan,String errMsg)
		fukurou.fileexec.RunExec_NONE#RunExec_NONE()
		fukurou.fileexec.RunExec_NONE#exec(Path path,String[] ge72Data)
		fukurou.fileexec.RunExec_NONE#endExec(Path path,String[] ge72Data,String fgtkan,String errMsg)

	[新規追加]
		fukurou.fileexec.MainProcess#isStarted()
		fukurou.fileexec.DirWatch#isErrorStatus()
		fukurou.fileexec.FileUtil#mergeFile(Path orgPath,Path bkup)

	[日付と時間を分けて取得します]
		fukurou.fileexec.StringUtil#getTime(String ymd,String hms)
		fukurou.fileexec.StringUtil#keyAppend(String defVal,String[] keys)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\common\fileDownload.jsp

	[V5 修正反映]
		5.10.21.1 (2020/04/21)
			[Linux対応追加]
			二文字目コロンだけを無変換としていましたが、\\から開始するディレクトリについても
			無変換の対象としておきます。
				hayabusa/common/HybsSystem#url2absPath( final String url )

		5.10.21.0 (2020/04/03)
			[fullCalendar修正]
			Chromeで上手く動作しないようになったので、CSSを修正します。
			.fc-event-hori,fc-event-titleのpadding,border設定を1⇒0にします。
				common/calendar/fullcalendar.css

7.2.4.0 (2020/05/11)
	[MEDIUM時のメッセージ変更]
		hayabusa.taglib.ErrorTag#getStackTrace(Throwable thr,String errMsg,String type)

	[MIN_CLMとMAX_CLMが不定の場合は、ゼロ文字列をセットします]
		plugin.table.TableFilter_KEY_BREAK#execute()

	[Selection_FILES 追加]
		hayabusa.db.SelectionFactory#newSelection(String type,String editPrm,String lang)

	[bufに何もセットされなかった場合、マイナスエラーになった]
		hayabusa.common.HybsSystem#getPrinter()

	[nameOnly 属性 を追加します]
		hayabusa.taglib.FileOptionTag#release2()
		hayabusa.taglib.FileOptionTag#makeLabel(File path,OptionAncestorIF select,Comparator comp,boolean grpDir)
		hayabusa.taglib.FileOptionTag#setNameOnly(String flag)

	[新規追加]
		hayabusa.db.Selection_FILES#getValueLabel(String selectValue,boolean isSLbl)
		hayabusa.db.Selection_FILES#Selection_FILES(String param)
		hayabusa.db.Selection_FILES#getOption(String selectValue,boolean seqFlag,boolean useShortLabel)
		plugin.column.Editor_FILES#Editor_FILES()
		plugin.column.Editor_FILES#newInstance(DBColumn clm)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6010\query.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\scrollBar2.js

7.2.3.1 (2020/04/17)
	[Renderer_UNIT 新規追加]
		plugin.column.Renderer_UNIT#getValue(String value)
		plugin.column.Renderer_UNIT#getWriteValue(String value)
		plugin.column.Renderer_UNIT#getValue(String value,boolean isView)
		plugin.column.Renderer_UNIT#Renderer_UNIT()
		plugin.column.Renderer_UNIT#Renderer_UNIT(String tani,long div)
		plugin.column.Renderer_UNIT#newInstance(DBColumn clm)

	[System.getenv → HybsConst.getenv 変更(サービス化対応)]
		fukurou.db.DatabaseConfig#init()
		fukurou.db.DatabaseConfig#makeDriverList(Element element)
		fukurou.fileexec.DBUtil#init(Map prmMap)
		fukurou.fileexec.DBUtil#init()
		hayabusa.common.SystemInstaller#install(File buildArchive)
		hayabusa.common.SystemParameter#loadInitialParameter(Map map,ServletContext context,String contextName)

	[System.getenv → HybsConst.getenv 変更(サービス化対応) , VALS 追加 , SUBSTR 追加]
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

	[プロパティ―をみて、なければ環境変数から取る(サービス化対応)]
		fukurou.system.HybsConst#getenv(String key)
		fukurou.system.HybsConst#getenv(String key,String defval)

	[新規追加]
		hayabusa.taglib.CommonTagSupport#getValsAttri(String attkey)
		hayabusa.taglib.CommonTagSupport#getSubstrAttri(String attkey)
		hayabusa.taglib.CommonTagSupport#getAtmarkVas(String key,boolean useReq)

	[超特殊処理：Derby の場合は、ｴﾗｰﾒｯｾｰｼﾞを出さない]
		fukurou.db.DatabaseConfig#getCodeKeyVal()

7.2.3.0 (2020/04/10)
	[QRコードのﾊﾟﾗﾒｰﾀをｼｽﾃﾑﾘｿｰｽで設定(帳票出力のQRｺｰﾄﾞ作成時のﾃｷｽﾄのｴﾝｺｰﾄﾞ指定)]
		hayabusa.report2.OdsContentParser#makeQRImage(String row,int curOffset,String key,StringBuilder sb)

	[textEncode byteモード時のテキスト文字エンコード追加]
		fukurou.util.QrcodeImage#init(String qrData,String saveFile)
		fukurou.util.QrcodeImage#init(String qrData,String saveFile,int version,QrcodeImage.EncMode encMd)
		fukurou.util.QrcodeImage#init(String qrData,String saveFile,int version,QrcodeImage.EncMode encMd,QrcodeImage.ErrCrct errCo,String imgType,int pixel,String txtEnc)
		fukurou.util.QrcodeImage#paint(Graphics gpx)
		hayabusa.taglib.QRcodeTag#doEndTag()
		hayabusa.taglib.QRcodeTag#release2()
		hayabusa.taglib.QRcodeTag#setTextEncode(String txtEnc)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF6310\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6310\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6380\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6380\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\logLink.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

7.2.2.0 (2020/04/03) 同一バージョンでリリース
	[DB定義 ﾘｿｰｽ反映]
		BIKO 備考  					XK  → KX:混在
		DROLES ﾃﾞｰﾀﾛｰﾙｽﾞ 			500 → 2000
		EDITOR_PARAM 編集ﾊﾟﾗﾒｰﾀ 	200 → 500
		FILEPATH ﾌｧｲﾙﾊﾟｽ 			 X  → XK:混在
		FILE_URL ﾌｧｲﾙURL  			 X  → XK:混在
		RENDERER_PARAM 表示ﾊﾟﾗﾒｰﾀ 	200 → 500
		ROLES ﾛｰﾙｽﾞ 				500 → 2000
		SNAME 名前(短) 				60  → 200
		SUPAGE ﾍﾟｰｼﾞ数 				3   → 5
		TARGET ﾀｰｹﾞｯﾄ 				30  → 10


7.2.2.0 (2020/03/27)
	[javadoc用のjdk8対応に戻します]
	javadoc作成時のチェックで、jdk9機能がｴﾗｰになるためです。
		fukurou.fileexec.BasePath#BasePath(String[] dirs)

	[Tomcat Service対応]
	uap\bin\service\serviceRestart.bat を、tomcatやjdkの更新時にも対応しました。
	詳細は、uap\verup フォルダ内の、ogReadme.txt をご確認ください。
		serviceRestart.bat			今回の改造対象
		serviceRemove.bat			バッチから呼び出すため、pause を timeout に変更
		serviceInstall.bat			バッチから呼び出すため、pause を timeout に変更

	[admin log表示対応]
	admin画面から、tomcatﾛｸﾞと、jspﾛｸﾞ の一覧表示と、ZIP圧縮に対応しました。
	①bin\init.bat 以外は、エンジン標準をそのまま使用してください。(推奨)
	②bin\service\serviceInit.bat 以外は、エンジン標準をそのまま使用してください。(推奨)
	③webapps\｢物件｣\WEB-INF\web.xml は、エンジン標準に準拠してください。
		<security-constraint>
			<web-resource-collection>
				<web-resource-name>Protected JSP Area</web-resource-name>
				<url-pattern>/jsp/*</url-pattern>
				・・・・
				<url-pattern>/logs/*</url-pattern>			← tomcatﾛｸﾞのエイリアス
				<url-pattern>/log/*</url-pattern>			← jspﾛｸﾞのエイリアス
				・・・・

		jsp\common\gamen\01_ADMIN\logLink.jsp

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF0000\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6010\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\logLink.jsp

	[java,tomcat,openoffice等 Verup]
	実行環境の各バージョンをアップします。
		tomcat9.0.20
		derby-10.15.2.0
		jdk11.0.6_10 (amazon-corretto-11.0.6.10.1-1-windows-x64-jdk.zip)
		LibreOffice_6.4.2
		openoffice4.1.7			… 変更なし
		tomcat9.0.33

7.2.1.0 (2020/03/13)
	[ge/fileexec対応]
	ﾌｧｲﾙ取込の実装である fileexec を、ge直下に持ってきます。

	[APP_EXEC_MAPのキーを、systemId + rsrv_no に変更します]
		fukurou.fileexec.AppliExec#newInstance(String systemId,String rsrvNo,String execId)
		fukurou.fileexec.AppliExec#removeInstance(String systemId,String rsrvNo)

	[FileUtil#isAbsolute(String)を利用します]
		fukurou.fileexec.BasePath#BasePath(String[] dirs)
		fukurou.fileexec.BasePath#makePath(String baseDir,String dir,String def)

	[QrcodeImage 見直し]
		fukurou.util.QrcodeImage.ErrCrct#getCh()
		fukurou.util.QrcodeImage.ErrCrct#get(char ch)
		fukurou.util.QrcodeImage#printQcData()

	[WORK_PATH,OK_PATH,NG_PATH のスキャンは行わない]
		fukurou.fileexec.FileExec#FileExec(CommandLine cmndLine)

	[from,to が null の場合、処理しない]
		fukurou.fileexec.FileUtil#move(Path from,Path to,boolean useLock)

	[isAbsolute(String)を利用します]
		fukurou.fileexec.FileUtil#newPath(Path path,String fname)

	[カラム列がデータより少ない場合の対応]
		fukurou.fileexec.LineSplitter#split(String orgLine)

	[ロガーの名前から、共通部分を削除します]
		fukurou.fileexec.XLogger#getLogger(String name)

	[固定値(PARAMS)の対応追加]
		fukurou.fileexec.RunExec_DBIN.ConstValsSet#ConstValsSet(Path path,String params,String pgset)
		fukurou.fileexec.RunExec_DBIN.ConstValsSet#setConstData()
		fukurou.fileexec.RunExec_DBIN.ConstValsSet#getConstKeys()
		fukurou.fileexec.RunExec_DBIN.ConstValsSet#getConstVals()
		fukurou.fileexec.RunExec_DBIN.ConstValsSet#getVal(String cnstKey)
		fukurou.fileexec.RunExec_DBIN#exec(Path path,String[] ge72Data)

	[新規作成]
		hayabusa.taglib.QRcodeTag#QRcodeTag()

	[新規追加]
		fukurou.fileexec.AppliExec#endExec(Path path,String fgtkan,String errMsg)
		fukurou.fileexec.FileUtil#isAbsolute(String fname)
		fukurou.fileexec.RunExec#endExec(Path path,String[] ge72Data,String fgtkan,String errMsg)
		fukurou.fileexec.RunExec_DBIN#endExec(Path path,String[] ge72Data,String fgtkan,String errMsg)

	[ﾃﾞｨﾚｸﾄﾘか存在しない場合は、処理を実行しません]
		fukurou.fileexec.FileExec#checkFile(String event,Path filePath)

	[ﾌｧｲﾙ名変更処理の修正]
		fukurou.fileexec.FileUtil#backup(Path from,Path to,boolean useLock,boolean existsCheck,String sufix)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF6000\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6000\result.jsp

	[V5 修正反映]
		5.10.20.3 (2020/03/13)
			[ヘッダ固定(Bulk)修正]
			左右分割時のBulkの初期値セットに問題があったので修正しておきます。
				common/script/scrollBar2.js

	X	5.10.20.2 (2020/03/05)
	X		[RealPathのJava8対応]
	X		Java8でgetRealPathの最後に自動でセパレータが付くようになったため、対応しておく。
	X			hayabusa.common.SystemParameter#loadInitialParameter( final ServletContext context,final String contextName )

		5.10.20.1 (2020/03/03)
			[メール添付ファイルの文字化け対応]
			Java8でのメール送信時に添付ファイル名が一定以上の長さになった場合に文字化けする対応として
			送信時プロパティにmail.mime.encodeparameters,splitlongparametersを設定しておきます。
				fukurou.mail.MailTX#MailTX(...)

		5.10.20.0 (2020/02/28)
			[GE30インデックス変更]
			Oracle19c上での問題からGE30_SBのindexのカラム順を変更しておきます。
			SNDTIME,SYSTEM_ID,FGJからSYSTEM_ID,FGJ,SNDTIMEにします。

	X	5.10.19.1 (2020/01/07)
	X		[IPアドレス対応]
	X		USER.IPADDRESSでclientIPを利用するフラグを追加しておきます。
	X		システムリソースでUSE_CLIENTIPをtrueに設定するとIPADDRESSにclientIPの値をセットします。
	X		標準はFalse(直接アクセスしてきたIPアドレス)です。
	X			hayabusa.resource.UserInfo#UserInfo( .... , final String clientIP)
	X			hayabusa.common.SystemData#USE_CLIENTIP

		7.0.6.2 (2019/10/25) の 「5.10.16.2 (2019/10/18) [X-Forwarded-For対応]」にて、
		IPADDRESSに、上記のclientIPの値をセットしています。
		USE_CLIENTIP や、clientIP と、IPADDRESS の区別を行いません。

7.2.0.1 (2020/03/06) 未公開
	[SUMはValueTagとダブるため、SUMR とします]
		hayabusa.taglib.CommonTagSupport#getSumRequestValue(String attkey)
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

	[GE 「RMCN_USR」リソースを削除]
	現在、使用していません RMCN_USR を削除します。
	これは、システムリソース REMOTE_USER_PASS で定義していますが、
	6.9.0.1 (2018/02/05) にて、RMCN_USR:RMCN_PASS → admin:admin に
	変更しています。
		ge\db\common\xml\install\01_DATA\GEA10.xml

	[GE 取込実績ﾃｰﾌﾞﾙ 小改善]
	EXECID(処理ID)を、GE70から検索したDataListで表示します。(曖昧可にしておく)
	USRUPD(更新者)の表示をやめる
		ge\jsp\GE7002\query.jsp
		ge\jsp\GE7002\result.jsp

7.2.0.0 (2020/02/14)
	[GE ﾘｿｰｽﾃｰﾌﾞﾙ桁数変更]
	GE50 SUPAGE の桁数を 3桁から5桁に変更
	GEA08 SNAME の桁数を 60桁から200桁に変更
	GEA03 RENDERER_PARAM , EDITOR_PARAM を 200 → 500 に変更

		スクリプト等は、changes\7200\更新対応.txt 参照

	[Tomcat Service対応]
	★以外は変更不要です。
	uap\bin 以下のバッチの修正と、serviceフォルダにサービス関連のバッチを集約しました。
		const.bat						Java,Tomcatの起動に必要なﾌｫﾙﾀﾞやﾊﾟｽなどを設定します。
		init.bat					★	ｼｽﾃﾑ毎に接続先、ポート、メモリなどを定義します。
		shutdown.bat					Tomcatを停止します。
		sOfficeTempDel.bat				CALCのテンポラリファイルを削除するバッチです。
		sOfficeTempDelTsk.bat			上記バッチをスケジュールに組み込むサンプルです。
		startup.bat						Tomcatをｺﾏﾝﾄﾞﾌﾟﾛﾝﾌﾟﾄで起動します。(ポートチェック付き)
		workdelete.bat					Tomcatを停止、WORKﾌｫﾙﾀﾞを削除して再起動します。
		/service
			ogReadme.txt				注意点
			serviceInit.bat			★	サービス名、ログイン、パスワードを設定します。
			serviceInstall.bat			ｻｰﾋﾞｽをｲﾝｽﾄｰﾙするバッチです。（遅延自動起動設定、ﾚｼﾞｽﾄﾘ変更不要）
			serviceRemove.bat			ｻｰﾋﾞｽを削除するバッチです。
			serviceRestart.bat			ｻｰﾋﾞｽをﾘｽﾀｰﾄします。(admin画面から起動します：実験ﾚﾍﾞﾙ)
			serviceStart.bat			ｻｰﾋﾞｽを開始します。
			serviceStop.bat				ｻｰﾋﾞｽを停止します。

	[SUMｷｰﾜｰﾄﾞ変更]
	valueタグで、MAX_MINアクションで、MIN,MAX,AVG,SUM を変数値として取得できますが、
	SUMは、複数リクエスト時の値を合算する機能と重複していました。
	複数リクエスト時の値を合算を、SUMR に変更します。
		hayabusa.taglib.CommonTagSupport#getReservedValue( final String key )

7.1.0.1 (2020/02/07) 未公開
	[ExecutorService などのスレッドの終了処理を誤ると、mainメソッドが終了しない場合の対策]
		fukurou.process.MainProcess#main(String[] args)

	[ShortLabelの引数対応で、RawShortLabel を使います]
	ﾗﾍﾞﾙ(短)に、パラメータを適用する場合、ﾗﾍﾞﾙ(長)にパラメータがないと
	セットされませんでしたが、ﾗﾍﾞﾙ(短)も、概要もパラメータを適用できるようにします。
		hayabusa.taglib.TaglibUtil#makeHTMLSimpleErrorList(ErrorMessage errMsg,ResourceManager resource,boolean useSLabel)

	[hrefOnly属性追加]
	iGanttBar で、href を使用する場合、リンクをurlEncodeしてセットします。
	これは、viewLinkタグのlinkタグで、hrefOnly="true" を設定することでurlEncode
	されたリンクを使用できます。（iGanttBarのhrefでurlEncodeしているわけではありません。）
		hayabusa.html.ViewLink_LINK#clear()
		hayabusa.html.ViewLink_LINK#setDBTableModel(DBTableModel tbl)
		hayabusa.html.ViewLink_LINK#getMarkerString(int row,int clm,String value)
		hayabusa.taglib.LinkTag#doEndTag()

	[isFormat、isFormatDescは、長,短,概要などあるため、直前にチェックするので廃止]
		hayabusa.resource.LabelData#LabelData(String inkey,String inLbl)
		hayabusa.resource.LabelData#LabelData(String[] data)
		hayabusa.resource.LabelData#getMessage(String lbl,String[] vals)

	[ショートラベルと概要に引数を渡します]
		hayabusa.taglib.MessageTag#makeTag()

	[ショートラベルに引数を渡します]
		hayabusa.resource.LabelInterface#getShortMessage(String[] vals)

	[ログファイルのエンコードを SYS_LOG_ENCODE で指定します]
		hayabusa.common.HybsContextListener#contextInitialized(ServletContextEvent event)

	[ログファイルのエンコードを指定します]
		fukurou.system.LogWriter#getPrintWriter()
		fukurou.system.LogWriter#init(String url,String enc)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0010.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0011.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0013.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\GFM0029.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2120\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6480\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6480\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7215\entry.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7215\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7215\update.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7216\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7216\update.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7217\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7217\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\logLink.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\serviceRestart.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\realtimecheck.jsp
			useSLabel	= "true"  追加

7.1.0.0 (2020/01/27)
	[Tomcatのｻｰﾋﾞｽ化対応]
	ｴﾝｼﾞﾝ GFもｻｰﾋﾞｽ化対応いたします。
	C:\opengionV7\uap\bin\tomcat ﾌｫﾙﾀﾞを作成して、ｻｰﾋﾞｽ関連ﾊﾞｯﾁを
	集約しておきます。

	また、gf に関してはｿｰｽﾁｪｯｸ等で連携ｻｰﾊﾞｰのﾄﾞﾗｲﾌﾞをﾏｳﾝﾄしていますが、
	ｻｰﾋﾞｽ起動時にはﾄﾞﾗｲﾌﾞﾏｳﾝﾄは別扱いとなるため、jsp\custom\init.jsp で
	T: と F: ﾄﾞﾗｲﾌﾞをTomcat起動時にマウントしておきます。

	[Editor_ENTCLM 廃止に伴い、ﾒｿｯﾄﾞ削除]
		hayabusa.resource.ResourceManager#setDBColumn( final String key , final DBColumn dbColumn )

	[未使用のRenderer,Editor,DBTypeの削除]
	使われていないRenderer,Editor,DBTypeのうち、使い勝手が悪い、古い、使う用途が限定されているものを削除します。
		plugin\column\DBType_KCL.java_7.1.0.0haishi
		plugin\column\DBType_OASNM.java_7.1.0.0haishi
		plugin\column\DBType_PN.java_7.1.0.0haishi
		plugin\column\DBType_PN2.java_7.1.0.0haishi
		plugin\column\DBType_SHA1.java_7.1.0.0haishi
		plugin\column\DBType_SHA512.java_7.1.0.0haishi		⇒ DBType_SHA.java に変更
		plugin\column\Editor_ENTCLM.java_7.1.0.0haishi
		plugin\column\Editor_YMD3.java_7.1.0.0haishi
		plugin\column\Editor_PN.java_7.1.0.0haishi
		plugin\column\Editor_DATALIST_R.java_7.1.0.0haishi
		plugin\column\Renderer_NBSP.java_7.1.0.0haishi
		plugin\column\Renderer_NOTAG.java_7.1.0.0haishi
		plugin\column\Renderer_YMD31.java_7.1.0.0haishi

	[#ConnectionPool(DatabaseConfig,String) に統一]
		fukurou.db.ConnectionFactory#init(String defPoolKey,String xmlFileName)

	[Connection 作成時のﾀｲﾑｱｳﾄを用意します]
		fukurou.db.ConnectionFactory.ConnectionPool#createInstance()
		fukurou.db.ConnectionFactory.ConnectionPool#clear()

	[DB接続できないDBIDはプルダウンメニューに含めない]
		fukurou.db.DatabaseConfig#getCodeKeyVal()

	[DB未接続のDBIDは表示から除外します]
		fukurou.db.ConnectionFactory#information(boolean isDetail)

	[OFFICE_HOME,EXT_DIR,IS_SERVICE 環境変数の追加]
		hayabusa.common.SystemParameter#loadInitialParameter(Map map,ServletContext context,String contextName)

	[OFFICE_HOME,EXT_DIR,SYS_LOG_URL,LOGS_DIR 環境変数の追加]
		hayabusa.servlet.HybsAdmin#getInfomation()

	[contentType 追加]
		hayabusa.taglib.ForwardTag#doEndTag()
		hayabusa.taglib.ForwardTag#release2()
		hayabusa.taglib.ForwardTag#setContentType(String type)

	[display 属性で、info,stdout,stderr のすべてをOFFにする]
		hayabusa.taglib.ShellTag#shellView(Shell shell)
		hayabusa.taglib.ShellTag#setDisplay(String flag)

	[fromLen属性で、CanonicalFileで区切り文字'￥'が消えるため、そのため、PARENTに'￥'が残る現象の対応]
		hayabusa.taglib.FileQueryTag#addFileData(int rowNo,int lvl,File fin)
		hayabusa.taglib.FileQueryTag#setFromBase(String base)

	[logLink.jsp 、serviceRestart.jsp 追加]
		hayabusa.servlet.HybsAdmin#getAdminLink()

	[putPxParamは間違い]
		hayabusa.taglib.ViewTimeBarParamTag#setUseLastData(String useLastData)

	[useStop 属性を追加]
		hayabusa.taglib.ShellTag#doEndTag()
		hayabusa.taglib.ShellTag#release2()
		hayabusa.taglib.ShellTag#setUseStop(String flag)

	[ヘッダー部分の日付フォーマット指定の追加]
		hayabusa.taglib.ViewTimeBarParamTag#setHeaderUpFmt(String fmt)
		hayabusa.taglib.ViewTimeBarParamTag#setHeaderDwFmt(String fmt)
		plugin.view.ViewForm_ImageTimeBar#paramInit()
		plugin.view.ViewForm_ImageTimeBar#imageHeaderPaint(Graphics2D g2,double timeScale,ViewForm_ImageTimeBar.FlgColorMap colMap)

	[内部メッセージに、原因のメッセージも含める]
		fukurou.system.OgRuntimeException#OgRuntimeException(String msg,Throwable th)
		fukurou.system.OgRuntimeException#addMessage(Throwable th)
		fukurou.system.OgRuntimeException#addMessage(String msg)
		fukurou.system.OgRuntimeException#getMessage()
		fukurou.system.OgRuntimeException#printStackTrace()
		fukurou.system.OgRuntimeException#printStackTrace(PrintStream ps)
		fukurou.system.OgRuntimeException#OgRuntimeException(String msg)
		fukurou.system.OgRuntimeException#OgRuntimeException(Throwable th)

	[本物のサービスと混同しないようにメッセージを変更します]
		hayabusa.servlet.HybsAdmin#getAccessStop(String isStop)

	[LabelDataを直接呼び出します]
		hayabusa.resource.ResourceManager#makeDBColumn(String key)
		hayabusa.resource.ResourceManager#makeDBColumn(String key,String lbl)
		hayabusa.resource.ResourceManager#makeGUIInfos(UserInfo user)

	[pluginType をstatic で定義しておきます]
		hayabusa.servlet.HybsAdmin#getPlugInInfo()

	[openOfficeのシート数(=印刷ページ数)の制限]
	ここでDB登録エラーが発生すると実行中のまま止まるので、エラー処理を入れます。
	昔のopenOfficeはシート数の制限が256でしたが、今は制限がありません。
	ただし、GE50 SUPAGE の桁数が、3桁のため、1000ページ以上は、完了時エラーが発生します。
	暫定的に、ページ数の上限を、999 に限定しておきます。
		protected static final int MAX_SHEETS_PER_FILE	= 999;		// 7.1.0.0 (2020/01/27) 256シート制限を999にしておく。
		hayabusa.report2.QueueManager_DB#status(ExecQueue queue,int status)

	[ﾌｧｲﾙ読み込み(ReadTableTag,DirectTableInsertTag)で、特殊な拡張子の場合の処理]
	セパレータ分割時にデータ分割されない場合は、エンコードエラーの可能性が高い
		fukurou.model.TableModelHelper#value(String line,int rowNo,char sepa)

	[フィルターが実行されているかどうかを、System.setProperty で設定しておきます]
		hayabusa.filter.AccessStopFilter#init(FilterConfig filterConfig)

	[ﾍｯﾀﾞｰ部分をstatic で定義しておきます]
		hayabusa.servlet.HybsAdmin.ClassInfo#ClassInfo()

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF6010\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6020\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6020\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6390\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7160\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\download.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\logLink.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\parameter.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printSystemEnv.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\serviceRestart.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\init.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\netuse.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

7.0.7.2 (2020/01/16) 最終リリース版
	[SLABEL（ﾗﾍﾞﾙ短）の修正]
	ﾗﾍﾞﾙ短は、リアルタイムチェックでも使われるため、パラメータはセットしないことにします。

					Ver7.0.7.2								Ver6.4.8.3（例）
		ERR0006		桁数ｵｰﾊﾞｰ {0} {1} [{2}] &gt; [{3}]		桁数ｵｰﾊﾞｰ
		ERR0007		全角以外入力不可 {0} {1}				全角以外入力不可
		ERR0008		指定文字数ｴﾗｰ {0} {1}					指定文字数ｴﾗｰ
		ERR0009		不正文字ｴﾗｰ {0} {1} 					不正文字ｴﾗｰ
		ERR0010		HTMLﾀｸﾞ登録不可 {0} {1}({2}){3} 		HTMLﾀｸﾞ登録不可
		ERR0011		桁数ｴﾗｰ {0} {1} [{2}!={3}]				桁数ｴﾗｰ
		ERR0012		必須入力ｴﾗｰ {0} 						必須入力ｴﾗｰ
		ERR0013		ﾏｽﾀ未登録ｴﾗｰ {0} {1}					ﾏｽﾀ未登録ｴﾗｰ
		ERR0014		ﾏｽﾀ登録済ｴﾗｰ {0} {1}					ﾏｽﾀ登録済ｴﾗｰ
		ERR0015		ﾃﾞｰﾀなしｴﾗｰ {0} {1} 					ﾃﾞｰﾀなしｴﾗｰ
		ERR0021		整数桁数ｵｰﾊﾞｰ {0} {1} [{2} &gt; {3}]	整数部の桁数ｵｰﾊﾞｰ
		ERR0022		小数桁数ｵｰﾊﾞｰ {0} {1} [{2} &gt; {3}]	小数部の桁数ｵｰﾊﾞｰ
		ERR0023		符号位置ｴﾗｰ {0} {1} 					符号位置ｴﾗｰ
		ERR0024		小数点位置ｴﾗｰ {0} {1}					小数点位置ｴﾗｰ
		ERR0025		ﾃﾞｰﾀ未登録ｴﾗｰ {0} {1}					ﾃﾞｰﾀ未登録ｴﾗｰ
		ERR0026		ﾃﾞｰﾀ登録済ｴﾗｰ {0} {1}					ﾃﾞｰﾀ登録済ｴﾗｰ
		ERR0027		ﾃﾞｰﾀ2重登録ｴﾗｰ {0} {1}					ﾃﾞｰﾀ2重登録ｴﾗｰ

		ERR0002.2	現在のタイムアウトは {0} 秒にセットされています。								ﾀｲﾑｱｳﾄ
		ERR0003.1	{0} さんは，このページを見る権限が与えられていません。							権限なし
		ERR0016		{0} エラー。 キー {1} で {2} しましたが,{3} のため、{4} でした。				汎用ｴﾗｰ
		ERR0017		選択エラー。選択行数（{0} 件）が、制限値（{1} 件）以上選ばれました。			上限選択ｴﾗｰ
		ERR0018		選択エラー。選択行数（{0} 件）が、制限値（{1} 件）以下選ばれました。			下限選択ｴﾗｰ
		ERR0030		入力したデータが不正です。key={0} value={1} 形式={2}							ﾃﾞｰﾀ不正
		ERR0031		該当データが存在しませんでした。Table={0} [key:val]=[{1}:{2}]					ﾃﾞｰﾀ無しｴﾗｰ
		ERR0032		該当データが存在しませんでした。Table={0} [key:val]=[{1}:{2}],[{3}:{4}]			ﾃﾞｰﾀ無しｴﾗｰ
		ERR0034		指定のカラムオブジェクトには、カラムリソースが存在しません。name={0} label={1}	ﾘｿｰｽ無しｴﾗｰ
		ERR0036		選択必須エラー。以下のデータの内どれかは入力してください。key={0}				選択必須ｴﾗｰ
		ERR0037		データ整合性エラー。指定のキーは整合性チェックの結果マッチしませんでした。key={0} val={1} regex={2}	整合性ｴﾗｰ
		ERR0038		{0} は、{1} には使用できません。												使用不可ｴﾗｰ
		ERR0039		改廃Cが不正です。改廃コード＝{0}												改廃Cｴﾗｰ
		ERR0040.2	処理が正しい場合は、quotCheck 属性を false にセットしてください。key={0} value={1} Tag={2}	ｸｫｰﾃｨｼｮﾝｴﾗｰ
		ERR0048.2	処理が正しい場合は、xssCheck 属性を false にセットしてください。key={0} value={1} Tag={2}	ﾀｸﾞ記号ｴﾗｰ
		ERR0049.2	処理が正しい場合は、quotCheck 属性を false にセットしてください。key={0} value={1} Tag={2}	ｸｫｰﾃｨｼｮﾝｴﾗｰ

7.0.7.2 (2020/01/09)
	[iterator()は、next() してからしかremove()できない]
		fukurou.system.ThrowUtil#isNewThr(Throwable th)

	[メッセージを比較して、同じなら出力しない]
		hayabusa.taglib.TaglibUtil#makeHTMLErrorTable(ErrorMessage errMsg,ResourceManager resource,boolean useSLabel)

7.0.7.2 (2020/01/07)
	[新着情報で画面遷移しない]
	問合・ﾄﾗﾌﾞﾙ (61200-191228-01)  の続きで、新着情報で登録後にリロードされない件の対応です。
	src\script\common\jquery\jquery.form.js
		version: 2.21(jQuery v1.2.2 or later) ⇒ version: 4.2.2(jQuery v1.7.2 or later) 更新
	src\script\common\option\ajaxSubmit.js
		$form.data(…) ⇒ $('form').data(…) 更新
	src\script\common\option\noTransition.js(404):
		$form.data(…) ⇒ $('form').data(…) 更新

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\src\script\common\jquery\jquery.form.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\ajaxSubmit.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\noTransition.js

7.0.7.2 (2019/12/28)
	[ｿｰｽﾁｪｯｸ]
	dataCheck の JavaScript の廃止予定に対して、from属性があれば、
	内部でSelect文を作成しているため、正常と判断します。

	ERROR27
		新しいJavaでは、JavaScript の実行が出来なくなる可能性があります。
		① og:valueタグで、action='EXEC' の場合
		② og:dataCheckタグで、command='ENTRY' で from属性がなく、uniqCheckClms 未使用で SELECT処理でない
		③ og:dataCheckタグで、command='NEW' で from属性がなく、SELECT処理でない

	WARNING35
		trタグ内にtdタグで囲んでいない要素があります。 チェックで、jsp:directive.include されたjspは
		展開されないので、警告が出ていた。除外します。

		DOC18\xsltV7\GF70_PROG.xsl

	[ArrayList を、Collections.synchronizedList に変更します]
		fukurou.system.ThrowUtil.CaseBuilder#toString()
		fukurou.system.ThrowUtil.CaseBuilder#toThrowMsg()

	[ﾘｿｰｽ無しのｷｬｯｼｭは行わない]
	(DBからSELECTした際、ｽｷｰﾏから自動で文字か数字を判定しているから)
		hayabusa.resource.ColumnDataLoader#getColumnData(String key)

	[V5 修正反映]
	X	5.10.19.0 (2019/12/27)
	X		[帳票修正]
	X		GE51を取得するSelect文にEDNOのOrderByを付けておきます
	X			QueueManager_DB#SQL_SELECT_GE51

		5.10.18.1 (2019/12/09)
			[URLチェックの相対パス対応]
			URLCheckに相対パスを無視する設定を追加します。。
			リバースプロキシ等でアドレス変換される場合の対応です。
				hayabusa.filter.URLCheckFilter#init(final FilterConfig filterConfig)
				hayabusa.filter.URLCheckFilter#isValidAccess( final ServletRequest request )

		5.10.18.0 (2019/11/29)
			[USERID_HEADER対応]
			URLCheckおよびAccessStopでの対応を追加しておきます。
			Headタグ側も実装を少し変更して、remoteuserが取得できる場合はそちらを優先させます。
				hayabusa.filter.URLCheckFilter#isValidAccess( final ServletRequest request )
				hayabusa.filter.AccessStopFilter#isStop( final ServletRequest request )
				hayabusa.taglib.HeadTag#sessionInit()

			[TableWriter追加]
			ダブルクオート等を付加しない、単純なTextタイプを追加します。
				plugin.io.TableWriter_TEXT

		5.10.17.2 (2019/11/22)
			[コンテキスト名の取得方法変更]
			tomcat8以降は、ServletContext.getResourceで取得される値が、
			jndiのパス情報から、実ファイルのパス情報に変更されため、
			ServletContext.getContextPathからコンテキスト名を取得するように変更します。
			これにより、コンテキスト名とフォルダ名が異なる場合に対応されます。
				hayabusa.common.SystemParameter#makeSystemParameter
				hayabusa.common.SystemParameter#loadDBResource
				hayabusa.common.SystemParameter#getContextDirNm
				hayabusa.common.SystemParameter#getContextName

		5.10.17.1 (2019/11/15)
			[fukurouからのキュー利用]
			fukurouのProcessからキュー(MQ,SQL)を利用出来るようにしておきます。
			バッチ的にキューメッセージを送信/取得して処理するような場合に利用します。
				fukurou.process.Process_QueueReceive
				fukurou.process.Process_QueueSend

	X		[コメント修正]
	X		5.10.16.3で対応したSERVER_ACCESS_URLのコメントで@ogではなく@misになっていたので修正します
	X			hayabusa.common.SystemData#SERVER_ACCESS_URL

7.0.7.1 (2019/12/24)
	[mapObjKey 属性を追加]
		hayabusa.taglib.DirectWriteTableTag#setMapObjKey(String key)
		hayabusa.taglib.DirectWriteTableTag#release2()
		hayabusa.taglib.DirectWriteTableTag#create(PrintWriter outPW)

	[日付の箇所が、時間になっていた]
	問合・ﾄﾗﾌﾞﾙ (61200-191224-01)
		plugin.view.ViewForm_ImageTimeBar#imageHeaderPaint(Graphics2D g2,double timeScale,ViewForm_ImageTimeBar.FlgColorMap colMap)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF9110\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\changeSQL.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\optionQuery.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[FGCOM **⇒ GF 変更]
	FGCOM 共通項目Fは、DB定義DBで使用される項目なので、ﾘｿｰｽをGFに変更します。

7.0.7.0 (2019/12/13)
	[#getDescription( String ) と統合します]
		hayabusa.resource.ResourceManager#getDescription(String key,String[] args)

	[#getLabel( String ) と統合します]
		hayabusa.resource.ResourceManager#getLabel(String key,String[] args)

	[#getMessage(String...) , #getDescription(String...) , #getShortMessage(String...) を統合します]
		hayabusa.resource.LabelData#getMessage(String lbl,String[] vals)
		hayabusa.resource.LabelData#getMessage(String[] vals)
		hayabusa.resource.LabelData#getDescription(String[] vals)
		hayabusa.resource.LabelData#getShortMessage(String[] vals)

	[FG_LOADが、3:使用確認 , 8:未使用 の場合に使用されると、2:使用実績 をセットする]
		hayabusa.resource.ColumnDataLoader#getColumnData(String key)

	[HTML5から廃止されています]
		hayabusa.taglib.IframeTag#setSeamless(String seamless)

	[JavaScriptとCSSﾌｧｲﾙをｷｬｯｼｭさせるためのｷｰ(v=)を Tomcat起動時間(HybsSystem.START_TIME)に設定]
		hayabusa.taglib.HeadTag#JS_TAG_FNC
		hayabusa.taglib.HeadTag#CSS_TAG_FNC
		hayabusa.common.HybsSystem#START_TIME

	[args パラメータ配列(可変長引数)を追加します]
		hayabusa.resource.ResourceManager#getRawShortLabel(String key,String[] args)

	[useSLabel 属性を追加]
		hayabusa.taglib.ColumnCheckTag#doEndTag()
		hayabusa.taglib.ColumnCheckTag#release2()
		hayabusa.taglib.CommonForwardTag#doEndTag()
		hayabusa.taglib.CommonForwardTag#release2()
		hayabusa.taglib.DataCheckTag#doEndTag()
		hayabusa.taglib.DataCheckTag#release2()
		hayabusa.taglib.DirectTableInsertTag#afterEnd()
		hayabusa.taglib.DirectWriteTableTag#doEndTag()
		hayabusa.taglib.DirectWriteTableTag#release2()
		hayabusa.taglib.EntryTag#checkConsistency()
		hayabusa.taglib.EntryTag#release2()
		hayabusa.taglib.ErrorMessageTag#doEndTag()
		hayabusa.taglib.ErrorMessageTag#release2()
		hayabusa.taglib.FileUpdateTag#doEndTag()
		hayabusa.taglib.FileUpdateTag#release2()
		hayabusa.taglib.MailSenderTag2#doEndTag()
		hayabusa.taglib.MailSenderTag2#release2()
		hayabusa.taglib.PlsqlUpdateTag#doEndTag()
		hayabusa.taglib.QueryTag#doEndTag()
		hayabusa.taglib.QueryTag#release2()
		hayabusa.taglib.ReadTableTag#afterEnd()
		hayabusa.taglib.ReadTableTag#release2()
		hayabusa.taglib.TableFilterTag#doEndTag()
		hayabusa.taglib.TableFilterTag#release2()
		hayabusa.taglib.TableUpdateTag#doEndTag()
		hayabusa.taglib.TaglibUtil#makeHTMLErrorTable(ErrorMessage errMsg,ResourceManager resource)
		hayabusa.taglib.TaglibUtil#makeHTMLErrorTable(ErrorMessage errMsg,ResourceManager resource,boolean useSLabel)
		hayabusa.taglib.TaglibUtil#makeHTMLSimpleErrorList(ErrorMessage errMsg,ResourceManager resource)
		hayabusa.taglib.TaglibUtil#makeHTMLSimpleErrorList(ErrorMessage errMsg,ResourceManager resource,boolean useSLabel)

	[新規追加]
		hayabusa.resource.ResourceManager#getRawShortLabel(ErrMsg errMsgObj)
		hayabusa.taglib.ColumnCheckTag#setUseSLabel(String prm)
		hayabusa.taglib.CommonForwardTag#setUseSLabel(String prm)
		hayabusa.taglib.DataCheckTag#setUseSLabel(String prm)
		hayabusa.taglib.DirectWriteTableTag#setUseSLabel(String prm)
		hayabusa.taglib.EntryTag#setUseSLabel(String prm)
		hayabusa.taglib.ErrorMessageTag#setUseSLabel(String prm)
		hayabusa.taglib.FileUpdateTag#setUseSLabel(String prm)
		hayabusa.taglib.MailSenderTag2#setUseSLabel(String prm)
		hayabusa.taglib.QueryTag#setUseSLabel(String prm)
		hayabusa.taglib.ReadTableTag#setUseSLabel(String prm)
		hayabusa.taglib.TableFilterTag#setUseSLabel(String prm)

	[読み取り件数の評価を、破棄分も考慮する]
		hayabusa.resource.ColumnDataLoader#loadDBResource()
		hayabusa.resource.LabelDataLoader#loadDBResource()

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

7.0.6.4 (2019/11/29) 未リリース
	[ユーザー登録画面]
	GE/GE0001 画面で、ロール更新時に存在しないエラーになっていたので修正します。
	これは、システムID,ユーザー、ロールがﾕﾆｰｸｷｰ化した際に、ロールを更新すると
	ﾏｽﾀに存在しないと判定されるためです。
	実質的には、UNIQキーを入れているので、更新可能です。
		jsp/GE0001/entry.jsp

	[帳票 ﾚｲｱｳﾄ定義]
	帳票 ﾚｲｱｳﾄ定義画面で、名称欄に、SYSTEM_ID='**' も考慮に入れます。
	なお、初期値はSYSTEM_IDで完全一致の名称のみ表示することとし、チェックボックスで
	'**'を選択できるようにします。
		jsp/REP03/query.jsp
		jsp/REP03/result.jsp

	[VER4_COMPATIBLE_MODE 廃止に伴う修正]
	webapps/ge/jsp 以下
	openGion Ver7 以降は、Ver4 当時のDB定義との互換性設定(VER4_COMPATIBLE_MODE)
	を廃止します。
		詳細は、refactoring/7.0.6.4_refactoring.txt を参照願います。

	[onSubmit="return oneClick();" 削除]
	useAjaxSubmit="true" 追加 に伴い、return oneClick(); はすべて削除します。
		詳細は、refactoring/7.0.6.4_refactoring.txt を参照願います。

	[useAjaxSubmit="true" 追加]
	useAjaxSubmit="true" は、画面遷移なしでエラーを表示します。
	これは、標準画面(query,result,update,entry)では、update のみに入れます。
		詳細は、refactoring/7.0.6.4_refactoring.txt を参照願います。

	[HybsSystemException を throw するように変更します]
		hayabusa.taglib.CommonTagSupport#doCatch(Throwable th)

	[Throwable ｵﾌﾞｼﾞｪｸﾄの重複を取り除きます]
		fukurou.system.ThrowUtil#ogStackTrace(String msg,Throwable th)
		fukurou.system.ThrowUtil#ogThrowMsg(String msg,Throwable th)
		fukurou.system.ThrowUtil#selectElement(Throwable th,int minCnt)
		fukurou.system.ThrowUtil#isNewThr(Throwable th)

	[TransactionRealのclose漏れ対応]
	mailデーモンで、エラー発生時にコネクションが解放されない現象の対応です。
		hayabusa.mail.DefaultMailManager#getYkno()
		hayabusa.mail.MailModuleUtil#getYkno()
		hayabusa.queue.DBAccessQueue#generateSyoriNo()
		hayabusa.report.GE50Access#makeYkno()

	[setTransaction ﾒｿｯﾄﾞ内で、dbid を使っているので、先に設定します]
		fukurou.business.BizUtil#actBizLogic(String srcDir,String classDir,boolean isAutoCompile,boolean isHotDeploy,String classPath,String systemId,String logicName,String[] keys,String[] vals)

	[エラー発生時には、上位に伝達させるために、Exception を発生させます]
		plugin.daemon.Daemon_MailReceive#startDaemon()

	[常に null を返すようにします]
		fukurou.system.OgRuntimeException#getCause()

	[復活]
		fukurou.system.OgRuntimeException#getStackTrace()

	[数値指定の色がMapにないとｴﾗｰになっていた個所を修正]
		fukurou.util.ColorMap#getColorInstance(String value)

	[キャッシュコントロール]
	コンテキストがロードされた時刻をキャッシュ設定に使います。
		hayabusa.common.HybsSystem#START_TIME
		hayabusa.taglib.HeadTag#Function<String,String> JS_TAG_FNC
		hayabusa.taglib.HeadTag#Function<String,String> CSS_TAG_FNC

	[ｿｰｽﾁｪｯｸ]
	WARNING21C
		og:view タグの複数存在チェックで、splitView の内部チェックが２回走っていたため、修正
	ERROR27
		新しいJavaでは、JavaScript の実行が出来なくなる可能性があります。
		① og:valueタグで、action='EXEC' の場合
		② og:dataCheckタグで、command='ENTRY' で uniqCheckClms 未使用で SELECT処理でない
		③ og:dataCheckタグで、command='NEW' で SELECT処理でない

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\result_CLMSEQ.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\result_REPORT.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\jquery\dragView.js

	[14_EDIT Edit機能のチェックボックスの不具合
		問合せ番号:0200003102
		https://www.mis-help.muratec.co.jp/support/jsp/UW2002/index.jsp?command=NEW&NOTOI=0200003102&CDKAI=00
	Edit機能の表示項目の全選択チェックボックスが機能していない。
	チェックを外しても、明細側のチェックが外れない。

	①jquery v1.4.2 ⇒ v1.12.4 に伴い、edit.js 内の jViewClms.attr( "checked", checked ? "checked" : "" );
		の箇所で、attr("checked","")ではチェックが外れないため、removeAttr("checked")を使用します。
	②drowView.jsの読み込みで、undefinde.メソッドでエラーになり後続処理が停止している。
		grid: $(".dragView").attr("grid").split(','), の split メソッドでエラーになっている。

		common\gamen\14_EDIT\edit.js
		result.jsp						廃止
		result_CLMSEQ.jsp				ﾍｯﾀﾞｰにuseJQUI="true" 追加
		result_REPORT.jsp				ﾍｯﾀﾞｰにuseJQUI="true" 追加
		\src\script\common\jquery\dragView.js		$(".dragView").attr("grid").split(',') でエラーになるため暫定処置

7.0.6.3 (2019/11/08)
	[PREV,NEXTの修正]
	問合・ﾄﾗﾌﾞﾙ (61200-191106-02) 画像のprevと画像のnextの間を押すとエラーが発生しています。
	submitPrevNextForm で submit されるので、aタグは不要
		hayabusa.taglib.QueryButtonTag#PREV_NEXT

	DBOUTPUT_PATH 廃止
		jsp/GF2140\result.jsp

	[V5 修正反映]
		5.10.17.0 (2019/11/1)
			[admin画面表示追加]
			パラメータ画面の予約語の説明を追加しました。
				jsp/common/gamen/01_ADMIN/printSystemParameter.jsp

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF0000\index.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF2140\result.jsp

7.0.6.2 (2019/10/25)
	[V5 修正反映]
		5.10.16.3 (2019/10/25)
			[linkタグのBackAddress]
			BackAddressはリクエスト情報を使っていますが、ロードバランサやリバースプロキシ経由の場合に
			アドレス変換が発生するようなパターンの場合に上手く動作しない可能性があります。
			システムリソースSERVER_ACCESS_URLにSchemeからPortまでの情報(ex: https://www.xxx:8080)を登録すると
			そちらを優先してBackAddressのURLに利用するようにしておきます。ポートは必須ではありません。
				hayabusa.taglib.linkTag#getContextURL()
				hayabusa.common.SystemData#SERVER_ACCESS_URL

		5.10.16.2 (2019/10/18)
			[X-Forwarded-For対応]
			LBからのアクセスでクライアントIPが直接取れない場合の対応としてヘッダからX-Forwarded-Forを
			取得するようにしておきます。
			appInfoではnvalを利用して、標準でX-Forwarded-Forを利用します。
			{@USER.xxx}での取得は、新たに{@USER.CLIENTIP}を追加します。
				hayabusa.resource.UserInfoFactory#public static UserInfo newInstance( final String userID,final String ipAddress,final String roles, final String xFwdFor )
				hayabusa.resource.UserInfo#UserInfo( .... , final String clientIP)
				hayabusa.resource.UserInfo#getClientIP()
				hayabusa.resource.UserInfo#getAttribute( final String key )
				hayabusa.taglib.GuiQueryTag#execute()
				hayabusa.taglib.HeadTag#sessionInit()
				hayabusa.resource.UserInfo#getAttribute( final String key )

			[scrollBar2.js修正]
			X1,X2を利用した左右分割では上から五行分の高さを取得して最大値をセットしていましたが、
			rowspan時等にもある程度追随出来るように、ヘッダとボディで動作を分けるようにします。
				jsp/common/scrollBar2.js#heightReset

7.0.6.1 (2019/10/11) 未リリース
	[xmlﾌｧｲﾙのﾀｲﾑｽﾀﾝﾌﾟによる更新制御を入れます]
	7.0.2.3 (2019/04/01) で保留にしていた 『xmlﾌｧｲﾙのﾀｲﾑｽﾀﾝﾌﾟによる更新制御を入れます。』を復活します。
		hayabusa.common.SystemInstaller#execScripts(SystemInstaller.EXEC_TYPE type,String scriptPath,Connection conn)

	[V5 修正反映]
		5.10.16.1 (2019/10/11)
			[URLCheckデバッグ追加]
			デバッグモード時の出力を追加しておきます。
				hayabusa.filter.URLCheckFilter

	X		[システムリソースCALENDAR_POPUP_TYPE]
	X		システムリソースCALENDAR_POPUP_TYPEをSystemDataに追加しておきます。
	X		これは5.9.30.0 (2018/03/02)で対応したカレンダー表示で、動作上はなくても問題ありませんが、
	X		コンソールにエラー表示が出るため追加しておきます。
	X		初期値はNULL(CAL3を利用する)です。
	X			hayabusa.common.SystemData#CALENDAR_POPUP_TYPE

	X		[リファクタリング]
	X		Queye関係の手直しをしておきます。
	X		1)fukurou.util.BizUtilをfukurou.businessに移動
	X		2)hayabusa.queye.DBAccessQueueで利用していたorg.apache.commons.lang3.StringUtilsをやめて
	X		　fukurouのStringUtil利用に変更
	X		3) plugin.daemon.Daemon_QueueSendでのorg.hsqldb.lib.StringUtilをやめてfukurou.StringUtilに変更

7.0.6.0 (2019/10/07)
	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF7209\query.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.10.16.0 (2019/10/04)
			[URLConnectTagでのヘッダ指定]
			URLConnectTagからrequestParameterを設定出来るようにしておきます。
			propKeys,propValsで指定してください。
			マイクロサービス等で認証にヘッダ送信の情報を利用する場合があるためです。
				hayabusa.taglib.URLConnectTag#release2()
				hayabusa.taglib.URLConnectTag#connect()
				hayabusa.taglib.URLConnectTag#setPropKeys( final String key )
				hayabusa.taglib.URLConnectTag#setPropVals( final String val )
				hybs-taglib.tld

		5.10.15.3 (2019/09/27)
			[URLエンコードの対応]
			エンジンのurlEncodeはパラメータ値の先頭が[の場合には動作しません。（テーブルモデル対応）
			稀にそのようなパターンが存在する可能性もあるので、XHTMLTagにスイッチを仕込んでおき、
			frame,iframe,link,forwardタグのみとりあえず対応させておきます。
				fukurou.util.XHTMLTag#urlEncode( final String[] key,final String[] val,final String join )
				fukurou.util.XHTMLTag#urlEncode( final String[] key,final String[] val,final String join,final boolean fenc )
				hayabusa.taglib.FrameTag#release2()
				hayabusa.taglib.FrameTag#getUrlEncode()
				hayabusa.taglib.FrameTag#setForceEnc( final String flg )
				hayabusa.taglib.LinkTag#release2()
				hayabusa.taglib.LinkTag#makeTag( final boolean useViewLink )
				hayabusa.taglib.LinkTag#setForceEnc( final String flg )
				hayabusa.taglib.ForwardTag#release2()
				hayabusa.taglib.ForwardTag#getUrlEncode()
				hayabusa.taglib.ForwardTag#setForceEnc( final String flg )
				hybs-taglib.tld

		5.10.15.2 (2019/09/20)
			[MQ,SQSの受信処理追加、送信処理リファクタリング]
			キューの受信処理（デーモン形式）を追加しておきます。
			受信処理のデーモンは受信対象を新規テーブル(GE67,68が追加)上で指定します。
			受信後は同様に指定されたBIZロジックをCallします。
			なお、キューを利用しない場合はテーブル作成の必要はありません。
			送信処理に関しては、DB登録処理をhayabusa.queueパッケージで行うようにしました。
				fukurou.queue.QueueReceive
				fukurou.queue.QueueReceive_MQ
		X		fukurou.queue.QueueReceive_SQS
				fukurou.queue.QueueReceiveFactory
				fukurou.util.BizUtil
				hayabusa.queue.DBAccessQueue
				plugin.daemon.Daemon_QueueReceive
				plugin.daemon.Daemon_QueueSend

			[メニューグループTomcat8対応]
			メニューのグループの切り替え機能で、グループ名にマルチバイト文字を利用している場合に
			TomcatのバージョンによってエラーになるためURLEncodeで互換対応しておきます。
			（通常はグループコードを利用するためマルチバイト文字ではありません）
				hayabusa.taglib.TopMenuTag#makeGroupMenu()

7.0.5.1 (2019/09/27) 未リリース
	[Date → Calendar 変更、日付表示方法見直し]
		plugin.view.ViewForm_ImageTimeBar#getTime2Str(int timeVal)
		plugin.view.ViewForm_ImageTimeBar#imageHeaderPaint(Graphics2D g2,double timeScale,ViewForm_ImageTimeBar.FlgColorMap colMap)

	[QRコードのﾊﾟﾗﾒｰﾀをｼｽﾃﾑﾘｿｰｽで設定できるようにします(ただし、staticとします)]
		hayabusa.report2.OdsContentParser#makeQRImage(String row,int curOffset,String key,StringBuilder sb)
		設定を反映させるには、Tomcatの再起動 が必要です。

		帳票出力のQRｺｰﾄﾞ作成時の初期ﾊﾟﾗﾒｰﾀ(バージョン)を指定します。
		hayabusa.common.SystemData#REPORT_QR_VERSION = "5" ;

		帳票出力のQRｺｰﾄﾞ作成時の初期ﾊﾟﾗﾒｰﾀ(エンコードモード)を指定します。
		hayabusa.common.SystemData#REPORT_QR_ENCMODE = "B" ;

		帳票出力のQRｺｰﾄﾞ作成時の初期ﾊﾟﾗﾒｰﾀ(エラー訂正レベル)を指定します。
		hayabusa.common.SystemData#REPORT_QR_ERRCRCT = "M" ;

		帳票出力のQRｺｰﾄﾞ作成時の初期ﾊﾟﾗﾒｰﾀ(ピクセル数)を指定します。
		hayabusa.common.SystemData#REPORT_QR_PIXEL = "3" ;

	[codeName を指定することでﾘｿｰｽからoptionを作成します]
		hayabusa.taglib.OptionTag#makeTag()

	[getTime2Str 修正に伴う変更]
		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)

	[optionAttributes が二重に設定されていたため、削除]
		plugin.column.Editor_AUTOAREA#Editor_AUTOAREA(DBColumn clm)
		plugin.column.Editor_BITBOX#Editor_BITBOX(DBColumn clm)
		plugin.column.Editor_CHBOX2#Editor_CHBOX2(DBColumn clm)
		plugin.column.Editor_DATALIST_R#Editor_DATALIST_R(DBColumn clm)
		plugin.column.Editor_DBMENU#Editor_DBMENU(DBColumn clm)
		plugin.column.Editor_DBRADIO#Editor_DBRADIO(DBColumn clm)
		plugin.column.Editor_INDBMENU#Editor_INDBMENU(DBColumn clm)
		plugin.column.Editor_INMENU#Editor_INMENU(DBColumn clm)
		plugin.column.Editor_MENU#Editor_MENU(DBColumn clm,String type)
		plugin.column.Editor_RADIO#Editor_RADIO(DBColumn clm)
		plugin.column.Editor_TEXTAREA#Editor_TEXTAREA(DBColumn clm)

	[新規作成]
		hayabusa.taglib.OptionTag#setCodeName(String name)

	[日付指定がない場合に、無条件に１秒待つ仕様を廃止]
	ロジックミス修正
		fukurou.fileexec.StringUtil#getTime(String ymd,String hms)

7.0.5.0 (2019/09/24) 未リリース
	[カーソルが null の場合チェックとｴﾗｰﾒｯｾｰｼﾞを追加]
	Query_JDBCErrMsgでは、PLSQLからカーソルを返す前提ですが、返し忘れた場合、
	AbstractQuery で、java.lang.NullPointerException が発生するため、開発者に
	エラーの原因が判りにくいため、カーソルが null の場合チェックとｴﾗｰﾒｯｾｰｼﾞを
	追加します。
		plugin.query.Query_JDBCErrMsg#execute( final String... args )

7.0.5.0 (2019/09/16) 未リリース
	[日時文字列(yyyyMMddHHmmss)の引数1,2に対して、差分の範囲判定追加]
		fukurou\db\Functions.java(21): import org.opengion.fukurou.util.HybsDateUtil;		// 7.0.5.0 (2019/09/16)
		fukurou\db\Functions.java(274): 	 * @og.rev 7.0.5.0 (2019/09/16) 新規作成

	[日付フォーマットの追加]
		fukurou\util\HybsDateUtil.java(57): 		DATE_FORMAT.put( "YMDHM"	,"yyyyMMddHHmm"			);	// 7.0.5.0 (2019/09/16)
		fukurou\util\HybsDateUtil.java(58): 		DATE_FORMAT.put( "YMDH"		,"yyyyMMddHH"			);	// 7.0.5.0 (2019/09/16)
		fukurou\util\HybsDateUtil.java(66): 		DATE_FORMAT.put( "YMDHMF"	,"yyyy/MM/dd HH:mm"		);	// 7.0.5.0 (2019/09/16)

	[fromBase のﾊﾟｽの文字数も、正規パス名から作成]
		hayabusa\taglib\FileQueryTag.java(130): 	private static final String VERSION = "7.0.5.0 (2019/09/16)" ;
		hayabusa\taglib\FileQueryTag.java(687): 	 * @og.rev 7.0.5.0 (2019/09/16) fromBase のﾊﾟｽの文字数も、正規パス名から作成。
		hayabusa\taglib\FileQueryTag.java(694): 			// 7.0.5.0 (2019/09/16) fromBase のﾊﾟｽの文字数も、正規パス名から作成。
		hayabusa\taglib\FileQueryTag.java(697): 				fromLen = new File(fromBase).getCanonicalPath().length();		// 7.0.5.0 (2019/09/16)

	[V5 修正反映]
		5.10.15.2 (2019/09/20)
			[MQ,SQSの受信処理追加、送信処理リファクタリング]
			キューの受信処理（デーモン形式）を追加しておきます。
			受信処理のデーモンは受信対象を新規テーブル(GE67,68が追加)上で指定します。
			受信後は同様に指定されたBIZロジックをCallします。
			なお、キューを利用しない場合はテーブル作成の必要はありません。
			送信処理に関しては、DB登録処理をhayabusa.queueパッケージで行うようにしました。
				fukurou.queue.QueueReceive
				fukurou.queue.QueueReceive_MQ
				fukurou.queue.QueueReceive_SQS
				fukurou.queue.QueueReceiveFactory
				fukurou.util.BizUtil
				hayabusa.queue.DBAccessQueue
				plugin.daemon.Daemon_QueueReceive
				plugin.daemon.Daemon_QueueSend

			[メニューグループTomcat8対応]
			メニューのグループの切り替え機能で、グループ名にマルチバイト文字を利用している場合に
			TomcatのバージョンによってエラーになるためURLEncodeで互換対応しておきます。
			（通常はグループコードを利用するためマルチバイト文字ではありません）
				hayabusa.taglib.TopMenuTag#makeGroupMenu()

7.0.5.0 (2019/09/09)
	[OgCharacterExceptionでは、取りこぼしがあるため、OgRuntimeException も継続処理するように変更]
		hayabusa.taglib.ReadTableTag#doEndTag()

	[StringBuilder#append を、String.join に変更]
		fukurou.system.ThrowUtil.CaseBuilder#toString()

	[StringUtil#nvalCsv(String,String) で、CSV形式の文字列を正規化します]
		hayabusa.taglib.SplitViewTag#setFixDisplay(String clms)
		hayabusa.taglib.ViewFormTag#setColumnWritable(String columnName)
		hayabusa.taglib.ViewFormTag#setNoWritable(String columnName)
		hayabusa.taglib.ViewFormTag#setColumnDisplay(String columnName)
		hayabusa.taglib.ViewFormTag#setNoDisplay(String columnName)
		hayabusa.taglib.ViewFormTag#setClmSeqDisplay(String columnName)
		hayabusa.taglib.ViewFormTag#setColumnGroup(String group)
		hayabusa.taglib.ViewFormTag#setNoGroup(String group)
		hayabusa.taglib.ViewFormTag#setTableSorterKeys(String columnName)
		hayabusa.taglib.ViewFormTag#setWritableControl(String wrtCtrl)
		hayabusa.taglib.ViewFormTag#setPopupReturnKeys(String rtnKeys)
		hayabusa.taglib.ViewFormTag#setFileDwnClms(String dwnClms)
		hayabusa.taglib.ViewFormTag#setColumnBulkSet(String columnName)

	[クロス集計使用時のエクセル出力（ﾌｧｲﾙﾀﾞｳﾝﾛｰﾄﾞでのDisplay対応）]
	問合・ﾄﾗﾌﾞﾙ (61200-190909-01) クロス集計使用時のエクセル出力について
	①クロス集計して表示した画面をエクセル出力した場合に不要（データのない）項目が表示される
	②①と同様の場合にNoDisplay指定した項目も表示されます
	①②について、エンジン側で表示されないよう対応してほしい。

	formが並び替え禁止(form.isEditable()==false)時には、viewのカラム列を出力しておらず
	ファイル出力時のカラム制御（NoDisplay等）が効いていなかった。
	form.isEditable()==false でも、lastSql.setClmNamesを行う（ﾌｧｲﾙﾀﾞｳﾝﾛｰﾄﾞでのDisplay対応）
		hayabusa.taglib.ViewFormTag#setViewClms(DBLastSql lastSql)

	[アンダーバー付きの文字列から、アンダーバーを削除する]
	エディット機能のアンダースコア対応
	問合・ﾄﾗﾌﾞﾙ (61200-190909-02) EDIT機能使用時の集計表示について
	EDIT機能使用時に集計表示をするとエラーになる。
	※「_」をデータに付加して入力制御しているため。
		数値変換でエラーになっていた。先頭が _ の場合は、削除するように変更。
		hayabusa.db.DBTableModelEditor#addGroupRows(ResultSetValue rsv,int skipRowCount,int maxRowCount,boolean[] sumFilter,boolean[] groupFilter)
		hayabusa.db.DBTableModelEditor#unscoDel(String inStr,String def)

	[splitViewについての修正]
	問合・ﾄﾗﾌﾞﾙ (61200-190823-02) splitViewについての修正依頼
	①7.0.4.0 (2019/05/31)の、[separatorがタブの場合は、trim() しないように変更]
	で、対応できていると思われます。

	②JSPチェックのsplitViewのCAUTION07Bを廃止
		jsp\DOC18\xsltV7\GF70_PROG.xsl

	[dbidに、type 属性を追加します(影響は、ForEachObject内)]
		fukurou.db.DatabaseConfig#makeDbidMap(Element element,EDbid defDdbid)
		fukurou.db.DatabaseConfig.ForEachObject#ForEachObject(Element ele)

	[static import をやめます]
		hayabusa.taglib.SplitViewTag#setUseSplit(String flag)

	[synchronized しておきます]
		fukurou.system.ThrowUtil.CaseBuilder#toThrowMsg()

	[新規追加]
		fukurou.util.HybsDateUtil#stepYM(String begin,String end,int step)
		fukurou.util.StringUtil#nvalCsv(String strCsv,String def)

	[自分自身をStackTraceに入れる]
		fukurou.system.OgRuntimeException#printStackTrace()

	[自分自身をsuperに入れる]
		fukurou.system.OgRuntimeException#OgRuntimeException(String msg,Throwable th)
		fukurou.system.OgRuntimeException#addMessage(String msg)
		fukurou.system.OgRuntimeException#printStackTrace(PrintStream ps)
		fukurou.system.OgRuntimeException#printStackTrace(PrintWriter pw)
		fukurou.system.OgRuntimeException#OgRuntimeException()
		fukurou.system.OgRuntimeException#OgRuntimeException(String msg)
		fukurou.system.OgRuntimeException#OgRuntimeException(Throwable th)

	[追加 ENV.で環境変数の値を取得できるようにします。]
		hayabusa.taglib.CommonTagSupport#getReservedValue( final String key )

	[inPath のﾊﾟｽは、正規パス名から作成]
		hayabusa.taglib.FileUpdateTag#setInPath(String path)

	[target のﾊﾟｽも、正規パス名から作成]
		hayabusa.taglib.FileUpdateTag.FromToFiles#mkDirs(String fname,boolean createDir)

	[新規作成]
		fukurou.db.Functions#checkDelay(String date1,String date2,double sec1,double sec2,double sec3)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF7209\query.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\default.js

	[V5 修正反映]
		5.10.15.1 (2019/09/06)
			[高さ調整スクリプト修正]
			３ペインで中央がdummy.htmlだった場合にもなんとなく動作するようにしておきます。
				jsp/common/default.js#adjustFrameHeight()

		5.10.15.0 (2019/08/30)
			[MQ,SQS送信修正]
			一部fukurouにhayabusaパッケージが利用されていたので修正しておきます。
			また、デーモンでの送信用にクラスを追加しておきます。
			GE65,66が必要ですが、プラグインを利用しない場合は作成不要です。
				fukurou.queue.QueueSned#connect(final String jmsServer, final String sqsAccessKey, final String sqsSecretKey)
				fukurou.queue.QueueSned_MQ#throwErrMsg(final String errMsg)
				fukurou.queue.QueueSned_MQ#connect(String jmsServer, String sqsAccessKey, String sqsSecretKey)
				fukurou.queue.QueueSnend_SQS#throwErrMsg(final String errMsg)
				fukurou.queue.QueueSnend_SQS#connect(final String jmsServer)
				hayabusa.tagllib.QueueSendTag#doEndTag()
				plugin.daemon.Daemon_QueueSend

	X		[JFreeChart修正]
	X		JFreeChartの表示不具合のため、V6での修正を適用します。
	X		0件の場合の処理中断及びラベルのずれを修正します。
	X			hayabusa.io.HybsCategoryDataset#execute( final Connection con, final String query )
	X			hayabusa.io.HybsCategoryDataset#execute( final DBTableModel table )
	X			hayabusa.io.ChartFactory#newDataset( final DBTableModel table , final String type )
	X			hayabusa.io.ChartFactory#getSeriesLabels( final DBTableModel table )

		5.10.14.2 (2019/08/23)
			[userIDの取得方法追加]
			システムリソースでUSERID_HEADER_NAMEを指定する事で、requestヘッダからuserIDを取得可能にします。
			一部のSSO製品でこの方式を取っているものがあるためです。
			標準は空文字(指定なし=今まで通り）です。
				hayabusa.common.SystemData#USERID_HEADER_NAME
				hayabusa.tablib.HeadTag#sessionInit()

			[fileTagリネーム処理修正]
			クラウド対応時の修正の影響で、ネットワークドライブに対する修正が正しく動作していませんでしたので修正します。
				hayabusa.taglib.FileTag#actionExec( final String action )

		5.10.14.1 (2019/08/09)
			[警告の除去]
			V7コンパイル時の警告対応に合わせて修正しておきます。
				fukurou.queue.QueueSendFactory#newQueueSend(final String queueType)

		5.10.14.0 (2019/08/01)
			[MQ,SQSの送信対応]
			クラウドでマネージドサービスが出ている影響もあり、他システムとの連携においてキューが
			使われるパターンが増えているため、エンジンとしてもMQとSQSの送信が出来るようにしておきます。
			キューの送信処理そのものはfukurouで実装しておき、タグから送信できるようにします。
			tomcatからMQへの接続設定はJDNIで指定します。
				fukurou.queue.QueueInfo
				fukurou.queue.QueueSend
				fukurou.queue.QueueSned_MQ
				fukurou.queue.QueueSnend_SQS			← Ver7では保留
				fukurou.queue.QueueSendFactory
				hayabusa.taglib.QueueSenedTag
				hybs-taglib.tld

			[initタグのリクエスト変数]
			initタグで受けたリクエスト変数の文字コードをUTF-8としてsetCharacterEncodingします。
			(マルチバイト文字の変数を直接受けられるようにする)
				hayabusa.taglilb.JspInitTag#doEndTag()

7.0.4.3 (2019/07/15)
	[debug=true で強制実行できることを、画面上のﾘﾝｸで示します。]
	Tomcat起動時のXMLﾌｧｲﾙ読み込み等でエラーが出ると、Tomcat自身が止まってしまうが、
	debug=true で、強制実行できます。
	作った本人も、その機能を忘れていたので、画面にリンクを表示します。（でも忘れると思う）
		hayabusa.taglib.JspInitTag#doEndTag()

	[# のみの場合は、特別に、# を返すように対応]
	PL/SQL等でメッセージのパラメータにリソースを使用する場合、{#XXXX} または #XXXX で
	XXXX をリソースから使用しますが、# のみをパラメータに渡すと XXXX 部分が空文字になるため
	消えてしまいます。
	# のみの場合は、特別に、# を返すように対応します。
		hayabusa\resource\ResourceManager#makeLabelArray( final String[] args )

	[MARK_ID を付加して、他のid と混同しないようにします]
		hayabusa.taglib.ViewMarkerTag#setViewMarkerId(String id)

	[AutoReaderでencode指定の場合、columnNamesを複数回通ることがあるため、executeCountは都度クリアする]
		問合・ﾄﾗﾌﾞﾙ (61200-190823-01) directTableInsertを使用した取込で取込件数に誤差がある
		hayabusa.taglib.DirectTableInsertTag#create( final File file )$columnNames( final String[] names )

	[22_FAQ,23_FAQRGST 修正]
	22_FAQ：検索条件のあいまい指定を考慮した、where条件に書き直します。
	23_FAQRGST：質問番号、関連画面ID、ｷｰﾜｰﾄﾞ のwhere 条件が効いていなかったので追記しました。
		gf\jsp\common\gamen\22_FAQ\result.jsp
		gf\jsp\common\gamen\23_FAQRGST\result0.jsp

	[DOC18 修正]
		WARNING35:trタグ内にtdタグで囲んでいない要素があります。
			jsp/DOC18/xsltV7/GF70_PROG.xsl

		5.10.13.0 (2019/07/01)
			[JSPチェック追加]
			trタグ内にtdに囲われていない要素があった場合に警告を出しておきます。
				jsp/DOC18/xsltV5/GF70_PROG.xsl

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\22_FAQ\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\result0.jsp

	[V5 修正反映]
	X	5.10.13.1 (2019/07/12)
	X		[伝送修正]
	X		fukurou伝送の仕組みのうち、SAMファイル出力タイプで改行コードを指定可能(CRLF,LF)にします。
	X		また、第二引数のバイト数に負数を指定すると標準(500Byte)を利用するようにしておきます。
	X			fukurou.fransfer.TransferExec_SAMCB#execute( final String[] vals, final TransferConfig config, final Transaction tran )

		5.10.13.0 (2019/07/01)
			[JSPチェック追加]
			trタグ内にtdに囲われていない要素があった場合に警告を出しておきます。
				jsp/DOC18/xsltV5/GF70_PROG.xsl

		5.10.12.4 (2019/06/21)
			[リクエストキーのURIエンコード]
			Frameタグ等で利用されているロジックで、valsだけでなくkeysもURIエンコードをかけます。
			エンジンのボタンで日本語キーが送信される場合があるためです。
				fukurou.util.XHTMLTag#urlEncode( final String[] key,final String[] val,final String join )

			[URLチェック日本語対応]
			UTF-8のリクエストパラメータがフィルタをかけた際に正常に送信されたなかったため、
			encodingを指定出来るようにします。標準はutf-8としておきます。
			このencodingはrequestEncodingというリクエスト変数として画面等に送信されます。
			FileDownloadサーブレットはこの変数を利用してエンコードをかけるようにします。
				hayabusa.filter.URLCheckFilter#doFilter( final ServletRequest request, final ServletResponse response, final FilterChain chain )
				hayabusa.filter.URLCheckFilter#init(final FilterConfig filterConfig)
				hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )

		5.10.12.3 (2019/06/18)
			[システムリソース追加]
			システムリソース無しとしてエラーが出るものを空で登録しておきます。
				hayabusa.common.SystemData#CLOUD_STORAGE_S3_ACCESS_KEY
				hayabusa.common.SystemData#VIEW_USE_HILIGHT_RADIO_CLICK

			[画面IDエラー時の文字変更]
			GUIInfoが存在しない場合に返す文字列を、URLで使える文字だけで構成するように変更します。
			（スペースと括弧を使わないようにします）
				hayabusa.taglib.CommonTagSupport#getGUIInfoAttri( final String attkey )

	X		[LinkTagの修正]
	X		6.7.3.0対応の移植をしておきます。
	X		{I}の出力条件を追加します。
	X			hayabusa.taglib.LinkTag#doEndTag()
	X			hayabusa.taglib.LinkTag#makeTag()
	X			hayabusa.taglib.LinkTag#makeTag( final boolean useViewLink )

		5.10.12.2 (2019/06/17)
			[クラウドストレージの相対パス対応]
			S3等に保存する際に../のような相対パス指定をすると、想定の場所に保存されていなかったため対応しておきます。
				fukurou.model.CloudFileOperation#editPath(final String path)

		5.10.12.1 (2019/06/14)
			[画面のﾌｧｲﾙ名取得方法]
			7.0.4.1対応の移植です。
			現在、各画面の実ファイル名として、{@SESSION.JSPID} を使用していますが、これは、共有変数のため、
			フレームなどによる同時実行時に動作が保証されません。
			そこで、リクエスト変数を用いて、個々に設定できるようにします。
			{@REQ.JSPID} を新たに定義します。
				hayabusa.taglib.CommonTagSupport#getRequestMethod(String attkey)
				jsp/common/error_2.jsp

7.0.4.2 (2019/06/24)
	[viewMarkerIdの修正]
	viewMarkerIdで、設定時にMARK_ID を付加して、他のid と混同しないようにする対応が漏れていたため、追加します。

7.0.4.1 (2019/06/10)
	[viewClassのJSPﾁｪｯｸ確認]
	7.0.4.0 (2019/05/31) で対応したJSPﾁｪｯｸ確認で og:view で、viewFormType='HTMLTable'で、tableId がなく、viewClass もない場合のチェックで
	equals 判定をやめて、同一レベルでの複数存在しているかに変更します。
		gf/jsp/DOC18/xsltV7/GF70_PROG.xsl
		WARNING21E ： 複数のog:view タグで使用する場合、tableIdで区別するか、viewClassで区別しないとレイアウトが崩れる可能性があります。

	[画面のﾌｧｲﾙ名取得方法]
	現在、各画面の実ファイル名として、{@SESSION.JSPID} を使用していますが、これは、共有変数のため、
	フレームなどによる同時実行時に動作が保証されません。
	そこで、リクエスト変数を用いて、個々に設定できるようにします。
	{@REQ.JSPID} を新たに定義します。
		hayabusa.taglib.CommonTagSupport#getRequestMethod(String attkey)

	これに伴い、{@SESSION.JSPID} を {@REQ.JSPID} に変更しておきます。
		jsp/common\error_2.jsp(30): 				<td><span class="design-header-fontcolor">{@SESSION.JSPID}</span></td>
		jsp/common\backup\error_2.jsp_20150805(25): 	<td><og:text value="{@SESSION.JSPID}" /></td>
		jsp/common\gamen\01_ADMIN\printRequesMethodt.jsp(31): <tr><td>{&#064;REQ.JSPID}			</td><td style="white-space: normal"><og:text>{@REQ.JSPID}
		jsp/custom\popup_info.jsp(33): 			<td><span class="design-header-fontcolor"><og:text value="{@SESSION.JSPID}" /></span></td>
		jsp/custom\query_info.jsp(78): 				<td><span class="design-header-fontcolor">{@SESSION.JSPID}</span></td>
		jsp/custom\query_tab_info.jsp(52): 			<td><span class="design-header-fontcolor"><og:text value="{@SESSION.JSPID}" /></span></td>
		jsp/custom\query_info.jsp_linemenu(29): 	<td><og:text value="{@SESSION.JSPID}" /></td>
		jsp/custom\query_info.jsp_min(44): 					<og:text value="{@GUI.KEY}" />(<og:text value="{@SESSION.JSPID}" />)
		jsp/custom\result_FS_info.jsp(30): 	<td><og:text value="{@SESSION.JSPID}" /></td>
		jsp/custom\result_info.jsp(27): 	<td><og:text value="{@SESSION.JSPID}" /></td>
		jsp/custom\result_info.jsp(36): 	window.onload = setTimeout( 'setDisplayCapture( "GUI:{@GUI.KEY} {@SESSION.JSPID}" )', 100 );
		jsp/custom\result_mdfy_info.jsp(27): 	<td><og:text value="{@SESSION.JSPID}" /></td>
		jsp/custom\result_mdfy_info.jsp(36): 	window.onload = setTimeout( 'setDisplayCapture( "GUI:{@GUI.KEY} {@SESSION.JSPID}" )', 100 );
		jsp/custom\result_tab_info.jsp(21): 	<td><og:text value="{@SESSION.JSPID}" /></td>

	[メニュー絞込機能 修正]
	Ver 5.10.11.3 (2019/05/24) で導入したメニュー絞込機能で、Ver7用に変更した箇所の
	動きがおかしいという事で、Ver5 と合わせました。
		jsp/menu/searchWord.js
		src/script/menu/searchWord.js

	[21_WHTSNEWの掲載終了日]
	変更処理画面で、自動的に掲載終了日が３か月先に更新される処理を停止します。
	これは、eventColumnで、掲載開始日変更時に、自動的に、＋３か月する機能が
	画面オープン時にも働き、掲載終了日を書き換えてしまうためです。
	自動ｾｯﾄは、初期（新規追加時）のみとし、それ以降は自動更新しません。
		jsp/common/gamen/21_WHTSNEW/update.jsp

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\DOC02\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\DOC08\result_SHORT.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6050\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6080\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\error_2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printRequesMethodt.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\menu_init.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\popup_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\query_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\query_tab_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_FS_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_mdfy_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\custom\result_tab_info.jsp
		C:\opengionV7\uap\webapps\gf\jsp\menu\matrixMenu.jsp
		C:\opengionV7\uap\webapps\gf\jsp\menu\multiMenu.jsp
		C:\opengionV7\uap\webapps\gf\jsp\menu\simpleMenu.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\default.js
		C:\opengionV7\uap\webapps\gf\src\script\menu\matrixMenu.css
		C:\opengionV7\uap\webapps\gf\src\script\menu\multiMenu.css
		C:\opengionV7\uap\webapps\gf\src\script\menu\searchWord.js
		C:\opengionV7\uap\webapps\gf\src\script\menu\searchWord.js_ver5
		C:\opengionV7\uap\webapps\gf\src\script\menu\searchWord_matrix.js

7.0.4.0 (2019/05/31)
	[colgroup 廃止]
	5.9.3.3 (2015/12/26)でHTML5のcolgroup対応としてtd:nth-childでtext-alignを出力する
	方法に切り替えているので、colgroup の併用をやめます。
		hayabusa.servlet.HybsAdmin#getLoginUser(String sort,boolean direc)
		hayabusa.servlet.HybsAdmin.ClassInfo#addLine(String type,String key,String clsName)
		hayabusa.servlet.HybsAdmin#getSystemResource()
		hayabusa.servlet.HybsAdmin#getRegistrationMessage(HttpSession session)
		plugin.view.ViewForm_HTMLCustomTable#getTableHead()
		plugin.view.ViewForm_HTMLFormatTable#getTableHead()
		plugin.view.ViewForm_HTMLGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLRotationTable#getTableHead()
		plugin.view.ViewForm_HTMLSeqClmTable#getTableHead()
		plugin.view.ViewForm_HTMLStackedGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLTable#getTableHead()

	[encode指定時の処理順序変更]
	encode指定時に、CSVとして処理してしまい、カンマの前後のスペースを削除してしまいました。
	セパレータが、タブの場合は、前後のスペースの削除を行わないようにし、
	encode指定時の初期値は、txt(タブ区切り)に変更します。
	対象は、readTable と、directTableInsert タグです。
		hayabusa.taglib.ReadTableTag#doEndTag()

	[separatorがタブの場合は、trim() しないように変更]
	セパレータが、タブの場合は、前後のスペースの削除を行わないようにします。
		fukurou.util.StringUtil#csv2Array(String csvData,char separator,int len)

	[初期値を true に変更]
	依頼No:   61200-190513-03
	依頼内容: 【GMIS標準】ポップアップ画面の画面ID対応
	対応内容:7.0.3.0にエンジンバージョンアップしましたが、デフォルトを true に変更します。
		hayabusa.taglib.PopupTag#setUseGamenId(String flag)

		5.10.11.2 (2019/05/17)
	※ Ver7 では、useGamenId属性の初期値を、true とします。
			spanタグでの使用は、useSpan を使用し、ラベルは lbl 属性で指定します。

	[紙芝居で、HTML5_HEAD1 が出ないため、titleの日本語が文字化けしてしまう]
	依頼No:   61200-190527-02
	依頼内容: 紙芝居機能の不具合対応
				①indexNW.htmの頭4行が作成されない。
	対応内容:og:head で、headType が未指定の場合（frame のとき）出さない設定になっていました。
			6.9.5.0 (2018/04/23) USE_IE7_HEADER 廃止 の時に変更しています。
		hayabusa.taglib.HeadTag#doEndTag()

	[複数の view で、nth-child 指定ができるように、viewClass を指定できるようにする]
	依頼No:   61200-190528-01
	依頼内容: 【GMIS標準】ﾃｰﾌﾞﾙを複数表示する際、文字の位置が揃えてない
	対応内容: viewClass属性の追加
	colgroupの代わりに使用しているnth-child 指定ですが、view を複数使用する場合、
	番号がかぶると、別の行の設定が使用されてしまう。
	view の id を変更するのが筋だが、影響範囲が不明なので（JavaScriptのイベントやCSSなど）
	viewClass を外部から指定できるようにする。
	デフォルトは、"VIEW_" + tableId だが、tableId はメモリ管理等に使用しているため
	新しく属性を追加する。
		hayabusa.taglib.ViewFormTag#setViewClass(String clazz)
		hayabusa.taglib.ViewFormTag#doStartTag()

	簡易的に、JSPﾁｪｯｸ確認に og:view で、viewFormType='HTMLTable'で、tableId がなく、viewClass もない場合をチェックします。
	ただし、equals 判定も入れていますので、その中で重複している場合は検出できません。
		gf/jsp/DOC18/xsltV7/GF70_PROG.xsl
		WARNING21E ： 複数のog:view タグで使用する場合、tableIdで区別するか、viewClassで区別しないとレイアウトが崩れる可能性があります。

	[writableControlｶﾗﾑのｿｰﾄ]
	以前、アンダーバー付き数値カラムのヘッダーソート対応しましたが、暫定的に
	7.0.2.4 (2019/05/7) で原因特定ができないため、shuttlesort に一旦戻しました。
	この戻した方のクラスにも、7.0.1.9 (2019/02/04) で対応した処理を入れておきます。
		hayabusa.db.DBTableModelSorter#compareRowsByColumn(int row1,int row2,int column)

		7.0.1.9 (2019/02/04)
		[writableControlｶﾗﾑのｿｰﾄ]
		問合・ﾄﾗﾌﾞﾙ (61200-190131-01)
		writableControl機能で、アンダーバーを付けるが、数値カラムの場合、ヘッダーｿｰﾄすると
		数値変換でエラー（java.lang.NumberFormatException）になる。

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF6080\result.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\default.js
		C:\opengionV7\uap\webapps\gf\src\script\common\option\html5modalDialog.js

	[V5 修正反映]
		5.10.12.0 (2019/06/03)
	X		Ver7 では、disposition の引数対応済み
	X		[forwardタグのファイル扱い]
	X		tomcat8.5.34でcontent typeの扱いが変わったため、forwardタグでfilenameが指定されている場合は
	X		content-typeを指定するようにしておきます。
	X		また、v6同様に外部からdispositionを指定可能にしておきます。(初期値は今まで通り)
	X			hayabusa.taglib.ForwardTag#doEndTag()
	X			hayabusa.taglib.ForwardTag#setDisposition( final String dispos )
	X			hayabusa.taglib.ForwardTag#release2()

	X		Ver7 では、とりあえず変更しません。
	X		[fileDownload.jsp]
	X		クラウド以外のダウンロードをredirectとしていましたが、
	X		上記forwardタグの対応及びファイル名の問題によりforwardに戻しておきます。
	X			jsp/common/fileDownload.jsp

			[カタカナ変換スクリプト]
			半角カナを全角カナに変換するスクリプトをdefault.jsに組み込んでおきます。
				jsp/common/default.js#toZenkakuKana(str)

			[絞込機能向上]
			マトリクスメニューでも絞込機能が使えるようにします。
			左メニューとは異なり、背景色の変更としています。
			また、左メニュー絞込と共に全角カナでも半角カナの検索、スペース区切りでAND検索の機能を
			追加しています。（ブラウザの検索機能との差別化）
				jsp/menu/searchWord.js
				jsp/menu/searchWord_matrix.js
				jsp/menu/matrixMenu.css
				jsp/menu/matrixMenu.jsp

		5.10.11.3 (2019/05/24)
			[メニュー絞込機能追加]
			左メニューで、入力文字列を利用して表示を絞り込む機能を追加します。
			Ver.5では標準実装としておきます。
			Scriptを読み込み、searchmenuのIDを持つ入力欄を追加する事で動作します。
				jsp/menu/searchWord.js
				jsp/menu/multiMenu.css
				jsp/menu/simpleMenu.jsp
				jsp/menu/multiMenu.jsp
				jsp/custom/menu_init.jsp

		5.10.11.2 (2019/05/17)
	※ Ver7 では、useGamenId属性の初期値を、true とします。
			spanタグでの使用は、useSpan を使用し、ラベルは lbl 属性で指定します。
	X		[popupタグの機能追加]
	X		1)popupタグで開く画面に対してGAMENIDを付加出来るようにします。
	X		 現在は画面IDからURLを取ってきますが、GAMENID属性は付けていませんでした。
	X		 useGamenId属性を利用します。初期値は互換性を考慮してfalse(付けない)です。
	X			hayabusa.taglib.PopupTag#makePopup( final boolean useKey )
	X			hayabusa.taglib.PopupTag#useGamenId()
	X			hayabusa.taglib.PopupTag#release2()
	X			hybs-taglib.tld
	X		2)popupタグでテキストを指定可能にしておきます。
	X		 span属性で指定してください。spanタグにclassとしてhybsPopupを付加して出力します。
	X		 互換性の問題もあるので、lbl属性ではなく新規属性の値を利用します。
	X		 文字色等はaタグ同様にdefault.cssで初期値として設定しておきます。
	X		 	hayabusa.taglbi.PopupTag#setSpan( final String text )
	X		 	setUseGamenId( final String flg )
			 	jsp/common/default.css
			 	jsp/common/option/html5modalDialog.js#ogPchangeData(ret_val, p_this,p_out_Array, p_append)
			 	jsp/common/default.js#ogPopup
	X		 	hybs-taglib.tld
	X		 3)Formの取得方法変更
	X		  5.9.6.0で互換性対応のために変更しましたが、画像や文字でのOnclick時の取得に問題があるため、
	X		  jQueryを利用して先祖要素から取得する方式に変更します。
	X		  	hayabusa.taglbi.PopupTag#VALUE_PRE

			  [icon追加]
			  imageフォルダに入力欄内表示用の虫眼鏡アイコンを一つ追加します。
			  	jsp/image/search_16.png

		5.10.11.1 (2019/05/10)
			[メールモジュールでのURLチェック]
			メールモジュールの定型文に記述するURLに対してURLチェックの指定を可能にしておきます。
			以下のような予約語LINK.URLCを追加します。
			{@LINK.URLC [url?key=] [@PARAMx] [CryptkeyStr]}
			第一パラメータはURL、第二パラメータは付加する値、第三パラメータは暗号化キーです。
			url?key=の箇所のURLに第二パラメータの@PARAMxの値が変換されて付加された上でURLチェックの値が付きます。
			第一、第三パラメータも@xxxの記法は可能です。暗号化キーは指定しない場合はGE標準のものが利用されます。
			URLチェックはユーザ指定無しで30日間有効なものとしています。
			機密性が高く、URLチェックが必要な画面をメールから開く必要がある場合に利用します。
			そうでない場合は、URLチェックの設定でチェックそのものを行わないようにする方法があります。
				hayabusa.mail.MailPattern#getReservedValue( final String key )
				hayabusa.mail.MailPattern#marge( final String[][] src )

			[サードパーティーライセンス]
			利用モジュールのライセンス表記をTHIRDPARTYLICENSEREADME.htmlから差し替えのしやすい
			フォルダ管理方式に変更し、uap,appsと同階層にthirdparty_licensesとして配置します。

	[java,tomcat,openoffice等 Verup]
	実行環境の各バージョンをアップします。
		tomcat9.0.20
		jdk11.0.3_7  (amazon-corretto-11.0.3.7.1-windows-x64.zip)

7.0.3.0 (2019/05/13)
	[QueryButtonTagにclearKeys、clearVals属性追加]
	改善 (61200-190426-01) Ver7 クリアボタンに引数をセットしたい
	useClear=true時の遷移先にパラメータを渡せるように、clearKeys、clearVals属性を追加しました。
	このキーと値に引数をセットすると、クリア時に値を再セットすることができます。
		hayabusa.taglib.QueryButtonTag#release2()
		hayabusa.taglib.QueryButtonTag#getReset()
		hayabusa.taglib.QueryButtonTag#setClearKeys(String key)
		hayabusa.taglib.QueryButtonTag#setClearVals(String val)
		gf\jsp\GF9100

	[GAMENIDの追加(useGamenIdで、GAMENID属性をhrefに追加)]
	改善 (61200-190513-03) 【GMIS標準】ポップアップ画面の画面ID対応
	PopupTagにuseGamenId属性を追加しました。
	"true"の場合は、GAMENID 属性を href に追加します。
	互換性の関係から、初期値は、false にしています。
		hayabusa.taglib.PopupTag#release2()
		hayabusa.taglib.PopupTag#makePopup(boolean useKey)
		hayabusa.taglib.PopupTag#setUseGamenId(String flag)
		hayabusa.taglib.PopupTag#setUseSpan(String flag)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF7020\req.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7170_json\result2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9100\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\error_Auth.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printRequesMethodt.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printSystemParameter.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\scrollBar.css
		C:\opengionV7\uap\webapps\gf\src\script\common\scrollBar2.css

	[java,tomcat,openoffice等 Verup]
	実行環境の各バージョンをアップします。
		tomcat9.0.19
		LibreOffice_6.2.3

7.0.2.4 (2019/05/7)
	[GE Firebird対応]
	union の order by は、カラム名ではなく、カラムの順番を示す番号で指定する。
		GE0008\result.jsp(42): 		union
		GE0012\GEM0010.jsp(17): 	union
		GE0012\GEM0018.jsp(22): 	union
		REP12\query.jsp(39): 				union

	BEFORE,AFTER,SUM は、Firebirdの予約語なので、別名指定を変更します。
		REP20\changeSQL.jsp(6): 				round(sum(TMDIFF),1) as SUM,count(*) as CNT,
		GE0012\GEM0008.jsp
		GE0012\GEM0012.jsp
		GE0012\GEM0013.jsp
		GE0012\GEM0041.jsp

	[ヘッダーソート]
	ヘッダーソートで、空白のあるカラムをソートしたとき、1回目（昇順）正常で、２回目（降順）が
	先頭行がソートされずに残ってしまう。
	現状、原因特定ができないため、shuttlesort に一旦戻します。
		hayabusa.db.DBTableModelSorter   → DBTableModelSorter.java_horyu
		fukurou.model.DataModelSorter    → DataModelSorter.java_horyu

	[V5 修正反映]
		5.10.11.0 (2019/05/03)
			[ヘッダ固定印刷時対応]
			IE7モードでは印刷時にスクロールを消して全件印刷されるようになっていましたが、
			それ以外ではバー表示が残るなどしていました。
			CSS側に対応を入れておきます。
				jsp/common/scrollBar.css
				jsp/common/scrollBar2.css

			[ライブラリ整理]
			ライセンス・ライブラリ整理の一環でjava/jre/lib/extから以下のライブラリを削除します。
			（JUNIT及びMOCKITOはテストライブラリのため実行には必要ありません）
				jxl-266.jar
				junit-4.10.jar
				mockito-core-1.10.19.jar

			NVDのチェックでHiの出ているモジュールのバージョンを上げます。
			JavaでJSONを操作するためのモジュールであるjacksonを2.8系の最新にします(2.8.8から2.8.11)
			geronimo-stax-apiも1.0.1に変更します。
			クラウドモジュールで利用しているslf4jのバージョンを1.7系の最新にします(1.7.22から1.7.26)
				java/jre/lib/ext/jackson-core-2.8.11.jar
				java/jre/lib/ext/jackson-annotations-2.8.11.jar
				java/jre/lib/ext/jackson-databind-2.8.11.3jar
				java/jre/lib/ext/geronimo-stax-api_1.0_spec-1.0.1.jar

			これ以外に、内包しているSQLServer用のJDBCもJDK7用にバージョンアップしておきます。
			(利用JDKやDBのバージョンに応じて置換えてください)
				sqljdbc_4.2.6420.100_jpn.jar ⇒ mssql-jdbc-6.4.0.jre7.jar

			クラウド用のプラグインを利用する際に必要となるモジュールを新しくしておきます。
			（必要がある場合のみの導入となります）
				ibm-cos-java-sdk-2.4.4.jar
				ibm-cos-java-sdk-core-2.4.4.jar
				ibm-cos-java-sdk-s3-2.4.4.jar
				slf4j-api-1.7.26.jar
				slf4j-simple-1.7.26.jar

			これら整理済のものをopengionV5\apps\jdk1.8\jre\lib\extとしてOSDNにアップロードしておきます。

			[error_Auth.jsp変更]
			401エラーの場合に利用されるJSPですが、401はエラーとして扱わないようにしておきます。（コメントアウト）
			生死監視等でURLを叩いた際に401を正常とみなす場合がありますが、毎回のアクセスがエラーログに出されるためです。
			アクセスログには残ります。
				jsp/common/error_Auth.jsp

			[urlCheck属性初期値]
			urlCheckを利用した際の開発のしやすさを若干向上させます。
			・リンクタグのuseURLCheck属性の初期値をシステムリソースLINK_URL_CHECKで指定可能にします。
			　標準は今まで通り(false)です。
			　web.xmlのフィルタ設定を広範囲でかける場合に利用します。
			　この設定を利用する際にはFILEUD_URL_CHECK設定も確認してください。
			・forwardタグにurlCheck属性を追加し、urlCheck対象へのリダイレクトが出来るようにします。
			　この属性の初期値も上のシステムリソース(LINK_URL_CHECK)で設定されます。
				hayabusa.common.SystemData#LINK_URL_CHECK
				hayabusa.taglib.Linktag#release2()
				hayabusa.taglib.Forward#doEndTag()
				hayabusa.taglib.Forward#release2()
				hayabusa.taglib.Forward#setUseURLCheck( final String flag )
				hayabusa.taglib.Forward#addURLCheck( final String url )
				hybs-taglib.tld

			[urlCheckFilter修正]
			1) web.xmlでURLCheckをかける対象URLを指定できますが、アドレスの指定方法が限定的です。
			　そこで、urlCheckFilterの設定に正規表現で対象外にするURLを正規表現で指定可能にする事で
			　運用の柔軟性を上げられるようにします。
			　web.xmlのフィルタ定義で、ommitURLを指定します。
			　例えばcommon,custom,menuを対象外、リクエスト変数が付かないものも対象外とする場合は次のように記述します。
			　<param-value>^(?:[^\?]*)|(?:[^\?]*/(?:common|custom|menu)/.*)</param-value>
			2 )urlCheckFilterでヘッダのリファラーを見て、かけない設定が出来るようにします。
			　web.xmlのフィルタ定義でommitRefererを指定します。
			　リファラーが指定文字を含んでいる場合に無視します。（リクエスト変数は含みません）
			　リファラーを送信しないブラウザもあるので利用時は注意が必要です。
				hayabusa.filter.URLCheckFilter#init(final FilterConfig filterConfig)
				hayabusa.filter.URLCheckFilter#isValidAccess( final ServletRequest request )

			[リファラーのMetaタグ]
			METAタグでリファラーを送信する設定を入れておきます。
			最近ではポリシー指定も可能ですが、対応ブラウザが限られているためMETAタグでoriginを指定しておきます。
				hayabusa.taglib.HeadTag#doEndTag()

		5.10.10.2 (2019/04/12)
			[URLConnect機能追加]
			URLConnectでContent-Typeを指定出来るようにしておきます。
			APIによってはJSONでのリクエストにapplication/jsonのようなタイプ指定を
			求めている場合があるためです。
				fukurou.util.URLConnect#getConnection()
				fukurou.util.URLConnect#setConentType(final String ctype)
				hayabusa.taglib.URLConnectTag#connect()
				hayabusa.taglib.URLConnectTag#setContentType( final String ctype )
				hybs-taglib.tld

			[ハッシュアルゴリズム追加]
			ハッシュはMD5,SHA-1に対応していましたが、より強度の高いSHA-512にも対応しておきます。
				fukurou.security.HybsCryptography#getSHA512( final String input )
				plugin.column.DBType_SHA512 新規作成

		5.10.10.1 (2019/04/05)
			[PostのBodyデータ取得]
			一般的にRestAPIではPostデータはContent-type=application/jsonでRAWとしてJSONを送信する事があるため、
			{@REQ.PostData}で変換前のPostされたBODYデータを取得出来るようにしておきます。
			また、{@REQ.ContentType}でヘッダ情報からContent-Typeを取得します。
				hayabusa.taglib.CommonTagSupport#getRequestMethod(final String attkey)
				jsp/common/gamen/01_ADMIN/parameter.jsp
				jsp/common/gamen/01_ADMIN/printRequesMethodt.jsp

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF7020\req.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7170_json\result2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\error_Auth.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printRequesMethodt.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printSystemParameter.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\scrollBar.css
		C:\opengionV7\uap\webapps\gf\src\script\common\scrollBar2.css

7.0.2.3 (2019/04/01)
	[V5 修正反映]
		5.10.10.0 (2019/03/29)
			[URLConnectのメソッド追加]
			URLConnectタグ及びURLConnectデーモンからメソッドとしてPUTとDELETEを指定出来るようにしておきます。
			POSTメソッドと動作は同じで、送信ヘッダのメソッドの設定でX-HTTP-Method-Overrideを追記します。
			また、{@REQ.MethodOverride}でヘッダのX-HTTP-Method-Overrideを取得するようにしておきます。
	X			fukurou.util.URLConnect#getConnection()
	X			fukurou.util.URLConnect#setMethodOverride( final String mtd )
				hayabusa.taglib.URLConnectTag#connect()
				plugin.daemon.Daemon_URLConnect#check( final String in, final String[] check )
	X			plugin.daemon.Daemon_URLConnect#initDaemon()												/Ver7 保留
				hayabusa.taglib.CommonTagSupport.getRequestMethod( final String attkey ) {					/Ver7 追記

	X		[クラウド対応修正]
	X		エラーが発生する場合があるため、URLConnectTagでクラウドへのアップロードに条件を付けます。
	X		（ファイル名が指定されている場合のみとする）
	X			hayabusa.taglibURLConnectTag#doEndTag()

			[帳票プラグイン(RFW3)修正]
			先に追加したプラグインではリネームのみで特に問題なさそうなので、ロック処理は削除しておきます。
				plugin.report.CSVPrintPointService_RFW3

			[スクリプト修正]
			jQuery.data("events")はjQuery1.12では使えないため、_dataで代替しておきます。
				jsp/common/eventScript.js#eventColumn
				jsp/common/eventScript.js 即時実行関数追加

7.0.2.2 (2019/03/25)
	[ﾌｧｲﾙｱｯﾌﾟﾛｰﾄﾞのcallBackの引数対策]
	common/upload.jsp で、ﾌｧｲﾙｱｯﾌﾟﾛｰﾄﾞ後に CallBackしていますが、
	<form action="/{@SYS.CONTEXT_NAME}/jsp/{@callBack}" >
	で、callBackﾊﾟﾗﾒｰﾀに、GFXXXX/update.jsp?GAMENID=GFYYYY のような
	引数の時、formのデフォルトである method="GET" の場合、?以降のﾊﾟﾗﾒｰﾀが
	消えてしまいます。
	method="POST" にすれば、? 引数以下も飛びます。
	<form method="POST" action="/{@SYS.CONTEXT_NAME}/jsp/{@callBack}" >
	のように、POST で処理するように変更します。
		common/upload.jsp

	[eventColumnが動作しない]
	依頼No:   61200-190319-01
	依頼内容: eventColumnが動作しない
	対応内容: eventScript.js の eventColumn ファンクション
		修正前：bindOldEvents( jNewCol.get(0), jQuery.data( jCol.clone(true).get(0),"events" ) );
		修正後：bindOldEvents( jNewCol.get(0), jQuery._data(jCol.clone(true).get(0)).events );
	ｴﾝｼﾞﾝ対応 Ver：7.0.2.2 (2019/03/25)
		gf\src\script\common\eventScript.js

	[V5 修正反映]
		5.10.9.2 (2019/03/15)
		X	[帳票修正]
		X	帳票でGEと帳票ツールのOSが異なる場合に問題が発生する場合があるため、パスの取り方を修正します。
		X		hayabusa.common.HybsSystem#url2absPath( final String url )
		X		hayabusa.report2.QueueManager_DB#create()

			linuxではFileOutputStream作成時に強制ロックされないため、外部ツールとの連携が前提の
			プラグイン処理についてのみ暫定的に明示的なロックをかけつつ、拡張子変換を行うようなものを追加します。
				plugin.report.CSVPrintPointService_RFW3

		5.10.9.1 (2019/03/08)
			[コンパイラの警告対応等]
			コンパイラの警告を修正します。(アノテーションなど）
			また、一部引数のfinal化等も行います。
				fukurou.model.FileOperationInfo
				fukurou.model.CloudFileOperation
				fukurou.model.FileOperation
				fukutou.model.FileOperationFactory
				fukurou.util.FileUtil
				fukurou.security.HybsCryptography
				hayabusa.io.HybsFileOperationFactory
				plugin.cloud.FileOperation_AWS
				plugin.cloud.FileOperation_AZURE
				plugin.cloud.FileOperation_IBM
				plugin.cloud.FileOperation_ORACLE

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\common\upload.jsp

7.0.2.1 (2019/03/04)
	[DOC18]
	style='display:none' は、og:thead 内部では使わないほうが良い。
	処理に、og:thead 内部 というロジックが抜けてましたので追記しました。
		gf/jsp/DOC18/xsltV7/

	ｴﾝｼﾞﾝ対応Ver：7.0.2.1
	依頼No:61200-181126-02
	依頼内容:iGanttBar使用時にロールズ指定されていない画面へのリンクが作成される
	対応内容:
		現行機能でもリンクの制御は出来る事が確認できました。
		・viewLink+linkタグでhrefOnly属性を利用する
		・iGanttBarタグのhrefでlinkタグで指定した[column]を設定する
		・viewLinkで[xxx]は、画面IDには使えないので、onLinkとmarkListを利用
			onLink="[GUI]" markList="GF9610" みたいな感じです。

	[fromBase属性追加に伴い、fromLen変数を用意]
		hayabusa.taglib.FileQueryTag#setFromBase(String base)
		hayabusa.taglib.FileQueryTag#release2()
		hayabusa.taglib.FileQueryTag#addFileData(int rowNo,int lvl,File fin)

	[linkClmNoのhrefVal で、空文字列もﾘﾝｸの使用可否の判定条件に入れる]
	viewlink+link でImageTimeBarにリンクを作成できますが、onlinkなどで条件分けした際の
	判定に、 null しか見ていなかった。空文字列も判定条件に入れる必要があります。
		plugin.view.ViewForm_ImageTimeBar#imageMeker(Graphics2D g2,Color oldColor,int imgX,int imgY,int imgW,boolean useTipsLink,int row,StringBuilder outBuf)

	[元の色をイメージの端から自動取得(白決め打ちでない)属性追加]
		fukurou.util.ImageUtil#changeColor(BufferedImage img,Color tCol,int mask)
		fukurou.util.ImageUtil#main(String[] args)

	[追加カラムの位置のアドレス指定が間違っていた]
	useWritable、useMD5、useUpdateClms、addClms を加味したカラム設定がうまく動作しなかった。
		hayabusa.taglib.FileQueryTag#initDBTable()

	[endorsed7.0 修正]
	FirebirdのJDBCである、 jaybird-3.0.5.jar を jaybird-full-3.0.5.jar に置き換えます。

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\common\fileDownload.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\14_EDIT\tab.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\option\adjustGanttTable.js

	[V5 修正反映]
		※ クラウド対応は、影響範囲が大きすぎるため、再検討します。
		5.10.9.0 (2019/03/01)
			[クラウドストレージ対応]
			5.10.8.0の追加対応です。
			若干実装を変更して、Fileクラスを継承した形を取って今までのクラスでもそのまま利用可能としました。
			タグ等のうち、ユーザがアップロード/ダウンロードをするような箇所に対して指定出来るようにしています。
			タグには属性として以下の２つ(from,toがある場合は各々）が追加されています。
			storageType：利用プラグイン、null時はシステムリソースの値を利用。標準はローカルドライブ
			bucketName：バケット名、クラウド上のオブジェクトストレージ利用の際に有効

			以前の暫定対応の箇所は新しい方式に置換えています。
			更新する場合、システムリソースの名称変更があるため注意願います。
			システムリソースを設定すると、以下タグ等での標準動作はクラウド利用となります。（バケット設定必須）
			CLOUD_TARGETを空白（未設定）かDEFAULTとするとローカルストレージを利用します。
			・CLOUD_STORAGE -> CLOUD_TARGET
			・CLOUD_STORAGE_CONTAINER ->CLOUD_BUCKET

			・削除したクラス
				fukurou.model.DefaultFileOperation
				fukurou.model.FileOperationFileFilter
			・追加/変更クラス
				fukurou.model.CloudFileOperation	Abstractから名称変更
				fukurou.model.FileOperation
				fukurou.model.FileOperationFactory
				fukurou.model.FileOperationInfo
				fukurou.util.HybsFileFilter (元に戻しておく)
				fukurou.util.FileUtil
				fukurou.security.HybsCryptography
				hayabusa.common.HybsSystem
				hayabusa.common.SystemData
				hayabusa.io.HybsFileOperationFactory
	X			plugin.cloud.FileOperation_AWS
	X			plugin.cloud.FileOperation_AZURE
	X			plugin.cloud.FileOperation_IBM
	X			plugin.cloud.FileOperation_ORACLE
	X			hayabusa.taglib.DirectTableInsertTag
	X			hayabusa.taglib.DirectWriteTableTag
	X			hayabusa.taglib.DirectXMLSaveTag
	X			hayabusa.taglib.DocConvertTag
	X			hayabusa.taglib.FileOptionTag
	X			hayabusa.taglib.FileQueryTag
	X			hayabusa.taglib.FileTag
	X			hayabusa.taglib.FileUpdateTag
	X			hayabusa.taglib.FileUploadTag
	X			hayabusa.taglib.ReadTableTag
	X			hayabusa.taglib.ReportTableTag
	X			hayabusa.taglib.ReportTableTag2
	X			hayabusa.taglib.URLConnectTag
	X			hayabusa.taglib.WriteTableTag
	x			hayabusa.sevlet.FileDownload
	X			hayabusa.sevlet.MultipartRequest
	X			hayabusa.sevlet.UploadedFile
	X			hayabusa.sevlet.multipart.FilePart
	X			hayabusa.report2.ExecQueue
	X			hayabusa.report2.ExecThread
	X			hayabusa.report2.QueueManager_DB
	X			hayabusa.report2.QueueManager_DIRECT
				jsp/common/fileDownload.jsp
				jsp/common/gamen/14_EDIT/tab.jsp	fileDownloadListDef.txtの読み込み元はローカル固定とする
				hybs-taglib.tld

		5.10.8.2 (2019/02/22)
			[JSPチェック追加]
			tomcat8でjsp:textの子要素としてタグが利用できないため、チェック用に追加しておきます。
			なお、AmazonCorretto8+Tomcat8.5でのエンジンV5の実行は確認済です。
				gf/jsp/DOC18/xsltV5/GF70_PROG.xsl
				gf/jsp/DOC18/xsltV7/GF70_PROG.xsl

		5.10.8.1 (2019/02/15)
			[Gantt修正]
			ガントでカレンダーポップアップが正しく動作しない不具合を修正
				jsp/common/option/adjustGanttTable.js

7.0.2.0 (2019/02/19)
	[java,tomcat,openoffice等 Verup]
	実行環境の各バージョンをアップします。
		openJDK11.0.2
		tomcat9.0.16
		openoffice4.1.6
		LibreOffice_6.1.5

7.0.1.9 (2019/02/04)
	[writableControlｶﾗﾑのｿｰﾄ]
	問合・ﾄﾗﾌﾞﾙ (61200-190131-01)
	writableControl機能で、アンダーバーを付けるが、数値カラムの場合、ヘッダーｿｰﾄすると
	数値変換でエラー（java.lang.NumberFormatException）になる。
	DataModelSorter#compareColumn で、数値タイプの場合にアンダーバーがあれば、削除するように変更します。
	[数値タイプでwritableControl機能使用時の対応]
		fukurou.model.DataModelSorter#compareColumn(int row1,int row2)

	[V5 修正反映]
		5.10.8.0 (2019/02/01)
			[クラウドストレージ対応]
			ファイルの取り扱いの方法を整理して、クラウドストレージとローカルストレージを同じように扱えるようにします。
			このバージョンではストレージを共通で扱うクラスの追加のみを一旦行います。
			利用するタグ等への適用は今後のバージョンで行う予定です。（ファイルアップロードやダウンロード等）
			fukurou.model内にインターフェイスやファクトリクラス、標準クラス（ローカル用）を新たに追加します。
			クラウドストレージ用のクラスはplugin.cloud内に配置し、AWS,Azure,IBMCloud,OracleCloudのクラスを用意しておきます。
			クラウド用プラグインの利用には別途外部Jarが追加で必要なため、GEのChangesも参照ください。
				fukurou.model.FileOperation						ファイル操作用インタフェイス
				fukurou.model.AbstractFileOperation				実装Abstクラス
				fukurou.model.DefaultFileOperation				標準ファイル操作用
				fukurou.model.FileOperationFactory				ファクトリクラス
				fukurou.model.FileOperationFileFilter			フィルターインタフェイス
				fukurou.model.FileOperationInfo					ファイルList用Info
			X	fukurou.util.HybsFileFilter						各クラスへのインターフェイスの追加
				hayabusa.io.HybsFileOperationFactory			Hayabusaからの利用のためのクラス
			X	plugin.cloud.FileOperation_AWS
			X	plugin.cloud.FileOperation_AZURE
			X	plugin.cloud.FileOperation_IBM
			X	plugin.cloud.FileOperation_ORACLE

		Ver7 対応
			HybsFileFilter の修正は保留。
			FileOperation[] listFiles() メソッドをコメントアウトして対応

		X	[GF6310 二次元バーコード]
		X	QRコードの生成ファイル（rqcode.png）が、ブラウザにキャッシュされてしまう件の対応
		X	ファイルに毎回変更されるパラメータをつけます。
		X	ついでに、{@SYS.CONTEXT_URL} の後ろの '/' の削除も行います。(7.0.1.6対応分)
		X		gf/jsp/GF6310/result.jsp
		X			<img src="{@SYS.CONTEXT_URL}filetemp/{@USER.ID}/rqcode.png?var={@SYS.DATE yyyyMMddHHmmssSSS}" alt="{@TEXT}" />

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF9110\result.jsp
		C:\opengionV7\uap\webapps\gf\src\script\common\default.css

7.0.1.8 (2019/01/28)
	[Edgeで、ﾌｧｲﾙﾀﾞｳﾝﾛｰﾄﾞの文字化け]
	V5 修正反映漏れです。
		5.9.29.0 (2018/02/02)
			[ファイルのマルチバイト文字対応]
			サーブレットの対応は行っていましたが、forwardタグ側の対応が漏れていたので追加します。(Edge,safari対応)
				hayabusa.taglib.ForwardTag#doEndTag()

	[Edgeで、有向グラフのｵﾌﾞｼﾞｪｸﾄが、範囲外で消える]
	問合・ﾄﾗﾌﾞﾙ (61200-190125-01) 【標準GMISV6】Edge環境で有指向ｸﾞﾗﾌが消える
	GFサンプル GF7230 で、IE11 では範囲外に移動させるとスクロールが出るが、Edgeでは消える。
	ｽｸﾛｰﾙを出すように、各画面で調整してください。
		<style type="text/css">
			svg { overflow:auto; }
		</style>
	を入れます。

	[conditionListの判定を、正規表現に変更]
		hayabusa.taglib.TableUpdateTag#getParameterRows()
		hayabusa.taglib.TableUpdateTag#setConditionList(String list)

	[noinputにimportant 追加]
	問合・ﾄﾗﾌﾞﾙ (61200-190129-01)
	input[readonly] で、背景色が ｸﾞﾚｰになるのを抑えるため
		gf\src\script\common\default.css
			.noinput {
				border-style:	none;
				background:		transparent	!important;
			}

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\GF7230\result.jsp

7.0.1.7 (2019/01/21)
	[クロステーブルの修正]
	問合・ﾄﾗﾌﾞﾙ (61200-181206-01) crossParamタグのheaderCodeColumn属性の使い方
	7.0.1.5 (2018/12/10) で、対応しましたが、useHeaderResource の値設定が間違っており、
	ファイル出力と画面出力の整合性が取れていませんでしたので、修正いたします。
		[useHeaderResourceの判定が逆になっていた]
			plugin.view.ViewForm_HTMLCrossTable#makeCrossTable(DBTableModel table)
		[ヘッダー作成時にオリジナルのカラムを使うので、インスタンス変数化します]
			plugin.view.ViewForm_HTMLCrossTable#getHeadLine()

	[endorsed7.0 修正]
	問合・ﾄﾗﾌﾞﾙ (61200-190118-01) xlsxのExcelが取込できない
	endorsed7.0 に、同じ系統のjarファイルが存在しており、その結果、
	Could not initialize class org.apache.poi.ooxml.POIXMLTypeLoader エラーが発生しました。
	古いﾌｧｲﾙを先に見つけると、そこには指定のクラスが存在しないなど、不整合を起こしていました。
		×	xmlbeans-2.6.0.jar
			xmlbeans-3.0.1.jar
			ogJavaFunctions.jar
		×	jaxb-api-2.2.3.jar
			jaxb-api-2.3.0.jar

	[DOC18]
	DOC18 JSP解析 に、Ver7 を追加しました。
	判定用のプログラムも、Ver7 用にコピーして用意しました。（現時点では、Ver6と同じ）
		gf/jsp/DOC18/query.jsp
		gf/jsp/DOC18/xsltV7/

	[V5 修正反映]
		5.10.7.1 (2019/01/15)
			改善 (61200-190107-01) 【GMIS標準】カレンダーマスタ画面修正
			[ViewForm_HTMLCalendar修正]
			カレンダーViewは1件の場合にチェックボックスを出さない仕様になっていましたが、
			2件以上との場合とのUI共通化のためチェックボックスを出すようにしておきます。
				plugin.view.ViewForm_HTMLCalendar#create( final int startNo, final int pageSize )

			問合・ﾄﾗﾌﾞﾙ (61200-190115-01) POPUPの不具合
			POPUPでQUERYの高さ調整がされていない。
			原因：jQueryのバージョン問題のようです。
						V1.4.2  OK
						V1.12.4 NG
			[jQuery1.12対応]
			一部のスクリプトがJQuery1.4のみに対応で、1.12に対応していなかったため修正します。
			（DOM構築までの間にbodyのwidthが返す値が1.4と1.12で異なる）
				jsp/common/scrollBar2.js#$.hgrid.load
				jsp/common/queryScript.js#adjustFrameHeightSleep(),onload
				jsp/common/option/adjustGanttTable.js#adjustTable()
				jsp/common/option/adjustGanttTable.js#adjustGantt()
				jsp/common/option/adjustGanttTable.js#adjustTask()

		5.10.7.0 (2019/01/11)
			[メールデーモンエラー表示]
			メールエラー時に詳細が出力されるように変更しておきます。
				plugin.daemon.MailDaemon#startDaemon()
				plugin.daemon.MailDaemon_SendGridAPI#startDaemon()

			[メールモジュール修正]
			GE30のSelect文で、Oracleに非対応の書き方をしている箇所があったため修正します。
				hayabusa.mail.MailManager_DB#selGE30

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\DOC18\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6050\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6100\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9110\index.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\option\adjustGanttTable.js
		C:\opengionV7\uap\webapps\gf\src\script\common\queryScript.js
		C:\opengionV7\uap\webapps\gf\src\script\common\scrollBar2.js

7.0.1.6 (2018/12/25)
	※ 2019/01/15 ge.war やSVN等のbuild.xml設定不備のため、再コンパイルと再圧縮を行います。

	[GF6310 二次元バーコード]
	QRコードの生成ファイル（rqcode.png）が、ブラウザにキャッシュされてしまう件の対応
	ファイルに毎回変更されるパラメータをつけます。
	ついでに、{@SYS.CONTEXT_URL} の後ろの '/' の削除も行います。
		gf/jsp/GF6310/result.jsp
			<img src="{@SYS.CONTEXT_URL}filetemp/{@USER.ID}/rqcode.png?var={@SYS.DATE yyyyMMddHHmmssSSS}" alt="{@TEXT}" />
																	  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
									   ↑								↑

	[帳票ﾚｲｱｳﾄ定義の入力項目]
	問合・ﾄﾗﾌﾞﾙ (61200-181225-01)
	ﾚｲｱｳﾄ定義(REP03)の変更時、ﾘﾘｰｽﾉｰﾄが入力不可だったので、入力可能にします。
	また、他の画面と同様に、設変番号を入力不可に統一しておきます。
		ge/jsp/REP03/result.jsp

	[tableId から取得する対応漏れ]
		hayabusa.taglib.ChartDatasetTag#doStartTag()

7.0.1.5 (2018/12/10)
	[LINECOPYでの注意(JavaDocのみ追記)]
	改善 (05200-181207-04) CALC帳票の「LINECOPY」機能
	これは、コメントのみ修正です。
		hayabusa.report2.OdsSheet#lineCopy(String row,int rowCount)

	 * 7.0.1.5 (2018/12/10)
	 *   LINECOPYでは、同一行をコピーするため、セルの選択行(A5とか$C7とか)までコピーされ
	 *   行レベルの計算が出来ません。その場合は、INDIRECT(ADDRESS(ROW(),列番号))関数を
	 *   使用することでセルのアドレスが指定可能です。
	 *   列番号は、A=1 です。

	[headerCodeColumn 廃止]
	問合・ﾄﾗﾌﾞﾙ (61200-181206-01) crossParamタグのheaderCodeColumn属性の使い方
		plugin.view.ViewForm_HTMLCrossTable#getHeadLine()
			headerCodeColumn   【TAG】ヘッダー表示に利用するコードを持つカラムを指定します(初期値:空文字列)

	[useHeaderColumn=true で、横軸カラムオブジェクトを置換します]
		plugin.view.ViewForm_HTMLCrossTable#makeCrossTable(DBTableModel table)

	[writeCtrlで出力時のアンダーバー削除]
	問合・ﾄﾗﾌﾞﾙ (61200-181210-01) writableControl機能を利用した場合のExcel出力について（アンダーバーが付いた状態でExcel出力されます）
	writableControlで、renderer(ﾌｧｲﾙﾀﾞｳﾝﾛｰﾄﾞでは画面表示)使用時のみ、アンダーバーを削除して出力します。
		hayabusa.db.DBColumn#DBColumn(String lang,ColumnData clmData,LabelData lblData,CodeData cdData)
		hayabusa.db.DBColumn#DBColumn(DBColumnConfig config)
		hayabusa.db.DBColumn#getConfig()
		hayabusa.db.DBColumnConfig#setWriteControl(boolean flag)
		hayabusa.db.DBColumnConfig#isWriteControl()
		hayabusa.html.AbstractViewForm#setWritableControl(String wrtCtrl)
		hayabusa.db.DBColumn#getWriteValue(String value)

	[名前とﾗﾍﾞﾙだけ異なるLabelDataオブジェクトを作成します]
		hayabusa.resource.LabelData#LabelData(String inkey)
		hayabusa.resource.LabelData#LabelData(String inkey,String inLbl)

	[GE/GE0000/index.jsp 修正]
	問合・ﾄﾗﾌﾞﾙ (61200-181206-02) 小分類の管理のリンク先について
	これは、ge/index.jsp で、GAMENID ありの時＝menu/matrixMenu.jsp 、無しのとき＝GAMENID に転送されます。
	GMICSのvvリソースで、管理画面のアドレスが、GAMENID=GE0000 になっており、
	ge/jsp/GE0000/index.jsp の定義が、topMenuタグのmenuType = "TILE" でした。
	これが、小分類から入る場合と、画面リンクから入る場合の相違になっていました。
	ge/jsp/GE0000/index.jsp を、menu/matrixMenu.jsp を呼び出すように変更します。
		ge/jsp/GE0000/index.jsp

	[全体会議 GMICS 開発における留意点より]
	gf\jsp\DOC18\xsltV6\GF70_PROG.xsl
	① 非表示項目の設定方法(Edit機能関連) でのテーブルのヘッダーには「display:none」を設定しないチェック追加
		 ERROR25 追加
		 og:theadの子要素の <xsl:value-of select="name()" /> タグで、style='display:none' を記述すると、edit機能使用時に画面に表示されてしまいます。
	② 左右分割画面の留意点(Edit機能関連)
		CAUTION07A
		 クロステーブルを使用する際は、画面リソースのモード３桁目に「f」を指定し、Edit機能の表示項目設定を使用しないで下さい。
		CAUTION07B
		 左右分割スクロールを使用する際は、画面リソースのモード３桁目に「f」を指定し、Edit機能の表示項目設定を使用しないで下さい。

	[GE54 帳票定義ﾏｽﾀ]
		FGDIRECT 廃止
			ALTER TABLE GE54 DROP COLUMN FGDIRECT

			ge\jsp\GE0009\result_report.jsp(81): 		select LISTID,LISTNAME,MODELDIR,MODELFILE,FGCUT,HSQL,FSQL,BSQL,COMMENTS,FGLOCAL,FGDIRECT,RDC_CODE,RELEASE_NOTES,SYSTEM_ID,FGJ,DYUPD
			ge\jsp\REP05\copy.jsp(55): 	columnWritable = "SYSTEM_ID,LISTID,LISTNAME,MODELDIR,MODELFILE,FGCUT,COMMENTS,RELEASE_NOTES,FGDIRECT,FGLOCAL"
			ge\jsp\REP05\modify.jsp(52): 	columnWritable = "LISTNAME,MODELDIR,MODELFILE,FGCUT,COMMENTS,RELEASE_NOTES,FGLOCAL,FGDIRECT"
			ge\jsp\REP05\modifySQL.jsp(53): 	廃止
			ge\jsp\REP05\query.jsp(36): 			<og:column name="FGDIRECT" />
			ge\jsp\REP05\result.jsp(37): 			LISTID,LISTNAME,MODELDIR,MODELFILE,FGCUT,COMMENTS,FGLOCAL,FGDIRECT,SYSTEM_ID,

			hayabusa\report\ReportConverter.java(75): 	private boolean		fgDIRECT	;			// 0:未使用 1:使用 4.0.0 (2005/01/31)
			hayabusa\report\ReportConverter.java(80): 		"SELECT MODELDIR,MODELFILE,FGCUT,HSQL,FSQL,BSQL,FGLOCAL,FGDIRECT,SYSTEM_ID" +	// 4.0.0 (2005/01/31)
			hayabusa\report\ReportConverter.java(93): 	private static final int GE54_FGDIRECT	= 7;
			hayabusa\report\ReportConverter.java(213): 		// modeldir,modelfile,fgcut,hsql,fsql,bsql,fglocal,fgdirect,system_id
			hayabusa\report\ReportConverter.java(254): 		fgDIRECT= vals[row][GE54_FGDIRECT] != null && vals[row][GE54_FGDIRECT].trim().equals( "1" ) ;
			hayabusa\report\ReportConverter.java(283): 		// 4.0.0 (2005/01/31) FGDIRECT 指定時は、where 条件は、null になります。
			hayabusa\report\ReportConverter.java(284): 		final String[] where = fgDIRECT ? null : new String[] { SYSTEM_ID , YKNO } ;
			fukurou\taglet\DocletPlugin.java(58): 		DBTableReport の定義削除

		EXCEL帳票系のクラスを削除します。
			hayabusa\taglib\ReportTableTag.java(reportタグ)	廃止
			hayabusa\report\AbstractDBTableReport.java		廃止
			hayabusa\report\DBTableReport_Excel.java		廃止
			hayabusa\report\DBTableReport_HTML.java			廃止
			hayabusa\report\ReportConverter.java			廃止
			hayabusa\report\ReportProcessing.java			廃止
			plugin\daemon\Daemon_Report.java				廃止
			jsp/ge/REP08									廃止

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF6070\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6070\result_sample1.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6070\result_sample2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6070\result_sample3.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6070\result_sample4.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF6070\result_sample5.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF9999\update.jsp
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\08_DBUPDATE\update.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\src\script\common\option\html5modalDialog.js

	[V5 修正反映]
		5.10.6.2 (2018/12/14)
			[HTML5ポップアップ閉じるボタン修正]
			ポップアップ右上の閉じるボタンをドラッグすると、ウインドウの位置が意図せずに変わってしまいますが、
			動かないように修正します。
				jsp/common/option/html5modalDialog.js#showModalDialog(tgturl, args, options, p_this,p_out_Array,p_append)

		5.10.6.1 (2018/12/10)
			[メッセージリソース整理]
			Ver.6,7に合わせるためMSG0087をMSG0092に変更し、残りのメッセージも追加しておきます。
			<LNAME>ユニークキーのカラムを指定していない場合はテーブル上の全件が変更、削除対象になります</LNAME>

			[システムリソースURL_CHECK_CRYPT追加]
			過去のバージョン(5.8.8.0)で追加した機能で利用するシステムリソースを空文字で追加しておきます。
				hayabusa.common.SystemData#URL_CHECK_CRYPT

		5.10.6.0 (2018/12/07)
		★問合・ﾄﾗﾌﾞﾙ (61200-181130-01) カレンダーのPOPUPの表示について
			[HTML5ポップアップ修正]
			5.10.3.0の修正の影響で、カレンダーポップアップが本来の動作をするようになりましたが、
			ポップアップの位置を左上固定とした方が使いやすいという意見があったため修正します。
			(以前と異なり、ブラウザ内で表示されるため）
				jsp/common/option/html5modalDialog.js#ogPopup

		★問合・ﾄﾗﾌﾞﾙ (05200-181206-04) DB登録処理画面(08_DBUPDATE)の仕様確認依頼
			[08_DBUPDATE修正]
			検索時にユニークキーを設定していない状態で物理削除を行うとテーブル全件削除となるため、
			注意メッセージ(MSG0087)を表示するようにしておきます。
				jsp/common/gamen/08_DBUPDATE/update.jsp

		★問合・ﾄﾗﾌﾞﾙ (61200-181205-01) og:ganttHeaderの週枠の月表示について
			[ガントチャート修正]
			月を跨ぐ週の月表示が正しく表示されないパターンがあったので修正します。
				hayabusa.taglib.GanttHeaderTag#makeZoom2( final int add )

7.0.1.4 (2018/11/26)
	[FAQ修正]
	6.9.8.3 (2018/07/23) -> 5.10.1.0 (2018/06/29) で対応した[FAQと新着画面]で
	コメントアウトの重複があったので、修正しました。
		\jsp\common\gamen\22_FAQ\result.jsp

	[ATIME,BTIME 追加]
		fukurou.system.DateSet#DateSet()

	[FileFilter を利用して、フォルダの絞り込みを行う]
		fukurou.util.FileUtil#getFileList(File dir,FileFilter filter,boolean sort,List list,boolean isCopy)

	[autocomplete="off" を初期設定します]
		plugin.column.Editor_DATALIST#Editor_DATALIST(DBColumn clm)

	[初期自動インストール(oldMaxVersion == "none")時でも、loadXMLScript(Update)とdbXMLResourceInsert は行う]
		hayabusa.common.SystemInstaller#autoInsUpd(String systemId,String context,String hostUrl)

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\jsp\common\gamen\22_FAQ\result.jsp

7.0.1.3 (2018/11/12)
	[ge/REP05]  問合・ﾄﾗﾌﾞﾙ (61200-181107-01) 帳票雛形定義のローカルリソース
	追加時、「ﾛｰｶﾙﾘｿｰｽ」｢ﾀﾞｲﾚｸﾄ｣が反映されないバグを修正
	項目追加時に、変更(modify.jsp)は、上記カラム対応しましたが、
	追加(copy.jsp)への反映忘れ。
		ge/jsp/REP05/copy.jsp

	[QUERY_ZOKUSEI リソース]
	１．QUERY_ZOKUSEIリソースを廃止し、OPE カラムをｺｰﾄﾞﾘｿｰｽとして追加します。
		OPE.ADD 加算 加算 ＋
		OPE.AND 論理積 論理積 ＆
		OPE.AVE 平均 平均 μ
		OPE.BW 範囲指定 範囲指定 ～
		OPE.DIV 除算 除算 ÷
		OPE.EQ 等しい 等しい ＝
		OPE.GE 以上(>=) 以上(>=) ≧
		OPE.GT より大きい より大きい ＞
		OPE.LE 以下(<=) 以下(<=) ≦
		OPE.LK1 で始まる で始まる V*
		OPE.LK2 で終わる で終わる *V
		OPE.LK3 を含む を含む *V*
		OPE.LT 未満(<) 未満(<) ＜
		OPE.MAX 最大 最大 Max
		OPE.MID 中央 中央 Mid
		OPE.MIN 最小 最小 Min
		OPE.MOD 余り 余り ％
		OPE.MUL 乗算 乗算 ×
		OPE.NEA ほぼ等しい ほぼ等しい ≒
		OPE.NEQ 不一致 不一致 ≠
		OPE.NOT 否定 否定 ！
		OPE.OR 論理輪 論理輪 ｜
		OPE.PLMI 加減 加減 ±
		OPE.STDEV 標準偏差 標準偏差 σ
		OPE.SUB 減算 減算 －
		OPE.SUM 総和 総和 Σ

	[帳票関連のリソース作成の停止]
	resourceGE7.0.1.3.jar 作成で、GE50～GE58 の帳票関連リソースを抜き出していましたが、停止します。
		build.xml

	[BB 引数に NO追加]
		fukurou.util.HybsDateUtil#getDateFormat(String key,String prmA,String prmB,int intC)
		fukurou.util.HybsDateUtil#calendarCalc(Calendar now,String prmB,int intC)

	[EXEC_SQLで、";" で複数のSQL文に分割、実行します]
		fukurou.xml.HybsXMLSave#actionExecSQL(TagElement tag)
		fukurou.xml.HybsXMLSave#getExecSQLs(String sqlText)

	[MID_CLM(最小値と最大値の中間の値)のｷｰﾜｰﾄﾞ追加]
		plugin.table.TableFilter_KEY_BREAK#execute()
		plugin.table.TableFilter_KEY_BREAK#getMiddle(double min,double max)
		plugin.table.TableFilter_KEY_BREAK#TableFilter_KEY_BREAK()

	[useStop 属性は、useTagが有効の場合のみ判定する]
		hayabusa.taglib.TextTag#doEndTag()

	[var 変数に設定する配列情報を、bufに追加します]
		hayabusa.taglib.JsChartTag#setVarArray(StringBuilder buf,String key,int cnt,boolean isQuote,IntFunction func)

	[バッファキー検索処理追加、markColors,xmarkColors属性に、VIVID,PASTELカラー指定に対応します]
		hayabusa.taglib.JsChartTag#jsChartOutput()
		hayabusa.io.JsChartData#contains(String bufKey,String key)

	[引数に応じたColorMap のキー配列を返す]
		fukurou.util.ColorMap#getColorKeys(String colKey)

	[最後のデータの処理を行うために、row<=rowCnt と1回余計に回す対応]
		plugin.table.TableFilter_KEY_BREAK#getKeys(int[] clms,String[] rowData)

	[点線のスタイル追加]
		hayabusa.taglib.JsChartDataTag#setBorderDash(String dash)

	[色コードの配列を返すメソッド追加]
		hayabusa.taglib.JsChartTag#colorCsv(String colCsv,int len)

	[色情報を返すメソッドを集約します]
		hayabusa.taglib.JsChartDataTag#setBorderOrBackColor(int cnt)
		hayabusa.taglib.JsChartDataTag#makeColor(String colKey,int cnt)
		hayabusa.taglib.JsChartDataTag#setFontColor(String fontColor)
		hayabusa.taglib.JsChartDataTag#setGridColor(String gridColor)

	[色指定に、VIVID,PASTEL を使えるようにします]
		hayabusa.taglib.JsChartTag#setMarkColors(String mkCols)
		hayabusa.taglib.JsChartTag#setXmarkColors(String mkCols)

X   廃止：文字型で比較すると2018のほうが大きくなってしまう。
X	[keys,valsをMapに変更。BUILD_TYPEのビルド番号を100秒単位に変更]
X		fukurou.system.BuildNumber.master
X		fukurou.system.DateSet

	[jsp , js , css , tld更新]
		C:\opengionV7\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV7\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7302\result_sample15A.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7302\result_sample15B.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7302\result_sample2.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7302\result_sample8.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7302\result_sample9.jsp
		C:\opengionV7\uap\webapps\gf\jsp\GF7302\sample15B_ajax.jsp
		C:\opengionV7\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.10.5.1 (2018/11/09)
			[Calc帳票修正]
			0始まり整数を文字列として判定していますが、10桁以上の場合に数値となっていました。
			INTだけでなくLONGも同様に扱います。
				hayabusa.report2.OdsContentParser#getNativeType( final String key, final String val )

	[ge/REP05]  問合・ﾄﾗﾌﾞﾙ (61200-181107-01) のこと。
		X	[帳票雛形定義修正]
		X	追加時、「ﾛｰｶﾙﾘｿｰｽ」｢ﾀﾞｲﾚｸﾄ｣が反映されないバグを修正
		X		ge/jsp/REP05/copy.jsp

7.0.1.2 (2018/11/04)
 ※ このバージョンは、リリースされていません。

	[Renderer_RICHLABEL対応]
		plugin.column.Renderer_SLABEL#Renderer_SLABEL(String size)

	[StringBuilder で、若干の見直し]
		hayabusa.taglib.OrderByTag#makeTag()

	[clickLink]
	jsp\common\option\chartOptions.js#clickLink = function( event,obj,link,frame ){
	X軸の値を、{CLM}、クリックした値を {VAL}、選択したデータのインデックスを、{IDX} 変数にセットします。

	[chartJSの chartjs-plugin-streaming.min.js を、追加します]
		hayabusa.taglib.HeadTag#doEndTag()

	[ylabelColor,y2label,y2labelColor属性の追加]
		hayabusa.taglib.JsChartTag#release2()

	[属性の追加]
		hayabusa.taglib.JsChartDataTag#setOptDataset(String attri)
